package com.cuit.basin.base.api.log;

import com.cuit.basin.base.api.log.dto.OperationLogCreateReqDTO;
import io.swagger.annotations.Api;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @BelongsProject: basin-cloud
 * @BelongsPackage: com.cuit.basin.base.api.log
 * @Author: HouPJ
 * @Date: 2022/12/28 11:53
 * @Description: TODO
 */
@Component
@FeignClient("basin-base-service")
@Api(tags = "RPC 服务 - 操作日志")
public interface OperationLogApi {
    /**
     * 创建操作日志api
     * @param operateLog 操作日志对象
     */
    @PostMapping( "/sys/operation-log/create")
    void createOperateLog(@RequestBody OperationLogCreateReqDTO operateLog);
}
