package com.cuit.basin.base.biz;

import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.web.socket.config.annotation.EnableWebSocket;

@Slf4j
@MapperScan(basePackages = "com.cuit.basin.base.biz.dao")
@ComponentScan(basePackages = "com.cuit.basin.*")
@SpringBootApplication
@EnableAspectJAutoProxy()
@EnableWebSocket
@EnableDiscoveryClient
public class BasinBaseServiceBizApplication {

    public static void main(String[] args) {
        SpringApplication.run(BasinBaseServiceBizApplication.class, args);
        log.info("服务启动成功...");
    }

}
