package com.cuit.basin.base.biz.controller.log;

import com.cuit.basin.base.api.log.dto.ApiErrorLog;
import com.cuit.basin.base.biz.service.log.ErrorLogService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @BelongsProject: basin-cloud
 * @BelongsPackage: com.cuit.basin.base.biz.controller
 * @Author: HouPJ
 * @Date: 2022/12/29 11:04
 * @Description: TODO
 */
@Api(tags = "0、错误日志管理")
@Slf4j
@RestController
@RequestMapping("/sys/error-log")
public class ErrorLogController {

    @Resource
    private ErrorLogService errorLogService;

    @ApiOperation("创建错误日志")
    @RequestMapping(value = "/create", method = {RequestMethod.POST})
    void createErrorLog(@RequestBody ApiErrorLog errorLog){
        errorLogService.createErrorLog(errorLog);
    }

}
