package com.cuit.basin.base.biz.controller.monitor.util;

import com.cuit.basin.base.websocket.core.PgsWebSocket;

import java.util.concurrent.CopyOnWriteArraySet;

/**
 * @BelongsProject: sriversys
 * @BelongsPackage: com.cuit.sriver.sriversys.server.websocket.util
 * @Author: HouPJ
 * @Date: 2022/12/17 14:30
 * @Description: TODO
 */
public class WebSocketUtil {

    /**
     * 静态变量，用来记录当前在线连接数。应该把它设计成线程安全的。
     */
    private static int onlineCount = 0;

    /**
     * concurrent包的线程安全Set，用来存放每个客户端对应的WebSocket对象。
     */
    private static CopyOnWriteArraySet<PgsWebSocket> webSocketSet = new CopyOnWriteArraySet<>();


    /**
     * 获取所有WebSocket对象
     */
    public static CopyOnWriteArraySet<PgsWebSocket> getWebSocketSet() {
        return webSocketSet;
    }

    /**
     * 添加一个WebSocket对象
     * @param pgsWebSocket
     */
    public static void addSocket(PgsWebSocket pgsWebSocket) {
        webSocketSet.add(pgsWebSocket);
        addOnlineCount();//在线数加1
    }

    /**
     * 移除一个WebSocket对象
     * @param pgsWebSocket
     */
    public static void removeSocket(PgsWebSocket pgsWebSocket) {
        webSocketSet.remove(pgsWebSocket);
        subOnlineCount();//在线数减1
    }

    /**
     * 获取在线客户端总数
     * @return
     */
    public static synchronized int getOnlineCount() {
        return onlineCount;
    }

    /**
     * 在线客户端数量增加1
     */
    public static synchronized void addOnlineCount() {
        WebSocketUtil.onlineCount++;
    }

    /**
     * 客户端数量减1
     */
    public static synchronized void subOnlineCount() {
        WebSocketUtil.onlineCount--;
    }
}
