package com.cuit.basin.base.biz.controller.monitor.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.LinkedList;
import java.util.List;

/**
 * @author hpj
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "服务器监控返回类", description = "")
public class ServerMonitorInfo {

    /**
     * CPU相关信息
     */
    @ApiModelProperty(value = "cpu")
    private MonitorCpuInfo cpu = new MonitorCpuInfo();

    /**
     * 內存相关信息
     */
    @ApiModelProperty(value = "内存")
    private MonitorMemInfo mem = new MonitorMemInfo();

    /**
     * JVM相关信息
     */
    @ApiModelProperty(value = "jvm")
    private MonitorJvmInfo jvm = new MonitorJvmInfo();

    /**
     * 服务器相关信息
     */
    @ApiModelProperty(value = "服务器相关信息")
    private MonitorSysInfo sys = new MonitorSysInfo();

    /**
     * 磁盘相关信息
     */
    @ApiModelProperty(value = "磁盘相关信息")
    private List<MonitorSysFileInfo> sysFiles = new LinkedList<MonitorSysFileInfo>();

}
