package com.cuit.basin.base.biz.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.basin.base.biz.entity.HydBiGlacierD;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author ASUS
 * @description 针对表【hyd_bi_glacier_d(冰川数据)】的数据库操作Mapper
 * @createDate 2022-12-06 11:27:56
 * @Entity com.cuit.sriver.sriversys.entity.HydBiGlacierD
 */
@Mapper
public interface HydBiGlacierDMapper extends BaseMapper<HydBiGlacierD> {

    /**
     * 条件查询冰川的变化曲线
     *
     * @param glacierId 冰川Id
     * @param startYear 开始年份
     * @param endYear   结束年份
     * @return List<HydBiGlacierD>
     */
    List<HydBiGlacierD> queryGlacierDataChangeCurveByGlacierId(String glacierId, Integer startYear, Integer endYear);

    List<HydBiGlacierD> queryGlacierDataByGlacierIds(Integer setId, String glacierIds);
}




