package com.cuit.basin.base.biz.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.cuit.basin.base.biz.entity.HydBiGlacierS;
import com.cuit.basin.base.biz.vo.GlacierDatasetView;
import org.apache.ibatis.annotations.Mapper;

/**
 * @author ASUS
 * @description 针对表【hyd_bi_glacier_s(冰川数据集)】的数据库操作Mapper
 * @createDate 2022-12-06 11:27:56
 * @Entity com.cuit.sriver.sriversys.entity.HydBiGlacierS
 */
@Mapper
public interface HydBiGlacierSMapper extends BaseMapper<HydBiGlacierS> {

    /**
     * 条件分页查询冰川数据集
     *
     * @param startYear 开始年份
     * @param endYear   结束年份
     * @param keyword   关键字
     * @param page      分页参数
     * @return PageVo<GlacierDatasetView>
     */
    Page<GlacierDatasetView> queryGlacierDataSetByParam(Page<GlacierDatasetView> page, Integer startYear, Integer endYear, String keyword);
}




