package com.cuit.basin.base.biz.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.basin.base.biz.entity.HydFiStdataF;
import com.cuit.basin.base.biz.pojo.FastCorrectData;
import com.cuit.basin.base.biz.pojo.HydroStationForeDataInfo;
import com.cuit.basin.base.biz.pojo.ModeGazetteData;
import com.cuit.basin.base.biz.pojo.ModelForeData;
import com.cuit.basin.base.biz.query.HydrologicalForecastListQuery;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 站点模型预测和订正表 Mapper 接口
 * </p>
 *
 * @author llw
 * @since 2022-11-17
 */
@Mapper
public interface HydFiStdataFMapper extends BaseMapper<HydFiStdataF> {
    List<HydroStationForeDataInfo> queryHydrologicalForecastListByParam(HydrologicalForecastListQuery query);

    List<ModelForeData> queryHydroSingleStationModelForeInfo(String stcd, LocalDateTime dataTime, Integer time);

    /**
     * 查询水文站点预测数据列表-前半段
     *
     * @param stationNo  站号
     * @param validTime  预报时效
     * @param timePeriod 时间周期
     * @return
     */
    List<HydroStationForeDataInfo> selectHydroStationForeDataInfoH(String stationNo, Integer validTime, Integer timePeriod);

    /**
     * 查询水文站点预测数据列表-后半段
     *
     * @param stationNo  站号
     * @param timePeriod
     * @return
     */
    List<HydroStationForeDataInfo> selectHydroStationForeDataInfoF(String stationNo, Integer timePeriod);

    List<FastCorrectData> queryfastCorrectData(String stationNo, Integer timePeriod);


    /**
     * 批量插入
     *
     * @param list 带插入的数据
     * @return int
     */
    int insertBatch(@Param("list") List<HydFiStdataF> list);


    /**
     * 根据站号和时间点查询预测统计数据
     *
     * @param stationNo 站号
     * @param dt        时间点
     * @return HydFiStdataF
     */
    FastCorrectData queryfastCorrectDataByNoAndDt(String stationNo, Date dt);

    List<ModeGazetteData> selectByGazetteParam(String stcds, LocalDateTime stTime, LocalDateTime endTime, String situation);
}
