package com.cuit.basin.base.biz.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.basin.base.biz.entity.HydroStationInfo;
import org.apache.ibatis.annotations.Mapper;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 水文站点信息Mapper
 *
 * @author xiaoyinrui
 */
@Mapper
public interface HydroStationInfoMapper extends BaseMapper<HydroStationInfo> {

    /**
     * 获取符合条件的雨情站点列表
     *
     * @param stTime    开始时间
     * @param endTime   结束时间
     * @param bsId      流域id
     * @param keywords  关键字
     * @param situation 超警戒
     * @return
     */
    List<HydroStationInfo> getGazetteRegimenParams(LocalDateTime stTime, LocalDateTime endTime, Integer bsId, String keywords, String situation);

    /**
     * 获取符合条件的模型预报站点列表
     *
     * @param stTime
     * @param endTime
     * @param bsId
     * @param keywords
     * @param situation
     * @return
     */
    List<HydroStationInfo> getGazetteModeForecastParams(LocalDateTime stTime, LocalDateTime endTime, Integer bsId, String keywords, String situation);
}
