package com.cuit.basin.base.biz.dao;


import com.cuit.basin.base.biz.entity.MeteStationData;
import com.cuit.basin.base.biz.pojo.RainGazetteData;
import com.github.jeffreyning.mybatisplus.base.MppBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 气象站点数据 Mapper
 *
 * @author Xiao Yinrui
 * @link <a href="https://github.com/PancakeCN">Github主页</a>
 * @date 2022/12/21 15:36
 */
@Mapper
public interface MeteStationDataMapper extends MppBaseMapper<MeteStationData> {
    /**
     * 查询符合条件的公报数据
     *
     * @param stcds  站号
     * @param stTime    公报开始时间
     * @param endTime   公报结束时间
     * @param situation 是否超限
     * @return
     */
    List<RainGazetteData> selectByGazetteParam(String stcds, LocalDateTime stTime, LocalDateTime endTime, String situation);
}
