package com.cuit.basin.base.biz.dao;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.basin.base.biz.entity.ModelLog;
import com.cuit.basin.framework.common.constant.ModleTaskEnum;
import org.apache.ibatis.annotations.Select;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 模型运行日志 Mapper
 *
 * @author Xiao Yinrui
 */
public interface ModelLogMapper extends BaseMapper<ModelLog> {
    /**
     * 获取运行中任务列表
     * @return
     */
    default List<ModelLog> initTaskList() {
        return selectList(new QueryWrapper<ModelLog>().eq("IS_FINISH", ModleTaskEnum.TASK_RUNNING.getType()).lt("PROCESS",100.00));
    }

    @Select("select ET from hyd_bi_modellog_b where IS_FINISH = 1 OR IS_FINISH = 2 ORDER BY ET desc LIMIT 1")
    LocalDateTime obtainRecentModelTime();
}
