package com.cuit.basin.base.biz.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.basin.base.biz.entity.TbSysDatauser;
import com.cuit.basin.base.biz.pojo.QueryPersonalCenterInfo;
import com.cuit.basin.base.biz.pojo.SysLogPojo;
import com.cuit.basin.base.biz.pojo.UpdatePersonalCenterInfo;
import com.cuit.basin.base.biz.query.SysLogQuery;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Administrator
 * @description 针对表【tb_sys_datauser】的数据库操作Mapper
 * @createDate 2022-12-03 15:09:31
 * @Entity com.cuit.sriver.sriversys.entity.TbSysDatauser
 */
@Mapper
public interface TbSysDatauserMapper extends BaseMapper<Object> {

    /**
     * @param
     * @return
     * @description : 查询所有用户信息
     * @author tianjunbiao
     * @date 2022/12/3 20:41
     */
    List<TbSysDatauser> queryAllUsersInfo();

    /**
     * @param
     * @return
     * @description : 查询个人中心信息
     * @author tianjunbiao
     * @date 2022/12/4 15:15
     */
    QueryPersonalCenterInfo queryPersonalCenterInfo(String account);

    /**
     * @param
     * @return
     * @description : 修改个人中心信息
     * @author tianjunbiao
     * @date 2022/12/4 16:03
     */
    void updatePersonalCenterInfo(String account, @Param("updatePersonalCenterInfo") UpdatePersonalCenterInfo updatePersonalCenterInfo);

    /**
     * @param
     * @return
     * @description : 修改密码
     * @author tianjunbiao
     * @date 2022/12/4 17:22
     */
    void updatePassword(String account, String password);

    /**
     * @param
     * @return
     * @description : 05按条件分页查询个人日志
     * @author tianjunbiao
     * @date 2022/12/4 20:11
     */
    List<SysLogPojo> querySysLogByParams(@Param("account") String account, @Param("sysLogQuery") SysLogQuery sysLogQuery);

    /**
     * @param
     * @return
     * @description : 展示个人日志
     * @author tianjunbiao
     * @date 2022/12/4 20:36
     */

    List<SysLogPojo> queryPersonalLogs(String account);


    /*
     * @description: 下拉展示菜单接口(部门或单位)
     * @author: LLW
     * @date: 2022/12/8 16:13
     * @param:
     * @return:
     **/

    List<String> DropdownMenuOfDptName();



    /*
     * @description: 下拉展示菜单接口(所任职务)
     * @author: LLW
     * @date: 2022/12/8 16:13
     * @param:
     * @return:
     **/

    List<String> DropdownMenuOfPositionName();

    /*
     * @description: 下拉展示菜单接口(权限等级)
     * @author: LLW
     * @date: 2022/12/8 16:13
     * @param:
     * @return: list：权限等级列表
     **/


    List<String> DropdownMenuOfPermissonName();
//    /**
//     * @description : 验证登录名是否已经存在
//     * @author tianjunbiao
//     * @date 2022/12/5 14:31
//     * @param
//     * @return
//     */
//    TbSysDatauser alreadyInExistence(String loginname);

//    /**
//     * @description : 新增用户信息
//     * @author tianjunbiao
//     * @date 2022/12/5 11:30
//     * @param
//     * @return
//     */
//    void addUser( UserDto userDto);


}