package com.cuit.basin.base.biz.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.basin.base.biz.entity.SysLog;
import com.cuit.basin.base.biz.pojo.SysLogPojo;
import com.cuit.basin.base.biz.query.SysLogQuery;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.time.LocalDateTime;
import java.util.List;


/**
 * @author asus
 * @description 针对表【tb_sys_log】的数据库操作Mapper
 * @createDate 2022-12-01 16:35:24
 * @Entity com.cuit.sriver.sriversys.entity.SysLog
 */
@Mapper
public interface TbSysLogMapper extends BaseMapper<SysLog> {

    /*
     * @author: llw
     * @date: 2022/12/2 10:35
     * @param null
     * @return: list
     * @description: 分页查询所有日志
     */
    List<SysLogPojo> queryAllSysLog();

    /*
     * @author: llw
     * @date: 2022/12/3 18:12
     * @param null
     * @return:
     * @description: 按条件分页查询所有日志
     */
    List<SysLogPojo> querySysLogByParams(SysLogQuery sysLogQuery);



    /*
     * @author: llw
     * @date: 2022/12/3 19:02
     * @param null
     * @return:
     * @description: 批量删除日志
     */

    Boolean batchDeleteSysLogByQuery(String ids);


    default List<SysLog> selectListByModuleId(Integer moduleId){
        return selectList(new QueryWrapper<SysLog>().eq("module",moduleId));
    }

    @Select("select visit_time FROM tb_sys_log where module = #{type} ORDER BY visit_time desc LIMIT 1")
    LocalDateTime obtainRecentDataTimeWithModule(Integer type);
}




