package com.cuit.basin.base.biz.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.basin.base.biz.entity.TbSysDatauser;
import com.cuit.basin.base.biz.pojo.UserDto;
import com.cuit.basin.base.biz.pojo.UserInfo;
import com.cuit.basin.base.biz.query.UserQuery;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author: asus
 * @date: 2022/12/4 16:54
 * @description:
 */
@Mapper
public interface UserInfoMapper extends BaseMapper<TbSysDatauser> {


    /*
     * @author: llw
     * @date: 2022/12/4 21:14
     * @param null
     * @return:
     * @description: 多条件查询用户信息列表
     */
    List<UserInfo> querySysUserByParam(UserQuery userQuery);


    /*
     * @author: llw
     * @date: 2022/12/4 21:14
     * @param null
     * @return:
     * @description: 批量删除用户信息
     */


    boolean batchDelectUserByIds(String ids);

    /*
     * @author: llw
     * @date: 2022/12/4 22:07
     * @param id
     * @param status
     * @return: void
     * @description:启用/禁用用户
     */
    void enableOrDisable(String id, Integer status);


    /*
     * @author: llw
     * @date: 2022/12/5 14:45
     * @param null
     * @return:
     * @description: 校验用户信息是否已经存在
     */
    String checkUser(String loginname);

    /*
     * @author: llw
     * @date: 2022/12/5 14:45
     * @param null
     * @return:
     * @description: 编辑用户信息
     */
    Boolean editUserByParams(@Param("userDto") UserDto userDto, Integer id);
}
