package com.cuit.basin.base.biz.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 * 冰川数据
 *
 * @TableName hyd_bi_glacier_d
 */
@TableName(value = "hyd_bi_glacier_d")
@Data
@Builder
public class HydBiGlacierD implements Serializable {
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
    /**
     * 冰川Id
     */
    @TableId(value = "GLACIER_ID")
    @ApiModelProperty("冰川Id")
    private String glacierId;
    /**
     * 数据集Id
     */
    @TableField(value = "SET_ID")
    @ApiModelProperty("数据集id")
    private Integer setId;
    /**
     * 冰川面积
     */
    @TableField(value = "AREA")
    @ApiModelProperty("冰川面积")
    private Double area;
    /**
     * 冰川长度
     */
    @TableField(value = "LENGTH")
    @ApiModelProperty("冰川长度")
    private Double length;
    /**
     * 最大高度
     */
    @TableField(value = "MAX_ELE")
    @ApiModelProperty("最大高度")
    private Double maxEle;
    /**
     * 最小高度
     */
    @TableField(value = "MIN_ELE")
    @ApiModelProperty("最小高度")
    private Double minEle;
    /**
     * 平均高度
     */
    @TableField(value = "AVG_ELE")
    @ApiModelProperty("平均高度")
    private Double avgEle;
    /**
     * 平均坡度
     */
    @TableField(value = "AVG_SLOPE")
    @ApiModelProperty("平均坡度")
    private Double avgSlope;
    /**
     * 平均坡向
     */
    @TableField(value = "AVG_ASPECT")
    @ApiModelProperty("平均坡向")
    private Double avgAspect;

    /**
     * 时间
     */
    @TableField(value = "DATACD")
    @ApiModelProperty("时间")
    private Integer dataCd;

}