package com.cuit.basin.base.biz.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 积雪数据
 *
 * @TableName hyd_bi_snow_b
 */
@TableName(value = "hyd_bi_snow_b")
@Data
public class HydBiSnowB implements Serializable {
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
    /**
     * 数据集id
     */
    @TableId(value = "SET_ID", type = IdType.AUTO)
    private Integer SETID;
    /**
     * 数据集名称
     */
    @TableField(value = "NM")
    private String NM;
    /**
     * 积雪总面积
     */
    @TableField(value = "AREA")
    @ApiModelProperty("积雪总面积")
    private Double area;

    /**
     * 数据集时间
     */
    @TableField(value = "DATACD")
    private Date DATACD;
    /**
     * 图层url
     */
    @TableField(value = "GEOID")
    private Long GEOID;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HydBiSnowB other = (HydBiSnowB) that;
        return (this.getSETID() == null ? other.getSETID() == null : this.getSETID().equals(other.getSETID()))
                && (this.getNM() == null ? other.getNM() == null : this.getNM().equals(other.getNM()))
                && (this.getDATACD() == null ? other.getDATACD() == null : this.getDATACD().equals(other.getDATACD()))
                && (this.getGEOID() == null ? other.getGEOID() == null : this.getGEOID().equals(other.getGEOID()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getSETID() == null) ? 0 : getSETID().hashCode());
        result = prime * result + ((getNM() == null) ? 0 : getNM().hashCode());
        result = prime * result + ((getDATACD() == null) ? 0 : getDATACD().hashCode());
        result = prime * result + ((getGEOID() == null) ? 0 : getGEOID().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", SETID=").append(SETID);
        sb.append(", NM=").append(NM);
        sb.append(", DATACD=").append(DATACD);
        sb.append(", GEOID=").append(GEOID);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}