package com.cuit.basin.base.biz.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * 站点预报订正;
 *
 * @author : http://www.chiner.pro
 * @date : 2022-11-15
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel(value = "站点预报订正", description = "")
@TableName("hyd_fi_currdata_f")
public class HydFiCurrdataF implements Serializable, Cloneable {
    /**
     * 创建人
     */
    @ApiModelProperty(name = "创建人", notes = "")
    private String createdBy;
    /**
     * 创建时间
     */
    @ApiModelProperty(name = "创建时间", notes = "")
    private Date createdTime;
    /**
     * 更新人
     */
    @ApiModelProperty(name = "更新人", notes = "")
    private String updatedBy;
    /**
     * 更新时间
     */
    @ApiModelProperty(name = "更新时间", notes = "")
    private Date updatedTime;
    /**
     * 产品代码
     */
    @ApiModelProperty(name = "产品代码", notes = "")
    private String datacd;
    /**
     * 产品名称
     */
    @ApiModelProperty(name = "产品名称", notes = "")
    private String nm;
    /**
     * 数据时间
     */
    @ApiModelProperty(name = "数据时间", notes = "")
    private Date dt;
    /**
     * 站号
     */
    @ApiModelProperty(name = "站号", notes = "")
    private String stcd;
    /**
     * 水位
     */
    @ApiModelProperty(name = "水位", notes = "")
    private Double z;
    /**
     * 流量
     */
    @ApiModelProperty(name = "流量", notes = "")
    private Double q;
    /**
     * 水位变化
     */
    @ApiModelProperty(name = "水位变化", notes = "")
    private Double zc;
    /**
     * 流量变化
     */
    @ApiModelProperty(name = "流量变化", notes = "")
    private Double qc;
    /**
     * 水位数据状态标志
     */
    @ApiModelProperty(name = "水位数据状态标志", notes = "")
    private Double zs;
    /**
     * 流量数据状态标志
     */
    @ApiModelProperty(name = "流量数据状态标志", notes = "")
    private Double qs;
    /**
     * 水位数据变化状态标志
     */
    @ApiModelProperty(name = "水位数据变化状态标志", notes = "")
    private Double zcs;
    /**
     * 流量数据变化状态标志
     */
    @ApiModelProperty(name = "流量数据变化状态标志", notes = "")
    private Double qcs;
    /**
     * 超警戒水位
     */
    @ApiModelProperty(name = "超警戒水位", notes = "")
    private Double bywrz;
    /**
     * 超保证水位
     */
    @ApiModelProperty(name = "超保证水位", notes = "")
    private Double bygrz;
    /**
     * 超警戒流量
     */
    @ApiModelProperty(name = "超警戒流量", notes = "")
    private Double bywrq;
    /**
     * 超保证流量
     */
    @ApiModelProperty(name = "超保证流量", notes = "")
    private Double bygrq;
}