package com.cuit.basin.base.biz.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 站点模型拟合数据
 *
 * @TableName hyd_fi_fitted_d
 */
@TableName(value = "hyd_fi_fitted_d")
@Data
@Builder
public class HydFiFittedD implements Serializable {
    /**
     * 拟合数据id
     */
    @TableId(value = "fitted_id", type = IdType.AUTO)
    @ApiModelProperty("拟合数据id")
    private Integer fittedId;

    /**
     * 精度评估id
     */
    @TableField(value = "foreaccu_id")
    @ApiModelProperty("精度评估id")
    private Integer foreaccuId;

    /**
     * 数据时间
     */
    @TableField(value = "DT")
    @ApiModelProperty("数据时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime dt;

    /**
     * 水位
     */
    @TableField(value = "Z")
    @ApiModelProperty("拟合水位")
    private BigDecimal z;

    /**
     * 流量
     */
    @TableField(value = "Q")
    @ApiModelProperty("拟合流量")
    private BigDecimal q;


}