package com.cuit.basin.base.biz.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 水情服务公报
 * @TableName hyd_pi_bulletin_p
 */
@TableName(value ="hyd_pi_bulletin_p")
@Data
@Builder
public class HydPiBulletinP implements Serializable {
    /**
     * 公报ID
     */
    @TableId(value = "BID")
    @ApiModelProperty("公报ID")
    private Integer bId;

    /**
     * 创建人
     */
    @TableField(value = "CREATED_BY")
    @ApiModelProperty("创建人")
    private String createdBy;

    /**
     * 创建时间
     */
    @TableField(value = "CREATED_TIME")
    @ApiModelProperty("创建时间")
    private LocalDateTime createdTime;

    /**
     * 更新人
     */
    @TableField(value = "UPDATED_BY")
    @ApiModelProperty("更新人")
    private String updateBy;

    /**
     * 更新时间
     */
    @TableField(value = "UPDATED_TIME")
    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;

    /**
     * 公报名称
     */
    @TableField(value = "BNM")
    @ApiModelProperty("公报名称")
    private String bNm;

    /**
     * 公报类型
     */
    @TableField(value = "BTYPE")
    @ApiModelProperty("公报类型")
    private Integer bType;

    /**
     * 签发人
     */
    @TableField(value = "SIGNER")
    @ApiModelProperty("签发人")
    private String signer;

    /**
     * 审核状态
     */
    @TableField(value = "AUDITSTUTUS")
    @ApiModelProperty("审核状态")
    private Integer auditStutus;

    /**
     * 公报概述信息
     */
    @TableField(value = "DISCRIPTION")
    @ApiModelProperty("公报概述信息")
    private String discription;

    /**
     * 发布时间
     */
    @TableField(value = "PUBTIME")
    @ApiModelProperty("发布时间")
    private LocalDateTime pubTime;

    /**
     * 流域id
     */
    @TableField(value = "BSID")
    @ApiModelProperty("流域id")
    private Integer bsId;

    /**
     * 富文本内容
     */
    @TableField(value = "CONTENT")
    @ApiModelProperty("富文本内容")
    private String content;

    /**
     * 文档访问地址
     */
    @TableField(value = "WORDURL")
    @ApiModelProperty("文档访问地址")
    private String wordUrl;

    /**
     * 发布标志
     */
    @TableField(value = "PUBLISH_TAGS")
    @ApiModelProperty("发布标志(0不发布， 1发布)")
    private Integer publishTags;


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}