package com.cuit.basin.base.biz.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 精度评估数据
 *
 * @TableName hyd_si_foreaccu_d
 */
@TableName(value = "hyd_si_foreaccu_d")
@Data
@Builder
public class HydSiForeaccuD implements Serializable {
    /**
     * 数据id
     */
    @TableId(value = "ID", type = IdType.AUTO)
    @ApiModelProperty("数据id")
    private Integer id;

    /**
     * 精度评估id
     */
    @TableField(value = "foreaccu_id")
    @ApiModelProperty("精度评估id")
    private Integer foreaccuId;

    /**
     * 时间
     */
    @TableField(value = "DT")
    @ApiModelProperty("数据时间")
    private LocalDateTime dt;

    /**
     * 实测水位
     */
    @TableField(value = "Z")
    @ApiModelProperty("实测水位")
    private Double z;

    /**
     * 预报水位
     */
    @TableField(value = "FZ")
    @ApiModelProperty("预报水位")
    private Double fz;

    /**
     * 误差
     */
    @TableField(value = "error")
    @ApiModelProperty("误差")
    private Double error;

}