package com.cuit.basin.base.biz.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 精度评估表
 *
 * @TableName hyd_si_foreaccu_s
 */
@TableName(value = "hyd_si_foreaccu_s")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class HydSiForeaccuS implements Serializable {
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    @TableId(value = "ID", type = IdType.AUTO)
    private Integer ID;
    /**
     * 模型id
     */
    @TableField(value = "MID")
    private Integer MID;
    /**
     * 起报时间
     */
    @TableField(value = "data_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime dataTime;
    /**
     * 模型参数 格式：参数名1:[二级参数名1=参数值, 二级参数名2=...]; 参数名2:[...]...
     */
    @TableField(value = "params")
    private String params;
    /**
     * 站号
     */
    @TableField(value = "STCD")
    private String STCD;
    /**
     * 纳什系数
     */
    @TableField(value = "NSE")
    private Double NSE;
    /**
     * 方差
     */
    @TableField(value = "R2")
    private Double r2;
    /**
     * ME(m3/s)
     */
    @TableField(value = "ME")
    private Double ME;
    /**
     * PBIAS(%)
     */
    @TableField(value = "PBIAS")
    private Double PBIAS;
    /**
     * 准确度
     */
    @TableField(value = "FACTOR")
    private Double FACTOR;
    /**
     * 开始时间
     */
    @TableField(value = "STDT")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime STDataTime;
    /**
     * 结束时间
     */
    @TableField(value = "EDDT")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime EDDataTime;
    /**
     * 最优参数标记（1是  0否）
     */
    @TableField(value = "OPTIMAL")
    private Integer optimal;
}