package com.cuit.basin.base.biz.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cuit.basin.framework.common.constant.Constant;
import com.cuit.basin.framework.common.utils.other.Double2Serializer;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 水文事件
 *
 * @author Xiao Yinrui
 * @link <a href="https://github.com/PancakeCN">Github主页</a>
 * @date 2022/12/3 17:08
 */
@Builder
@ApiModel(value = "水文事件", description = "")
@Data
@TableName("hyd_si_event_s")
public class HydroEvent {

    @ApiModelProperty("主键id")
    @TableId(type = IdType.AUTO)
    private Integer eid;

    @ApiModelProperty("水文事件名")
    private String name;

    @ApiModelProperty("站点编号")
    private String stcd;

    @ApiModelProperty("类型")
    private String type;

    @ApiModelProperty("水文时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime tm;

    @ApiModelProperty("流量")
    @JsonSerialize(using = Double2Serializer.class)
    private Double q;

    @ApiModelProperty("水位")
    @JsonSerialize(using = Double2Serializer.class)
    private Double z;

    @ApiModelProperty("温度")
    @JsonSerialize(using = Double2Serializer.class)
    private Double t;

    @ApiModelProperty("降水")
    @JsonSerialize(using = Double2Serializer.class)
    private Double r;

    @ApiModelProperty("水文事件描述")
    private String des;
}
