package com.cuit.basin.base.biz.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cuit.basin.framework.common.constant.Constant;
import com.cuit.basin.framework.common.utils.other.Double2Serializer;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 水文历史个例
 *
 * @author Xiao Yinrui
 * @link <a href="https://github.com/PancakeCN">Github主页</a>
 * @date 2022/12/3 17:09
 */
@Builder
@ApiModel(value = "水文历史个例", description = "")
@Data
@TableName("hyd_si_hiscases_s")
public class HydroHistoryCase {

    @ApiModelProperty("主键id")
    @TableId(type = IdType.AUTO)
    private Integer cid;

    @ApiModelProperty("历史个例名")
    private String name;

    @ApiModelProperty("历史个例描述")
    private String des;

    @ApiModelProperty("开始时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime stm;

    @ApiModelProperty("结束时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime etm;

    @ApiModelProperty("最大水位")
    @JsonSerialize(using = Double2Serializer.class)
    private Double mxz;

    @ApiModelProperty("最大水位时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime mxztm;

    @ApiModelProperty("最大流量")
    @JsonSerialize(using = Double2Serializer.class)
    private Double mxq;

    @ApiModelProperty("最大流量时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime mxqtm;

    @ApiModelProperty("平均水位")
    @JsonSerialize(using = Double2Serializer.class)
    private Double avgz;

    @ApiModelProperty("平均流量")
    @JsonSerialize(using = Double2Serializer.class)
    private Double avgq;

    @ApiModelProperty("最小水位")
    @JsonSerialize(using = Double2Serializer.class)
    private Double mnz;

    @ApiModelProperty("最小流量")
    @JsonSerialize(using = Double2Serializer.class)
    private Double mnq;
}
