package com.cuit.basin.base.biz.entity; /***********************************************************************
 * Module:  HydroMonthCharacterFlowHistoryValue.java
 * Author:  PYJ
 * Purpose: Defines the Class HydroMonthCharacterFlowHistoryValue
 ***********************************************************************/

import com.baomidou.mybatisplus.annotation.TableName;
import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.github.jeffreyning.mybatisplus.anno.MppMultiId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 水文月特征值历史流量值
 *
 * @author pyj
 */
@ApiModel(value = "水文月特征值历史流量值", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("hyd_si_mnthcvqh_s")
public class HydroMonthCharacterFlowHistoryValue {
    /**
     * 站号
     */
    @ApiModelProperty(value = "站号")
    @MppMultiId
    private String stcd;
    /**
     * 月
     */
    @ApiModelProperty(value = "月")
    @MppMultiId
    private int mnth;
    /**
     * 历史最大流量出现时间
     */
    @ApiModelProperty(value = "历史最大流量出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime hmxqtm;
    /**
     * 历史最大流量值
     */
    @ApiModelProperty(value = "历史最大流量值")
    private Double hmxq;
    /**
     * 历史平均流量值
     */
    @ApiModelProperty(value = "历史平均流量值")
    private Double havq;
    /**
     * 历史最小流量出现时间
     */
    @ApiModelProperty(value = "历史最小流量出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime hmnqtm;
    /**
     * 历史最小流量值
     */
    @ApiModelProperty(value = "历史最小流量值")
    private Double hmnq;
    /**
     * 历史上旬最大流量出现时间
     */
    @ApiModelProperty(value = "历史上旬最大流量出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime hmxqetm;
    /**
     * 历史上旬最大流量值
     */
    @ApiModelProperty(value = "历史上旬最大流量值")
    private Double hmxqe;
    /**
     * 历史中旬最大流量出现时间
     */
    @ApiModelProperty(value = "历史中旬最大流量出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime hmxqmtm;
    /**
     * 历史中旬最大流量
     */
    @ApiModelProperty(value = "历史中旬最大流量")
    private Double hmxqm;
    /**
     * 历史下旬最大流量出现时间
     */
    @ApiModelProperty(value = "历史下旬最大流量出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime hmxqltm;
    /**
     * 历史下旬最大流量值
     */
    @ApiModelProperty(value = "历史下旬最大流量值")
    private Double hmxql;
    /**
     * 历史下旬平均流量
     */
    @ApiModelProperty(value = "历史下旬平均流量")
    private Double havqe;
    /**
     * 历史中旬平均流量
     */
    @ApiModelProperty(value = "历史中旬平均流量")
    private Double havqm;
    /**
     * 历史下旬平均流量
     */
    @ApiModelProperty(value = "历史下旬平均流量")
    private Double havql;
    /**
     * 历史上旬最小流量出现时间
     */
    @ApiModelProperty(value = "历史上旬最小流量出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime hmnqetm;
    /**
     * 历史上旬最小流量值
     */
    @ApiModelProperty(value = "历史上旬最小流量值")
    private Double hmnqe;
    /**
     * 历史中旬最小流量出现时间
     */
    @ApiModelProperty(value = "历史中旬最小流量出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime hmnqmtm;
    /**
     * 历史中旬最小流量值
     */
    @ApiModelProperty(value = "历史中旬最小流量值")
    private Double hmnqm;
    /**
     * 历史下旬最小流量出现时间
     */
    @ApiModelProperty(value = "历史下旬最小流量出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime hmnqltm;
    /**
     * 历史下旬最小流量值
     */
    @ApiModelProperty(value = "历史下旬最小流量值")
    private Double hmnql;
}