package com.cuit.basin.base.biz.entity; /***********************************************************************
 * Module:  HydroStationHistory.java
 * Author:  PYJ
 * Purpose: Defines the Class HydroStationHistory
 ***********************************************************************/

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 水文站点历史
 *
 * @author pyj
 */
@ApiModel(value = "水文站点历史", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("hyd_si_sthis_s")
public class HydroStationHistory {
    /**
     * 站号
     */
    @ApiModelProperty(value = "站号")
    @TableId
    private String stcd;
    /**
     * 站点历史最高水位
     */
    @ApiModelProperty(value = "站点历史最高水位")
    private Double hhtz;
    /**
     * 站点历史最高水位出现时间
     */
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    @ApiModelProperty(value = "站点历史最高水位出现时间")
    private LocalDateTime hhtztm;
    /**
     * 站点历史最低水位
     */
    @ApiModelProperty(value = "站点历史最低水位")
    private Double hltz;
    /**
     * 站点历史最大流量出现时间
     */
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    @ApiModelProperty(value = "站点历史最大流量出现时间")
    private LocalDateTime hltztm;
    /**
     * 站点历史最大流量
     */
    @ApiModelProperty(value = "站点历史最大流量")
    private Double hmxq;
    /**
     * 站点历史最大流量出现时间
     */
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    @ApiModelProperty(value = "站点历史最大流量出现时间")
    private LocalDateTime hmxqtm;
    /**
     * 站点历史最低流量
     */
    @ApiModelProperty(value = "站点历史最低流量")
    private Double hmnq;
    /**
     * 站点历史最低流量出现时间
     */
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    @ApiModelProperty(value = "站点历史最低流量出现时间")
    private LocalDateTime hmnqtm;
    /**
     * 站点历史平均水位
     */
    @ApiModelProperty(value = "站点历史平均水位")
    private Double havz;
    /**
     * 站点历史平均流量
     */
    @ApiModelProperty(value = "站点历史平均流量")
    private Double havq;
}