package com.cuit.basin.base.biz.entity; /***********************************************************************
 * Module:  HydroYearCharacteristicValue.java
 * Author:  PYJ
 * Purpose: Defines the Class HydroYearCharacteristicValue
 ***********************************************************************/

import com.baomidou.mybatisplus.annotation.TableName;
import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.github.jeffreyning.mybatisplus.anno.MppMultiId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 水文年特征值
 *
 * @author pyj
 */
@ApiModel(value = "水文年特征值", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName("hyd_si_yrcv_s")
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class HydroYearCharacteristicValue {
    /**
     * 站号
     */
    @ApiModelProperty(value = "站号")
    @MppMultiId
    private String stcd;
    /**
     * 年
     */
    @ApiModelProperty(value = "年")
    @MppMultiId
    private Integer yr;
    /**
     * 最高水位
     */
    @ApiModelProperty(value = "最高水位")
    private Double htz;
    /**
     * 最高水位出现时间
     */
    @ApiModelProperty(value = "最高水位出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime htztm;
    /**
     * 平均水位
     */
    @ApiModelProperty(value = "平均水位")
    private Double avz;
    /**
     * 最低水位
     */
    @ApiModelProperty(value = "最低水位")
    private Double ltz;
    /**
     * 最低水位出现时间
     */
    @ApiModelProperty(value = "最低水位出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime ltztm;
    /**
     * 最大流量
     */
    @ApiModelProperty(value = "最大流量")
    private Double mxq;
    /**
     * 最大流量出现时间
     */
    @ApiModelProperty(value = "最大流量出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime mxqtm;
    /**
     * 最小流量
     */
    @ApiModelProperty(value = "最小流量")
    private Double mnq;
    /**
     * 最小流量出现时间
     */
    @ApiModelProperty(value = "最小流量出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime mnqtm;
    /**
     * 平均流量
     */
    @ApiModelProperty(value = "平均流量")
    private Double avq;
//标注
}