package com.cuit.basin.base.biz.entity; /***********************************************************************
 * Module:  MeteStationInfo.java
 * Author:  PYJ
 * Purpose: Defines the Class MeteStationInfo
 ***********************************************************************/

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 气象要素预警阈值表
 */
@ApiModel(value = "MeteBiWarntB", description = "气象要素预警阈值表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("mete_bi_warnt_b")
public class MeteBiWarntB {
    /**
     * 分钟降水预警阈值
     */
    @ApiModelProperty(value = "分钟降水预警阈值")
    private Double pre10minWrt;

    /**
     * 小时降水预警阈值
     */
    @ApiModelProperty(value = "小时降水预警阈值")
    private Double pre1hWrt;

    /**
     * 气温预警阈值
     */
    @ApiModelProperty(value = "气温预警阈值")
    private Double temWrt;
}