package com.cuit.basin.base.biz.entity; /***********************************************************************
 * Module:  MeteForecastingGridData.java
 * Author:  PYJ
 * Purpose: Defines the Class MeteForecastingGridData
 ***********************************************************************/

import com.baomidou.mybatisplus.annotation.TableName;
import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * 气象预报格网数据
 */
@ApiModel(value = "气象预报格网数据", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("mete_fi_foregrid_f")
public class MeteForecastingGridData {
    /**
     * 要素
     */
    @ApiModelProperty(value = "要素")
    private int ele;
    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime dt;
    /**
     * 预报时效
     */
    @ApiModelProperty(value = "预报时效")
    private Integer validtm;
    /**
     * 预报时间
     */
    @ApiModelProperty(value = "预报时间")
    private Integer foretm;
    /**
     * 地图服务ID
     */
    @ApiModelProperty(value = "地图服务ID")
    private String geoid;
    /**
     * 发布时间
     */
    @ApiModelProperty(value = "发布时间")
    private Date iymdh;

}