package com.cuit.basin.base.biz.entity; /***********************************************************************
 * Module:  MeteLiveIntegrationData.java
 * Author:  PYJ
 * Purpose: Defines the Class MeteLiveIntegrationData
 ***********************************************************************/

import com.baomidou.mybatisplus.annotation.TableName;
import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * 气象实况融合数据
 */
@ApiModel(value = "气象实况融合数据", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("mete_ri_liveinte_r")
public class MeteLiveIntegrationData {
    /**
     * 要素
     */
    @ApiModelProperty(value = "要素")
    private int ele;
    /**
     * 数据时间
     */
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    @ApiModelProperty(value = "数据时间")
    private LocalDateTime dt;
    /**
     * 地图服务ID
     */
    @ApiModelProperty(value = "地图服务ID")
    private Long geoid;
    /**
     * 发布时间
     */
    @ApiModelProperty(value = "发布时间")
    private Date iymdh;

}