package com.cuit.basin.base.biz.entity; /***********************************************************************
 * Module:  MeteRainfallProcess.java
 * Author:  PYJ
 * Purpose: Defines the Class MeteRainfallProcess
 ***********************************************************************/

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * 雨量过程
 */
@ApiModel(value = "雨量过程", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("mete_si_rainproc_s")
public class MeteRainfall {
    /**
     * 站号
     */
    @ApiModelProperty(value = "站号")
    private String stcd;
    /**
     * 数据时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "数据时间")
    private LocalDateTime dt;
    /**
     * 降水量
     */
    @ApiModelProperty(value = "降水量")
    private Double p;
}