package com.cuit.basin.base.biz.entity; /***********************************************************************
 * Module:  MeteStationInfo.java
 * Author:  PYJ
 * Purpose: Defines the Class MeteStationInfo
 ***********************************************************************/

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 气象站点信息
 */
@ApiModel(value = "气象站点信息", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("mete_bi_stinfo_b")
public class MeteStationInfo {
    /**
     * 站号
     */
    @ApiModelProperty(value = "站号")
    private String stcd;
    /**
     * 站名
     */
    @ApiModelProperty(value = "站名")
    private String stnm;
    /**
     * 行政区划编码
     */
    @ApiModelProperty(value = "行政区划编码")
    private String addvcd;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private Double lgtd;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private Double lttd;
    /**
     * 高程
     */
    @ApiModelProperty(value = "高程")
    private Double grel;
    /**
     * 站点类型
     */
    @ApiModelProperty(value = "站点类型")
    private Integer stty;
    /**
     * 站点级别
     */
    @ApiModelProperty(value = "站点级别")
    private Integer stlv;
    /**
     * 流域ID
     */
    @ApiModelProperty(value = "流域ID")
    private int bsid;

}