package com.cuit.basin.base.biz.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 模型字典类
 *
 * @author Xiao Yinrui
 */
@Builder
@ApiModel(value = "模型字典类", description = "")
@NoArgsConstructor
@AllArgsConstructor
@Data
@TableName("hyd_bi_modeldic_b")
public class ModelDic {
    /**
     * 模型id
     */
    @ApiModelProperty(value = "模型id")
    @TableId(type = IdType.AUTO)
    private Integer mid;
    /**
     * 模型名称
     */
    @ApiModelProperty(value = "模型名称")
    private String mname;
    /**
     * 模型描述
     */
    @ApiModelProperty(value = "模型描述")
    private String mdes;
    /**
     * 模型存放路径
     */
    @ApiModelProperty(value = "模型存放路径")
    private String path;
    /**
     * 数据预报处理
     */
    @ApiModelProperty(value = "数据预报处理")
    private String dfproc;
    /**
     * 模型前置数据
     */
    @ApiModelProperty(value = "模型前置数据")
    private String mfdata;
    /**
     * 模型程序
     */
    @ApiModelProperty(value = "模型程序")
    private String mprog;
    /**
     * 模型前置程序
     */
    @ApiModelProperty(value = "模型前置程序")
    private String mfprog;
    /**
     * 数据后处理
     */
    @ApiModelProperty(value = "数据后处理")
    private String daproc;
    /**
     * 定时表达式
     */
    @ApiModelProperty(value = "定时表达式", hidden = true)
    private String cron;
    /**
     * 运行状态（1运行中 2停止 3异常）
     */
    @ApiModelProperty(value = "运行状态（1运行中 2停止）")
    private Integer status;
}
