package com.cuit.basin.base.biz.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 模型运行日志
 *
 * @author Xiao Yinrui
 */
@ApiModel(value = "模型运行日志", description = "")
@NoArgsConstructor
@AllArgsConstructor
@Data
@TableName("hyd_bi_modellog_b")
public class ModelLog {
    /**
     * 模型日志id
     */
    @ApiModelProperty(value = "模型日志id")
    private String id;
    /**
     * 模型id
     */
    @ApiModelProperty(value = "模型id")
    private Integer mid;
    /**
     * 模型名称-中文
     */
    @ApiModelProperty(value = "模型名称-中文")
    private String mnmcn;
    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "开始时间")
    private LocalDateTime st;
    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "结束时间")
    private LocalDateTime et;
    /**
     * 起报时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "起报时间")
    private LocalDateTime dt;
    /**
     * 运行时间（分钟）
     */
    @ApiModelProperty(value = "运行时间（分钟）")
    private Integer rt;
    /**
     * 运行方式（手动运行/定时调度）
     */
    @ApiModelProperty(value = "运行方式（手动运行/定时调度）")
    private String rm;

    /**
     * {@link com.cuit.sriver.sriversys.base.constant.ModleTaskEnum}
     */
    @ApiModelProperty(value = "结束标识 0-未结束 1-结束 2-异常停止")
    private Integer isFinish;

    /**
     * 运行进度
     */
    @ApiModelProperty(value = "运行进度")
    private Double process;

}
