package com.cuit.basin.base.biz.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * 模型参数
 *
 * @author Xiao Yinrui
 */
@ApiModel(value = "模型参数", description = "")
@TableName(value = "hyd_bi_modelparam_b")
@Data
@Builder
public class ModelParam {

    @ApiModelProperty(value = "参数id", required = true)
    @TableId(value = "PID", type = IdType.AUTO)
    private Integer pid;

    @ApiModelProperty(value = "模型id", required = true)
    private Integer mid;

    @ApiModelProperty(value = "参数名", required = true)
    private String name;

    @ApiModelProperty("最小取值范围")
    private Double minv;

    @ApiModelProperty("最大取值范围")
    private Double maxv;

    @ApiModelProperty("参数值")
    private Double value;
}
