package com.cuit.basin.base.biz.entity; /***********************************************************************
 * Module:  SnowData.java
 * Author:  PYJ
 * Purpose: Defines the Class SnowData
 ***********************************************************************/

import com.baomidou.mybatisplus.annotation.TableName;
import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 积雪数据
 */
@ApiModel(value = "积雪数据", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("hyd_bi_snow_b")
public class SnowData {
    /**
     * 数据编码
     */
    @ApiModelProperty(value = "数据编码")
    private String datacd;
    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime dt;
    /**
     * 地图服务ID
     */
    @ApiModelProperty(value = "地图服务ID")
    private Long geoid;
    /**
     * 积雪总面积
     */
    @ApiModelProperty(value = "地图服务ID")
    private Double area;

}