package com.cuit.basin.base.biz.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 系统异常日志
 * </p>
 *
 * @author HouPJ
 * @since 2022-12-20
 */
@Getter
@Setter
@Builder
@TableName("tb_sys_error_log")
@ApiModel(value = "TbSysErrorLog对象", description = "系统异常日志")
public class TbSysErrorLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("编号")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("链路追踪编号")
    @TableField("trace_id")
    private String traceId;

    @ApiModelProperty("用户编号")
    @TableField("user_id")
    private Integer userId;

    @ApiModelProperty("模块类型")
    @TableField("module")
    private Integer module;

    @ApiModelProperty("应用名")
    @TableField("application_name")
    private String applicationName;

    @ApiModelProperty("请求方法名")
    @TableField("request_method")
    private String requestMethod;

    @ApiModelProperty("请求地址")
    @TableField("request_url")
    private String requestUrl;

    @ApiModelProperty("请求参数")
    @TableField("request_params")
    private String requestParams;

    @ApiModelProperty("用户 IP")
    @TableField("user_ip")
    private String userIp;

    @ApiModelProperty("浏览器 UA")
    @TableField("user_agent")
    private String userAgent;

    @ApiModelProperty("异常发生时间")
    @TableField("exception_time")
    private LocalDateTime exceptionTime;

    @ApiModelProperty("异常名")
    @TableField("exception_name")
    private String exceptionName;

    @ApiModelProperty("异常导致的消息 ")
    @TableField("exception_message")
    private String exceptionMessage;

    @ApiModelProperty("异常导致的根消息")
    @TableField("exception_root_cause_message")
    private String exceptionRootCauseMessage;

    @ApiModelProperty("异常的栈轨迹")
    @TableField("exception_stack_trace")
    private String exceptionStackTrace;

    @ApiModelProperty("异常发生的类全名")
    @TableField("exception_class_name")
    private String exceptionClassName;

    @ApiModelProperty("异常发生的类文件")
    @TableField("exception_file_name")
    private String exceptionFileName;

    @ApiModelProperty("异常发生的方法名 ")
    @TableField("exception_method_name")
    private String exceptionMethodName;

    @ApiModelProperty("异常发生的方法所在行")
    @TableField("exception_line_number")
    private Integer exceptionLineNumber;

    @ApiModelProperty("处理状态")
    @TableField("process_status")
    private Integer processStatus;

    @ApiModelProperty("处理时间")
    @TableField("process_time")
    private LocalDateTime processTime;

    @ApiModelProperty("处理用户编号")
    @TableField("process_user_id")
    private Integer processUserId;

    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    @TableField("create_time")
    private LocalDateTime createTime;

    @ApiModelProperty("更新者")
    private String updater;

    @ApiModelProperty("更新时间")
    @TableField("update_time")
    private LocalDateTime updateTime;

    @ApiModelProperty("是否删除")
    private Boolean deleted;

    @ApiModelProperty("租户编号")
    @TableField("tenant_id")
    private Long tenantId;


}
