package com.cuit.basin.base.biz.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 研究报告
 *
 * @TableName tf_report
 */
@TableName(value = "tf_report")
@Data
public class TfReport implements Serializable {
    /**
     * 报告id
     */
    @TableId(value = "REPORTID", type = IdType.AUTO)
    @ApiModelProperty("报告id")
    private Integer reportId;

    /**
     * 报告名称
     */
    @TableField(value = "NAME")
    @ApiModelProperty("报告名称")
    private String name;

    /**
     * 作者
     */
    @TableField(value = "AUTHOR")
    @ApiModelProperty("作者")
    private String author;
    /**
     * 报告类型
     */
    @TableField(value = "TYPE")
    @ApiModelProperty("报告类型")
    private String type;

    /**
     * 编写时间
     */
    @TableField(value = "DT")
    @ApiModelProperty("编写时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime dt;

    /**
     * 提交单位
     */
    @TableField(value = "UNIT")
    @ApiModelProperty("提交单位")
    private String unit;

    /**
     * 报告url
     */
    @TableField(value = "URL")
    @ApiModelProperty("报告url")
    private String url;

}