package com.cuit.basin.base.biz.entity; /***********************************************************************
 * Module:  WatershedStationArealRainfall.java
 * Author:  PYJ
 * Purpose: Defines the Class WatershedStationArealRainfall
 ***********************************************************************/

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 流域站点面雨量
 */
@ApiModel(value = "流域站点面雨量", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("mete_si_bsstap_s")
public class WatershedStationArealRainfall {
    /**
     * 流域ID
     */
    @ApiModelProperty(value = "流域ID")
    private int bsid;
    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime dt;
    /**
     * 平均降水
     */
    @ApiModelProperty(value = "平均降水")
    private Double avp;
    /**
     * 最大降水量
     */
    @ApiModelProperty(value = "最大降水量")
    private Double mxp;
    /**
     * 最小降水量
     */
    @ApiModelProperty(value = "最小降水量")
    private Double mnp;
    /**
     * 专题图URL
     */
    @ApiModelProperty(value = "专题图URL")
    @JSONField(jsonDirect = true)
    private String pngurl;
}