package com.cuit.basin.base.biz.mq.redismq.consumer;

import com.cuit.basin.base.biz.mq.redismq.message.ModelTaskRefreshMessage;
import com.cuit.basin.base.biz.service.model.ModelProgressService;
import com.cuit.basin.base.redismq.core.pubsub.AbstractChannelMessageListener;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


/**
 *

 * @Author: HouPJ
 * @Date: 2022/12/21 10:54
 * @Description: 针对 {@link ModelTaskRefreshMessage} 的消费者
 *      必须加@Component注解，否则RedisMQ自动配置不会注册这个兼监听器（消费者）
 */

@Component
@Slf4j
public class ModelTaskRefreshConsumer extends AbstractChannelMessageListener<ModelTaskRefreshMessage> {

    @Resource
    private ModelProgressService modelProgressService;

    @Override
    public void onMessage(ModelTaskRefreshMessage message) {
        log.info("[onMessage][收到 Model-Task 刷新消息]");
        modelProgressService.initLocalCache();
    }
}
