package com.cuit.basin.base.biz.pojo;

import com.cuit.basin.framework.common.utils.other.Double2Serializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * 报汛特征值-特征值类
 *
 * @author pyj
 */
@Data
@Builder
@ApiModel(value = "报汛特征值-特征值类", description = "")
public class CharacterValue {
    /**
     * 最高水位
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty(value = "最高水位")
    private Double htz;
    /**
     * 最低水位
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty(value = "最低水位")
    private Double ltz;
    /**
     * 平均水位
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty(value = "平均水位")
    private Double avz;
    /**
     * 最大流量
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty(value = "最大流量")
    private Double mxq;
    /**
     * 最小流量
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty(value = "最小流量")
    private Double mnq;
    /**
     * 平均流量
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty(value = "平均流量")
    private Double avq;
}
