package com.cuit.basin.base.biz.pojo;

import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@ApiModel(value = "预报订正-快速订正", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class FastCorrectData {

    /**
     * 站号
     */
    @ApiModelProperty(value = "站号")
    private String stcd;
    /**
     * 起报时间
     */
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    @ApiModelProperty(name = "起报时间", notes = "")
    private LocalDateTime dateTime;

    /**
     * 数据时间
     */
    @ApiModelProperty(name = "数据时间", notes = "")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime dt;
    /**
     * 订正最大水位
     */
    @ApiModelProperty(value = "订正最大水位")
    private BigDecimal maxFZ;
    /**
     * 订正最小水位
     */
    @ApiModelProperty(value = "订正最小水位")
    private BigDecimal minFZ;
    /**
     * 订正平均水位
     */
    @ApiModelProperty(value = "订正最大水位")
    private BigDecimal avgFZ;

    /**
     * 订正最大水位
     */
    @ApiModelProperty(value = "订正最大流量")
    private BigDecimal maxFQ;
    /**
     * 订正最小流量
     */
    @ApiModelProperty(value = "订正最小流量")
    private BigDecimal minFQ;
    /**
     * 订正平均流量
     */
    @ApiModelProperty(value = "订正最大流量")
    private BigDecimal avgFQ;
}
