package com.cuit.basin.base.biz.pojo;

import com.cuit.basin.framework.common.base.BasePageQuery;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

@Data
public class GazetteListQuery extends BasePageQuery {
    @ApiModelProperty(value = "所属流域", name = "bsId", required = false, example = "1")
    private Integer bsId;
    @ApiModelProperty(value = "公报类型", name = "typeId", required = false, example = "1")
    private Integer typeId;
    @ApiModelProperty(value = "审核状态", name = "auditsTutus", required = false, example = "1")
    private Integer auditsTutus;
    @ApiModelProperty(value = "开始时间", name = "stTime", required = false, example = "2022-04-20")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime stTime;
    @ApiModelProperty(value = "结束时间", name = "endTime", required = false, example = "2022-09-20")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;
    @ApiModelProperty(value = "关键字", name = "keyWords", required = false, example = "暴雨")
    private String keyWords;

}
