package com.cuit.basin.base.biz.pojo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@ApiModel(value = "HydPiBulletinPInfo", description = "公报信息")
@AllArgsConstructor
@NoArgsConstructor
@Data
@Builder
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class HydPiBulletinPInfo {

    /**
     * 公报ID
     */
    @TableId(value = "BID")
    @ApiModelProperty("公报ID")
    private Integer bId;

    /**
     * 公报名称
     */
    @TableField(value = "BNM")
    @ApiModelProperty("公报名称")
    private String bnm;

    /**
     * 公报类型
     */
    @TableField(value = "BTYPE")
    @ApiModelProperty("公报类型")
    private Integer btype;

    /**
     * 签发人
     */
    @TableField(value = "SIGNER")
    @ApiModelProperty("签发人")
    private String signer;

    /**
     * 审核状态
     */
    @TableField(value = "AUDITSTUTUS")
    @ApiModelProperty("审核状态")
    private Integer auditStutus;

    /**
     * 公报概述信息
     */
    @TableField(value = "DISCRIPTION")
    @ApiModelProperty("公报概述信息")
    private String discription;

    /**
     * 发布时间
     */
    @TableField(value = "PUBTIME")
    @ApiModelProperty("发布时间")
    private LocalDateTime pubTime;

    /**
     * 流域id
     */
    @TableField(value = "BSID")
    @ApiModelProperty("流域id")
    private Integer bsId;


    /**
     * 发布标志
     */
    @TableField(value = "PUBLISH_TAGS")
    @ApiModelProperty("发布标志(0不发布， 1发布)")
    private Integer publishTags;
}
