package com.cuit.basin.base.biz.pojo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

@Data
public class HydPiBulletinPParams {
    /**
     * 公报名称
     */
    @TableField(value = "BNM")
    @ApiModelProperty("公报名称")
    private String bnm;

    /**
     * 公报类型
     */
    @TableField(value = "BTYPE")
    @ApiModelProperty("公报类型")
    private Integer btype;

    /**
     * 签发人
     */
    @TableField(value = "SIGNER")
    @ApiModelProperty("签发人")
    private String signer;


    /**
     * 公报概述信息
     */
    @TableField(value = "DISCRIPTION")
    @ApiModelProperty("公报概述信息")
    private String discription;

    /**
     * 发布时间
     */
    @TableField(value = "PUBTIME")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime pubTime;

    /**
     * 流域id
     */
    @TableField(value = "BSID")
    @ApiModelProperty("流域id")
    private Integer bsId;

    /**
     * 富文本内容
     */
    @TableField(value = "CONTENT")
    @ApiModelProperty("富文本内容")
    private String content;


    /**
     * 发布标志
     */
    @TableField(value = "PUBLISH_TAGS")
    @ApiModelProperty("发布标志(0不发布， 1发布)")
    private Integer publishTags;
}
