package com.cuit.basin.base.biz.pojo;


import com.cuit.basin.base.biz.entity.HydFiStdataF;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;


@Data
@ApiModel(value = "HydroForecastDetailView", description = "水文预测曲线")
/**
 * 为空属性、字段不返回
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class HydroForecastDetail {
    /**
     * 模型类型id
     */
    @ApiModelProperty(value = "数据类型")
    private Integer mid;
    /**
     * 模型类型名称
     */
    @ApiModelProperty(value = "模型类型名称")
    private String mnm;

    @ApiModelProperty(value = "站点预测数据列表")
    private List<HydFiStdataF> hydroStationForeDataInfoList;
}
