package com.cuit.basin.base.biz.pojo;

import com.alibaba.fastjson2.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 搜索定位返回类
 */
@Builder
@ApiModel(value = "HydroLocation", description = "搜索定位返回类")
@Data
@AllArgsConstructor
@NoArgsConstructor
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class HydroLocation {
    /**
     * 站号
     */
    @ApiModelProperty(value = "站号")
    @JSONField(jsonDirect = true)
    private String stcd;
    /**
     * 站名
     */
    @ApiModelProperty(value = "站名")
    @JSONField(jsonDirect = true)
    private String stnm;
    /**
     * 流域名称
     */
    @ApiModelProperty(value = "流域名称")
    @JSONField(jsonDirect = true)
    private String bsnm;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private Double lgtd;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private Double lttd;
    /**
     * 缩放范围
     */
    @ApiModelProperty(value = "缩放范围")
    private String bbox;
}
