package com.cuit.basin.base.biz.pojo; /***********************************************************************
 * Module:  HydroStarionData.java
 * Author:  PYJ
 * Purpose: Defines the Class HydroStarionData
 ***********************************************************************/

import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 水文站点数据-监测
 */
@ApiModel(value = "水文站点数据-监测", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class HydroStationDataInfo {
    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime dt;
    /**
     * 站号
     */
    @ApiModelProperty(value = "站号")
    private String stcd;
    /**
     * 站名
     */
    @ApiModelProperty(value = "站名")
    private String stnm;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private Double lgtd;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private Double lttd;
    /**
     * 水位
     */
    @ApiModelProperty(value = "水位")
    private Double z;
    /**
     * 流量
     */
    @ApiModelProperty(value = "流量")
    private Double q;
    /**
     * 水位变化
     */
    @ApiModelProperty(value = "水位变化")
    private Double zc;
    /**
     * 流量变化
     */
    @ApiModelProperty(value = "流量变化")
    private Double qc;
    /**
     * 水位数据状态标志
     */
    @ApiModelProperty(value = "水位数据状态标志")
    private int zs;
    /**
     * 流量数据状态标志
     */
    @ApiModelProperty(value = "流量数据状态标志")
    private int qs;
    /**
     * 水位数据变化状态标志
     */
    @ApiModelProperty(value = "水位数据变化状态标志")
    private int zcs;
    /**
     * 流量数据变化状态标志
     */
    @ApiModelProperty(value = "流量数据变化状态标志")
    private int qcs;
    /**
     * 超警戒水位
     */
    @ApiModelProperty(value = "超警戒水位")
    private Double bywrz;
    /**
     * 超保证水位
     */
    @ApiModelProperty(value = "超保证水位")
    private Double bygrz;
    /**
     * 超警戒流量
     */
    @ApiModelProperty(value = "超警戒水位")
    private Double bywrq;
    /**
     * 超保证流量
     */
    @ApiModelProperty(value = "超保证流量")
    private Double bygrq;
}