package com.cuit.basin.base.biz.pojo; /***********************************************************************
 * Module:  HydroStarionData.java
 * Author:  PYJ
 * Purpose: Defines the Class HydroStarionData
 ***********************************************************************/

import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 水文站点数据-预报订正
 */
@ApiModel(value = "水文站点数据-预报订正", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class HydroStationForeCurrDataInfo {
    /**
     * 产品代码
     */
    @ApiModelProperty(name = "产品代码", notes = "")
    private String datacd;
    /**
     * 产品名称
     */
    @ApiModelProperty(name = "产品名称", notes = "")
    private String nm;
    /**
     * 数据时间
     */
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    @ApiModelProperty(name = "数据时间", notes = "")
    private LocalDateTime dt;
    /**
     * 站号
     */
    @ApiModelProperty(name = "站号", notes = "")
    private String stcd;
    /**
     * 站名
     */
    @ApiModelProperty(value = "站名")
    private String stnm;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private Double lgtd;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private Double lttd;
    /**
     * 水位
     */
    @ApiModelProperty(name = "水位", notes = "")
    private Double z;
    /**
     * 流量
     */
    @ApiModelProperty(name = "流量", notes = "")
    private Double q;
    /**
     * 水位变化
     */
    @ApiModelProperty(name = "水位变化", notes = "")
    private Double zc;
    /**
     * 流量变化
     */
    @ApiModelProperty(name = "流量变化", notes = "")
    private Double qc;
    /**
     * 水位数据状态标志
     */
    @ApiModelProperty(name = "水位数据状态标志", notes = "")
    private Double zs;
    /**
     * 流量数据状态标志
     */
    @ApiModelProperty(name = "流量数据状态标志", notes = "")
    private Double qs;
    /**
     * 水位数据变化状态标志
     */
    @ApiModelProperty(name = "水位数据变化状态标志", notes = "")
    private Double zcs;
    /**
     * 流量数据变化状态标志
     */
    @ApiModelProperty(name = "流量数据变化状态标志", notes = "")
    private Double qcs;
    /**
     * 超警戒水位
     */
    @ApiModelProperty(name = "超警戒水位", notes = "")
    private Double bywrz;
    /**
     * 超保证水位
     */
    @ApiModelProperty(name = "超保证水位", notes = "")
    private Double bygrz;
    /**
     * 超警戒流量
     */
    @ApiModelProperty(name = "超警戒流量", notes = "")
    private Double bywrq;
    /**
     * 超保证流量
     */
    @ApiModelProperty(name = "超保证流量", notes = "")
    private Double bygrq;
}