package com.cuit.basin.base.biz.pojo;

import com.cuit.basin.framework.common.utils.other.Double2Serializer;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.SuperBuilder;

import java.time.LocalDateTime;

/**
 * 模型参数校准前台展示类
 *
 * @author PancakeCN
 * @link <a href="https://github.com/PancakeCN">Github主页</a>
 * @date 2022/12/16 15:06
 */
@SuperBuilder
@Data
@ApiModel(value = "模型参数校准前台展示类", description = "")
public class ModelCalibration {
    /**
     * id
     */
    @ApiModelProperty("ID")
    private Integer id;
    /**
     * 模型id
     */
    @ApiModelProperty("模型id")
    private Integer mid;
    /**
     * 起报时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty("起报时间")
    private LocalDateTime dataTime;
    /**
     * 站号
     */
    @ApiModelProperty("站号")
    private String stcd;
    /**
     * 纳什系数
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty("纳什系数")
    private Double nse;
    /**
     * 方差
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty("方差")
    private Double r2;
    /**
     * ME(m3/s)
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty(value = "ME(m3/s)")
    private Double me;
    /**
     * PBIAS(%)
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty(value = "PBIAS(%)")
    private Double pbias;
    /**
     * 准确度
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty("准确度")
    private Double factor;
    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty("开始时间")
    private LocalDateTime stDataTime;
    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty("结束时间")
    private LocalDateTime edDataTime;
    /**
     * 最优参数标记（1是  0否）
     */
    @ApiModelProperty("最优参数标记（1是  0否）")
    private Integer optimal;
}
