package com.cuit.basin.base.biz.pojo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 模型预测数据
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel(value = "模型预测或订正数据", description = "")
public class ModelForeData {
    /**
     * 模型id
     */
    @TableField("MID")
    @ApiModelProperty(value = "模型id")
    private Integer mid;
    /**
     * 模型名称-中文
     */
    @ApiModelProperty(value = "模型名称-中文")
    private String mnmcn;
    /**
     * 水位
     */
    @ApiModelProperty(value = "水位")
    private Double fz;
    /**
     * 流量
     */
    @ApiModelProperty(value = "流量")
    private Double fq;
}
