package com.cuit.basin.base.biz.pojo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel(value = "模型预测参考数据列表", description = "")
public class ModelForeReferData {
    /**
     * 数据类型
     */
    @ApiModelProperty(value = "数据类型")
    private Integer mid;
    /**
     * 名称
     */
    @ApiModelProperty(value = "站号")
    private String stcd;
    /**
     * NSE
     */
    @ApiModelProperty(value = "NSE")
    private Double nse;
    /**
     * R2
     */
    @ApiModelProperty(value = "R2")
    private Double r2;
    /**
     * 准确度
     */
    @ApiModelProperty(value = "准确度")
    private Double factor;
    /**
     * 水文站点预测数据列表-前半段
     */
    @ApiModelProperty(value = "水文站点预测数据列表-前半段")
    private List<HydroStationForeDataInfo> hydroStationForeDataInfoList1;
    /**
     * 水文站点预测数据列表-后半段
     */
    @ApiModelProperty(value = "水文站点预测数据列表-后半段")
    private List<HydroStationForeDataInfo> hydroStationForeDataInfoList2;
}
