package com.cuit.basin.base.biz.pojo;

import com.cuit.basin.base.biz.vo.EigenvalueView;
import com.cuit.basin.base.biz.vo.GazetteModeForecastParamsView;
import com.cuit.basin.base.biz.vo.GazetteRainParamsView;
import com.cuit.basin.base.biz.vo.GazetteRegimenParamsView;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

@Data
@ApiModel(value = "ProduceGazetteParam", description = "预览公报参数类")
/**
 * 为空属性、字段不返回
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ProduceGazetteParam {

    /**
     * 公报类型
     */
    @ApiModelProperty(value = "公报类型")
    private String gazetteType;

    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime stTime;
    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;
    /**
     * 超警情况
     */
    @ApiModelProperty(value = "超警情况")
    private String situation;

    /**
     * 流域id
     */
    @ApiModelProperty(value = "流域id")
    private Integer bsId;

    /**
     * 选择的雨情条件
     */
    @ApiModelProperty(value = "选择的雨情条件")
    private GazetteRainParamsView rainParamsView;

    /**
     * 选择的水情条件
     */
    @ApiModelProperty(value = "选择的水情条件")
    private GazetteRegimenParamsView regimenParamsView;

    /**
     * 选择的模型预报条件
     */
    @ApiModelProperty(value = "选择的模型预报条件")
    private GazetteModeForecastParamsView modeForecastParamsView;

    /**
     * 选择的特征值
     */
    @ApiModelProperty(value = "选择的特征值")
    private EigenvalueView eigenvalueView;

}
