package com.cuit.basin.base.biz.pojo;

import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.github.jeffreyning.mybatisplus.anno.MppMultiId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@ApiModel(value = "RealDataInfo", description = "实况数据")
/**
 * 为空属性、字段不返回
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RealDataInfo {
    /**
     * 数据时间
     */
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    @ApiModelProperty(value = "实况数据时间")
    @MppMultiId
    private LocalDateTime dt;

    /**
     * 站号
     */
    @ApiModelProperty(value = "站号")
    @MppMultiId
    private String stcd;
    /**
     * 水位
     */
    @ApiModelProperty(value = "实况水位")
    private Double z;
    /**
     * 流量
     */
    @ApiModelProperty(value = "实况流量")
    private Double q;
}
