package com.cuit.basin.base.biz.pojo; /***********************************************************************
 * Module:  SnowData.java
 * Author:  PYJ
 * Purpose: Defines the Class SnowData
 ***********************************************************************/

import com.baomidou.mybatisplus.annotation.TableName;
import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 积雪数据
 */
@ApiModel(value = "积雪数据", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("hyd_bi_snow_b")
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class SnowDataUnion {
    /**
     * 数据编码
     */
    @ApiModelProperty(value = "数据编码")
   // @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private String datacd;
    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime dt;
    /**
     * 地图服务ID
     */
    @ApiModelProperty(value = "地图服务ID")
    private Long geoid;
    /**
     * 工作空间
     */
    @ApiModelProperty(value = "工作空间")
    private String workspace;
    /**
     * 图层名
     */
    @ApiModelProperty(value = "图层名")
    private String lyr;
    /**
     * 地图样式
     */
    @ApiModelProperty(value = "地图样式")
    private String style;
    /**
     * 地图范围
     */
    @ApiModelProperty(value = "地图范围")
    private String bbox;
    /**
     * 地图服务地址
     */
    @ApiModelProperty(value = "地图服务地址")
    private String address;
    /**
     * 拼接地图url
     */
    @ApiModelProperty(value = "拼接地图url")
    private String url;

}