package com.cuit.basin.base.biz.pojo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * 用户列表查询返回类
 *
 * @author Xiao Yinrui
 * @link <a href="https://github.com/PancakeCN">Github主页</a>
 * @date 2022/7/20 16:35
 */
@AllArgsConstructor
@NoArgsConstructor
@Getter
@Setter
@ApiModel(value = "UserInfo", description = "系统用户前台返回类")
public class UserInfo {

    @ApiModelProperty("id")
    private Integer id;

    @ApiModelProperty("登录名")
    private String loginname;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("部门或单位名")
    @TableField(value = "dep_name")
    private String dptName;

    @ApiModelProperty("所任职务")
    @TableField(value = "position_name")
    private String positionName;

    @ApiModelProperty("权限等级")
    @TableField(value = "permission_level_name")
    private String permissionLevelName;

    @ApiModelProperty("电话号码")
    private String tel;

    @ApiModelProperty("启用/禁用")
    private Integer enabled;


}
