package com.cuit.basin.base.biz.pojo.monitor;

import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @BelongsProject: sbasinsys
 * @BelongsPackage: com.cuit.basin.base.biz.pojo.monitor
 * @Author: HouPJ
 * @Date: 2022/12/22 11:03
 * @Description: 运行监控模块实时日志返回类
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel(value = "运行监控模块实时日志返回类", description = "")
public class MonitorLogDisplayReq {

    @ApiModelProperty(value = "模块名称")
    private String module;

    @ApiModelProperty(value = "日志描述")
    private String describe;

    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    @ApiModelProperty(name = "日志时间", notes = "")
    private LocalDateTime createTime;

}
