package com.cuit.basin.base.biz.query;

import com.cuit.basin.framework.common.base.BasePageQuery;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;


@ApiModel(description = "水情服务公报查询条件")
@Data
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class HydroBulletinQuery extends BasePageQuery {

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(name = "起始时间", notes = "")
    private LocalDateTime stTime;
    /**
     * 更新时间
     */
    @ApiModelProperty(name = "结束时间", notes = "")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;
    /**
     * 公报类型
     */
    @ApiModelProperty(name = "公报类型", notes = "")
    private String btype;
    /**
     * 签发人
     */
    @ApiModelProperty(name = "签发人", notes = "")
    private String signer;
    /**
     * 审核状态
     */
    @ApiModelProperty(name = "审核状态", notes = "")
    private Integer auditstutus;
    /**
     * 签发人
     */
    @ApiModelProperty(name = "关键字", notes = "")
    private String keyword;
    /**
     * 审核状态
     */
    @ApiModelProperty(name = "所属流域", notes = "")
    private Integer bsid;
}
