package com.cuit.basin.base.biz.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

@ApiModel(description = "水文预测列表查询条件")
@Data
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class HydrologicalForecastListQuery {

    @ApiModelProperty(value = "模型id(1,2,3,4)", name = "modelIds", required = false, example = "1")
    private String modelIds;
    @ApiModelProperty(value = "起报时间(2022-11-17 00:00:00)", name = "startForecastTime", required = false, example = "2022-11-17 00:00:00")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startForecastTime;
    @ApiModelProperty(value = "预报时效(1,2,3,...,11,12)", name = "forecastAging", required = false, example = "2")
    private Integer forecastAging;

}
