package com.cuit.basin.base.biz.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

@ApiModel(description = "水文预测详情查询条件")
@Data
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class HydrologicalForecastQuery {

    @ApiModelProperty(value = "站号(S1001)", name = "stationNum", required = true, example = "S1001")
    private String stationNum;
    @ApiModelProperty(value = "数据时间(2022-11-17 00:00:00)", name = "dataTime", required = true, example = "2022-11-17 00:00:00")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dataTime;
}
