package com.cuit.basin.base.biz.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

@ApiModel(description = "水文预测河流断面详情查询条件")
@Data
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class RiverCrossSectionQuery {
    @ApiModelProperty(value = "站号(S1001)", name = "stationNum", required = false, example = "S1001")
    private String stationNum;
    @ApiModelProperty(value = "模型id(1,2,3,4)", name = "modelId", required = false, example = "1")
    private Integer modelId;
    @ApiModelProperty(value = "起报时间(2022-11-17 00:00:00)", name = "dataTime", required = false, example = "2022-11-17 00:00:00")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dataTime;
}
