package com.cuit.basin.base.biz.query;


import com.baomidou.mybatisplus.annotation.TableField;
import com.cuit.basin.framework.common.base.BasePageQuery;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;


/**
 * @author: llw
 * @date: 2022/12/1 19:57
 * @description: 按条件分页查询日志参数类
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
public class SysLogQuery extends BasePageQuery {

    @ApiModelProperty("开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "stTime")
    private LocalDateTime stTime;

    @ApiModelProperty("结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "endTime")
    private LocalDateTime endTime;

//    @ApiModelProperty("访问账户")
//    @TableField("user_name")
//    private String userName;

    @ApiModelProperty("访问ip")
    private String ip;

    @ApiModelProperty("模块类型  模块字典（t_dic_module）")
    private String module;

    @ApiModelProperty("操作类型  0-增 1-删 2-改 3-查 4-审核")
    private Integer opType;
}
