package com.cuit.basin.base.biz.service;


import com.cuit.basin.base.biz.vo.*;
import org.springframework.stereotype.Service;

@Service
/**
 * 公共功能服务
 */
public interface CommonFunctionService {
    /**
     * 查询最新消息
     *
     * @param typeid
     * @return
     */
    MessageInfoView queryMessageInfo(Integer typeid);

    /**
     * 查询水文站点列表
     *
     * @param key
     * @return
     */
    HydroStationInfoView queryHydroStationList(String key);

    /**
     * 查询流域排序
     *
     * @return
     */
    WatershedInfoView queryWaterShedOrder();

    /**
     * 查询水文站点排序
     *
     * @param orderby
     * @return
     */
    HydroStationDataView queryHydroStationOrder(String orderby);

    /**
     * 查询模型字典列表
     *
     * @return
     */
    ModelDicView queryHydrologicalForecastModelDic();

    /**
     * 查询流域列表
     *
     * @return
     */
    WatershedDataView queryWatershedList();
}
