package com.cuit.basin.base.biz.service;


import com.cuit.basin.base.biz.pojo.DictionaryDto;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author hpj
 */
@Service
public interface DictionaryFetchService {


    /**
     * 根据字典类型获取对应字典列表
     *
     * @param dictionaryType
     * @return
     */
    public List fetchDictionaryByName(String dictionaryType);

    /**
     * 新增字典
     *
     * @param dictionaryDto
     * @param dictionaryType
     * @return
     */
    Integer addDictionary(DictionaryDto dictionaryDto, String dictionaryType);

    /**
     * 更新字典表
     *
     * @param dictionaryDto
     * @param dictionaryType
     * @return
     */
    void updateDictionary(DictionaryDto dictionaryDto, String dictionaryType);

    /**
     * 删除字典表项
     *
     * @param ids
     * @param dictionaryType
     */
    void deleteDictionaryItem(String ids, String dictionaryType);
}
