package com.cuit.basin.base.biz.service;

import com.cuit.basin.base.biz.query.HydrologicalForecastListQuery;
import com.cuit.basin.base.biz.query.HydrologicalForecastQuery;
import com.cuit.basin.base.biz.query.RiverCrossSectionQuery;
import com.cuit.basin.base.biz.vo.HydroForeSectionDetailView;
import com.cuit.basin.base.biz.vo.HydroForecastDetailView;
import com.cuit.basin.base.biz.vo.HydroStationForeView;
import com.cuit.basin.base.biz.vo.SingleStationForeDataView;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

@Service
public interface HydrologicalForecastService {


    /**
     * 1.条件查询水文预测列表信息
     *
     * @param query 查询参数类
     * @return HydroStationForeView
     */

    HydroStationForeView queryHydrologicalForecastListByParam(HydrologicalForecastListQuery query);

    /*
     * @author: llw
     * @date: 2022/11/17 23:34
     * @param null
     * @return: HydroForeSectionDetailViewList
     * @description: 2. 点击展开站点详情
     */

    SingleStationForeDataView queryHydroSingleStationModelForeInfo(String stcd, LocalDateTime dateTime, Integer time);






    /*
     * @author: llw
     * @date: 2022/11/17 23:34
     * @param HydrologicalForecastQuery query
     * @return: hydroForecastDetailView
     * @description: 3.条件查询站点水文预报详情
     */


    HydroForecastDetailView queryHydrologicalForecastDetails(HydrologicalForecastQuery query);

    /*
     * @author: llw
     * @date: 2022/11/17 23:36
     * @param RiverCrossSectionQuery query
     * @return:
     * @description: 4.条件查询河流断面详情
     */

    HydroForeSectionDetailView queryRiverCrossSectionForeDetails(RiverCrossSectionQuery query);

}

