package com.cuit.basin.base.biz.service;

import com.cuit.basin.base.biz.entity.GeoserverData;
import com.cuit.basin.base.biz.entity.MeteStationData;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;

@Service
/**
 * 气象站点数据查询服务接口
 */
public interface MeteDataQueryService {
    /**
     * 查询最新气象站点数据
     *
     * @return
     */
    List<MeteStationData> queryLatestMeteStationData();

    /**
     * 查询最新实况融合数据
     *
     * @param datatime 数据时间
     * @param ele      要素
     * @return
     */
    GeoserverData queryRtIntergrationData(LocalDateTime datatime, String ele);

    /**
     * 查询最新预报格网数据
     *
     * @param ele      要素
     * @param datatime 起报时间
     * @return
     */
    List<GeoserverData> queryForecastingGridData(String ele, LocalDateTime datatime);
}
