package com.cuit.basin.base.biz.service;

import com.cuit.basin.base.biz.pojo.HydroLocation;
import com.cuit.basin.base.biz.pojo.LakeDataUnion;
import com.cuit.basin.base.biz.vo.GlacierView;
import com.cuit.basin.base.biz.vo.SnowView;
import org.springframework.stereotype.Service;

@Service
/**
 * 实时监测模块基础数据服务接口
 */
public interface RTMonitoringBaseService {
    /**
     * 关键字查询提示
     *
     * @param key 输入字符
     * @return 关键字列表
     */
    Object queryKeyWords(String key);

    /**
     * 按关键字查询
     *
     * @param keyword 输入字符
     * @return
     */
    HydroLocation queryResultByKeyWord(String keyword);

    /**
     * 查询湖泊图层
     *
     * @return
     */
    LakeDataUnion queryLakeLayer();

    /**
     * 查询最新冰川图层
     *
     * @return
     */
    GlacierView queryLatestGlacierLayer();

    /**
     * 查询最新积雪图层
     *
     * @return
     */
    SnowView queryLatestSnowLayer();
}
