package com.cuit.basin.base.biz.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.cuit.basin.base.biz.service.AccuracyEvaluationService;
import com.cuit.basin.base.biz.vo.AccuracyEvaluationView;
import com.cuit.basin.base.biz.dao.HydSiForeaccuDMapper;
import com.cuit.basin.base.biz.dao.HydSiForeaccuSMapper;
import com.cuit.basin.base.biz.entity.HydSiForeaccuD;
import com.cuit.basin.base.biz.entity.HydSiForeaccuS;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.ObjectUtils;

import javax.annotation.Resource;
import java.time.LocalDateTime;
import java.util.List;

@Service
public class AccuracyEvaluationServiceImpl implements AccuracyEvaluationService {
    @Resource
    private HydSiForeaccuSMapper hydSiForeaccuSMapper;
    @Resource
    private HydSiForeaccuDMapper hydSiForeaccuDMapper;

    /**
     * 查询精度评估信息
     *
     * @param stcd     站号
     * @param mid      模型id
     * @param dataTime 起报时间
     * @return AccuracyEvaluationView
     */
    @Override
    public AccuracyEvaluationView queryAccuracyEvaluationInfo(String stcd, Integer mid, LocalDateTime dataTime) {
        AccuracyEvaluationView view = new AccuracyEvaluationView();
        HydSiForeaccuS hydSiForeaccuS = hydSiForeaccuSMapper.selectByMultiField(stcd, mid, dataTime);
        if (!ObjectUtils.isEmpty(hydSiForeaccuS)) {
            List<HydSiForeaccuD> hydSiForeaccuDs = hydSiForeaccuDMapper.selectList(new LambdaQueryWrapper<HydSiForeaccuD>()
                    .eq(HydSiForeaccuD::getForeaccuId, hydSiForeaccuS.getID()));
            view = AccuracyEvaluationView.builder().dataTime(dataTime).stcd(stcd).nse(hydSiForeaccuS.getNSE())
                    .r2(hydSiForeaccuS.getR2()).factor(hydSiForeaccuS.getFACTOR()).hydSiForeaccuDS(hydSiForeaccuDs).build();
        }
        return view;
    }
}
