package com.cuit.basin.base.biz.service.impl;


import com.cuit.basin.base.biz.pojo.DictionaryDto;
import com.cuit.basin.base.biz.service.DictionaryFetchService;
import com.cuit.basin.base.biz.service.DictionaryHandlerService;
import com.cuit.basin.base.biz.service.impl.dic.factories.DictionaryFactory;
import com.cuit.basin.framework.common.utils.other.AssertUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author hpj
 */
@Service
@Slf4j
public class DictionaryFetchServiceImpl implements DictionaryFetchService {


    @Autowired
    private DictionaryFactory factory;

    private DictionaryHandlerService dictionaryHandlerService;


    @Override
    public List fetchDictionaryByName(String dictionaryType) {
        dictionaryHandlerService = factory.createDictionaryFetch(dictionaryType);
        AssertUtil.isTrue(dictionaryHandlerService == null, "请输入正确类型，类型有：" +
                "部门、权限等级、职位");
        return dictionaryHandlerService.dictionaryFetch();
    }

    @Override
    public Integer addDictionary(DictionaryDto dictionaryDto, String dictionaryType) {
        dictionaryHandlerService = factory.createDictionaryFetch(dictionaryType);
        AssertUtil.isTrue(dictionaryHandlerService == null, "请输入正确类型，类型有：" +
                "部门、权限等级、职位");
        return dictionaryHandlerService.addDictionary(dictionaryDto);
    }

    @Override
    public void updateDictionary(DictionaryDto dictionaryDto, String dictionaryType) {
        dictionaryHandlerService = factory.createDictionaryFetch(dictionaryType);
        AssertUtil.isTrue(dictionaryHandlerService == null, "请输入正确类型，类型有：" +
                "部门、权限等级、职位");
        dictionaryHandlerService.updateDictionary(dictionaryDto);
    }

    @Override
    public void deleteDictionaryItem(String ids, String dictionaryType) {
        dictionaryHandlerService = factory.createDictionaryFetch(dictionaryType);
        AssertUtil.isTrue(dictionaryHandlerService == null, "请输入正确类型，类型有：" +
                "部门、权限等级、职位");
        dictionaryHandlerService.deleteDictionaryItem(ids);
    }


}
