package com.cuit.basin.base.biz.service.impl;

import com.cuit.basin.base.biz.service.HydroDataQueryService;
import com.cuit.basin.base.biz.vo.HydroStationDataView;
import com.cuit.basin.framework.common.exception.ParamsException;
import com.cuit.basin.base.biz.dao.HydroStationDataMapper;
import com.cuit.basin.base.biz.pojo.HydroStationDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.LinkedList;
import java.util.List;

@Service
public class HydroDataQueryServiceImpl implements HydroDataQueryService {

    @Resource
    HydroStationDataMapper hydroStationDataMapper;

    @Override
    public HydroStationDataView queryLatestHydroStationData() {
        /**
         * 查询最新水文站点数据
         */
        List<HydroStationDataInfo> hydroStationDataInfos = hydroStationDataMapper.queryLatestHydroStationData();
        return HydroStationDataView.builder().hydroStationDataList(hydroStationDataInfos).build();
    }

    @Override
    public HydroStationDataView queryLatestHydroStationDataOrder(String order) throws ParamsException {
        /**
         * 查询最新水文站点数据排序
         */
        List<HydroStationDataInfo> hydroStationDataInfos = new LinkedList<>();
        if (order.equalsIgnoreCase("水位变化")) {
            hydroStationDataInfos = hydroStationDataMapper.queryLatestHydroStationDataOrderByZC();
        } else if (order.equalsIgnoreCase("流量变化")) {
            hydroStationDataInfos = hydroStationDataMapper.queryLatestHydroStationDataOrderByQC();
        } else {
            ParamsException paramsException = new ParamsException();
            throw paramsException;
        }
        return HydroStationDataView.builder().hydroStationDataList(hydroStationDataInfos).build();
    }
}
