package com.cuit.basin.base.biz.service.impl.dic;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.cuit.basin.base.biz.dao.DicDepartmentMapper;
import com.cuit.basin.base.biz.entity.dic.DicDepartment;
import com.cuit.basin.base.biz.pojo.DictionaryDto;
import com.cuit.basin.base.biz.service.DictionaryHandlerService;
import com.cuit.basin.framework.common.exception.ErrorMessage;
import com.cuit.basin.framework.common.utils.other.TransUtil;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service("部门")
public class DicDepartmentServiceImpl implements DictionaryHandlerService {

    @Resource
    private DicDepartmentMapper departmentMapper;

    /**
     * 查询字典列表
     *
     * @return
     */
    @Override
    public List dictionaryFetch() {
        return departmentMapper.fetchEnclosureTypeDic();
    }

    @Override
    public Integer addDictionary(DictionaryDto dictionaryDto) {
        departmentMapper.insert(DicDepartment.builder()
                .dptId(departmentMapper.selectOne(new QueryWrapper<DicDepartment>().orderByDesc("dpt_id")).getDptId() + 1)
                .dptName(dictionaryDto.getName()).build());
        return departmentMapper.selectOne(new QueryWrapper<DicDepartment>().orderByDesc("dpt_id")).getDptId();
    }

    @Override
    public void updateDictionary(DictionaryDto dictionaryDto) {
        departmentMapper.updateById(DicDepartment.builder().dptName(dictionaryDto.getName()).dptId(dictionaryDto.getId()).build());
    }

    @Override
    public void deleteDictionaryItem(String ids) {
        ids.replaceAll("，", ",");
        try {
            if (ids.contains(",")) {
                //说明只删除一个
                departmentMapper.deleteById(ids);
            } else {
                departmentMapper.deleteBatchIds(TransUtil.stringToArray(ids));
            }
        } catch (Exception e) {
            throw new ErrorMessage("数据删除失败！");
        }
    }
}
