package com.cuit.basin.base.biz.service.impl.dic;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.cuit.basin.base.biz.dao.DicPermissionLevelMapper;
import com.cuit.basin.base.biz.entity.dic.DicPermissionLevel;
import com.cuit.basin.base.biz.pojo.DictionaryDto;
import com.cuit.basin.base.biz.service.DictionaryHandlerService;
import com.cuit.basin.framework.common.exception.ErrorMessage;
import com.cuit.basin.framework.common.utils.other.TransUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service(value = "权限等级")
public class DicPermissionLevelServiceImpl implements DictionaryHandlerService {

    @Autowired
    private DicPermissionLevelMapper permissionLevelMapper;

    /**
     * 查询字典列表
     *
     * @return
     */
    @Override
    public List dictionaryFetch() {
        return permissionLevelMapper.fetchPermissionLevelTypeDic();
    }

    @Override
    public Integer addDictionary(DictionaryDto dictionaryDto) {
        Integer curId = permissionLevelMapper.selectOne(new QueryWrapper<DicPermissionLevel>().orderByDesc("permission_level_id").last("limit 1")).getPermissionLevelId();
        permissionLevelMapper.insert(DicPermissionLevel.builder()
                .permissionLevelId(curId + 1)
                .permissionLevelName(dictionaryDto.getName()).build());
        return permissionLevelMapper.selectOne(new QueryWrapper<DicPermissionLevel>().orderByDesc("permission_level_id").last("limit 1")).getPermissionLevelId();
    }

    @Override
    public void updateDictionary(DictionaryDto dictionaryDto) {
        permissionLevelMapper.updateById(DicPermissionLevel.builder().permissionLevelId(dictionaryDto.getId()).permissionLevelName(dictionaryDto.getName()).build());
    }

    @Override
    public void deleteDictionaryItem(String ids) {
        ids.replaceAll("，", ",");
        try {
            if (ids.contains(",")) {
                //说明只删除一个
                permissionLevelMapper.deleteById(ids);
            } else {
                permissionLevelMapper.deleteBatchIds(TransUtil.stringToArray(ids));
            }
        } catch (Exception e) {
            throw new ErrorMessage("数据删除失败！");
        }
    }

}
