package com.cuit.basin.base.biz.service.impl.dic;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.cuit.basin.base.biz.dao.DicPositionMapper;
import com.cuit.basin.base.biz.entity.dic.DicPosition;
import com.cuit.basin.base.biz.pojo.DictionaryDto;
import com.cuit.basin.base.biz.service.DictionaryHandlerService;
import com.cuit.basin.framework.common.exception.ErrorMessage;
import com.cuit.basin.framework.common.utils.other.TransUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author wzw
 */
@Service(value = "职位")
public class DicPositionServiceImpl implements DictionaryHandlerService {

    @Autowired
    private DicPositionMapper positionMapper;

    /**
     * 查询字典列表
     *
     * @return
     */
    @Override
    public List dictionaryFetch() {
        return positionMapper.fetchPositionTypeDic();
    }

    @Override
    public Integer addDictionary(DictionaryDto dictionaryDto) {
        Integer curId = positionMapper.selectOne(new QueryWrapper<DicPosition>().orderByDesc("position_id").last("limit 1")).getPositionId();
        positionMapper.insert(DicPosition.builder().positionId(curId + 1)
                .positionName(String.valueOf(dictionaryDto.getName())).build());
        return positionMapper.selectOne(new QueryWrapper<DicPosition>().orderByDesc("position_id").last("limit 1")).getPositionId();
    }

    @Override
    public void updateDictionary(DictionaryDto dictionaryDto) {
        positionMapper.updateById(DicPosition.builder().positionId(Integer.valueOf(dictionaryDto.getId())).positionName(dictionaryDto.getName()).build());
    }

    @Override
    public void deleteDictionaryItem(String ids) {
        ids.replaceAll("，", ",");
        try {
            if (ids.contains(",")) {
                //说明只删除一个
                positionMapper.deleteById(ids);
            } else {
                positionMapper.deleteBatchIds(TransUtil.stringToArray(ids));
            }
        } catch (Exception e) {
            throw new ErrorMessage("数据删除失败！");
        }
    }

}
