package com.cuit.basin.base.biz.service.model;

import com.cuit.basin.base.biz.controller.model.vo.SuccessTaskParams;
import com.cuit.basin.base.biz.entity.ModelLog;

import java.util.Map;

/**
 * @BelongsProject: sbasinsys
 * @BelongsPackage: com.cuit.basin.base.biz.service.model
 * @Author: HouPJ
 * @Date: 2022/12/23 9:54
 * @Description: 模型进度管理服务
 */
public interface ModelProgressService {

    /**
     * 初始化模型任务的本地缓存
     */
    void initLocalCache();

    /**
     * 将模型任务进度数据更新给websocket
     */
    void refreshToWebsocket();

    /**
     * 获取所有模型运行任务
     * @return
     */
    Map<String, ModelLog> obtainModelTask();

    /**
     * 更新模型任务
     * @param successTaskParams
     */
    void refreshTask(SuccessTaskParams successTaskParams);

    /**
     * 获取模型任务进度，根据任务id
     * @param modelTaskId
     * @return
     */
    ModelLog obtainModelTaskWithId(String modelTaskId);
}
