package com.cuit.basin.base.biz.service.monitor;

import com.cuit.basin.base.biz.pojo.monitor.BaseAttributeReq;
import com.cuit.basin.base.biz.pojo.monitor.MonitorLogDisplayReq;
import com.cuit.basin.framework.common.constant.ModuleEnum;

import java.util.List;

/**
 * @BelongsProject: sbasinsys
 * @BelongsPackage: com.cuit.sriver.sriversys.service.monitor
 * @Author: HouPJ
 * @Date: 2022/12/22 11:07
 * @Description: 运行监控模块
 */
public interface RTMonitorScreenService {

    /**
     * 获取实时日志
     * @param moduleId 模块id  {@link ModuleEnum}  目前包含7-8-9三个值
     * @return 实时日志列表
     */
    List<MonitorLogDisplayReq> obtainRTMonitorLogs(Integer moduleId);


    /**
     * 获取监控模块数据属性信息
     * @param moduleId 模块id
     * @return 数据属性信息
     */
    BaseAttributeReq getServerRTAttribute(Integer moduleId);
}
