package com.cuit.basin.base.biz.service.monitor.factory;

import com.cuit.basin.base.biz.service.monitor.handler.DataAttributionHandler;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;

/**
 * @BelongsProject: sbasinsys
 * @BelongsPackage: com.cuit.basin.base.biz.pojo.monitor.factory
 * @Author: HouPJ
 * @Date: 2022/12/22 15:03
 * @Description: TODO
 */
@Component
public class MonitorHandlerFactory {

    @Resource
    private Map<String, DataAttributionHandler> strategyMap = new HashMap<>();

    /**
     * 根据模块字符串获取对应处理器
     * @param moduleName 模块名称
     * @return 处理器
     */
    public DataAttributionHandler createDictionaryFetch(String moduleName) {
        return strategyMap.get(moduleName);
    }



}
