package com.cuit.basin.base.biz.service.monitor.handler;

import com.cuit.basin.base.biz.dao.TbSysLogMapper;
import com.cuit.basin.base.biz.pojo.monitor.DataETLAttributeReq;
import com.cuit.basin.framework.common.constant.ModuleEnum;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @BelongsProject: sbasinsys
 * @BelongsPackage: com.cuit.basin.base.biz.service.monitor.handler
 * @Author: HouPJ
 * @Date: 2022/12/22 15:07
 * @Description: TODO
 */
@Service(value = "水文数据")
public class HydrologyDataAttributionHandler implements DataAttributionHandler{

    @Resource
    private TbSysLogMapper tbSysLogMapper;

    @Override
    public DataETLAttributeReq getServerRTAttribute() {
        // 封装模型属性信息列表
        DataETLAttributeReq dataEtlAttributeReq = DataETLAttributeReq.builder()
                .dataTotal(125878)
                .build();
        dataEtlAttributeReq.setRecentTermTime(tbSysLogMapper.obtainRecentDataTimeWithModule(ModuleEnum.HYDROLOGY.getType()));
        return dataEtlAttributeReq;
    }

}
