package com.cuit.basin.base.biz.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.cuit.basin.base.biz.entity.HydSiForeaccuD;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.util.List;


/**
 * 精度评估信息
 */
@ApiModel(value = "AccuracyEvaluationView", description = "精度评估信息")
@AllArgsConstructor
@NoArgsConstructor
@Data
@Builder
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class AccuracyEvaluationView {
    /**
     * 起报时间
     */
    @TableField(value = "dataTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty("起报时间")
    private LocalDateTime dataTime;

    /**
     * 站号
     */
    @TableField(value = "STCD")
    @ApiModelProperty("站号")
    private String stcd;

    /**
     * 纳什系数
     */
    @TableField(value = "NSE")
    @ApiModelProperty("纳什系数")
    private Double nse;

    /**
     * 方差
     */
    @TableField(value = "R2")
    @ApiModelProperty("方差")
    private Double r2;

    /**
     * 准确度
     */
    @TableField(value = "FACTOR")
    @ApiModelProperty("准确度")
    private Double factor;

    /**
     * 数据
     */
    @ApiModelProperty("数据List")
    private List<HydSiForeaccuD> hydSiForeaccuDS;
}
