package com.cuit.basin.base.biz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 定时选项前台UI
 *
 * @author Xiao Yinrui
 * @link <a href="https://github.com/PancakeCN">Github主页</a>
 * @date 2022/12/17 15:08
 */
@ApiModel(value = "定时选项前台UI", description = "")
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
public class CronHourMinView {

    @ApiModelProperty(value = "模型id",required = true)
    private Integer mid;

    @ApiModelProperty(value = "类型（1：周期  2：指定  -1：不设置定时），当为 1：周期 时，应该填入【循环周期】字段", required = true)
    private Integer type;

    @ApiModelProperty(value = "小时（多个用英文逗号隔开）", required = true)
    private String hours;

    @ApiModelProperty(value = "分钟（多个用英文逗号隔开）", required = true)
    private String minutes;

    @ApiModelProperty(value = "循环周期（单位：分钟）", required = false)
    private Integer period;
}
