package com.cuit.basin.base.biz.vo;

import com.cuit.basin.base.biz.pojo.ModeEigenvalue;
import com.cuit.basin.base.biz.pojo.RainEigenvalue;
import com.cuit.basin.base.biz.pojo.WaterEigenvalue;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "EigenvalueView", description = "特征值列表")
@Data
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class EigenvalueView {
    /**
     * 雨情特征值列表
     */
    @ApiModelProperty(value = "雨情特征值列表")
    private RainEigenvalue rainEigenvalue;

    /**
     * 水情特征值列表
     */
    @ApiModelProperty(value = "水情特征值列表")
    private WaterEigenvalue waterEigenvalue;

    /**
     * 模型预报特征值列表
     */
    @ApiModelProperty(value = "模型预报特征值列表")
    private ModeEigenvalue modeEigenvalue;

}
