package com.cuit.basin.base.biz.vo;

import com.cuit.basin.base.biz.entity.HydroStationInfo;
import com.cuit.basin.base.biz.entity.ThematicMap;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@ApiModel(value = "GazetteModeForecastParamsView", description = "模型预报参数")
@AllArgsConstructor
@NoArgsConstructor
@Data
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class GazetteModeForecastParamsView {
    /**
     * 符合条件的雨水情预报站点列表
     */
    @ApiModelProperty(value = "符合条件的雨水情预报站点列表")
    private List<HydroStationInfo> hydroStationInfoList;

    /**
     * 符合条件的雨水情预报地图服务数据列表
     */
    @ApiModelProperty(value = "符合条件的雨水情预报地图服务数据列表")
    private List<ThematicMap> thematicMapList;

}
