package com.cuit.basin.base.biz.vo;

import com.cuit.basin.base.biz.entity.MeteStationInfo;
import com.cuit.basin.base.biz.entity.ThematicMap;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 公报参数
 */
@ApiModel(value = "GazetteRainParamsView", description = "雨情参数")
@AllArgsConstructor
@NoArgsConstructor
@Data
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class GazetteRainParamsView {



    /**
     * 符合条件的雨情站点列表
     */
    @ApiModelProperty(value = "符合条件的雨情站点列表")
    private List<MeteStationInfo> meteStationInfos;

    /**
     * 符合条件的雨情地图服务数据列表
     */
    @ApiModelProperty(value = "符合条件的雨情地图服务数据列表")
    private List<ThematicMap> thematicMapList;

}
