package com.cuit.basin.base.biz.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 冰川数据集
 */
@ApiModel(value = "冰川数据集", description = "")
@AllArgsConstructor
@NoArgsConstructor
@Data
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class GlacierDatasetView {


    /**
     * 数据集id
     */
    @TableId(value = "SET_ID", type = IdType.AUTO)
    @ApiModelProperty("数据集id")
    private Integer setId;

    /**
     * 时间
     */
    @TableField(value = "DATACD")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty("时间")
    private Integer dataCD;

    /**
     * 集名称
     */
    @TableField(value = "NM")
    @ApiModelProperty("集名称")
    private String nm;

    /**
     * 冰川个数
     */
    @TableField(value = "GLACIER_NUM")
    @ApiModelProperty("冰川个数")
    private Integer glacierNum;

    /**
     * 总面积
     */
    @TableField(value = "TOTAL_AREA")
    @ApiModelProperty("总面积")
    private Double totalArea;


    /**
     * 总长度
     */
    @TableField(value = "TOTAL_LENGTH")
    @ApiModelProperty("总长度")
    private Double totalLength;

    /**
     * 地图服务id
     */
    @ApiModelProperty(value = "地图服务id")
    private Long geoid;
    /**
     * 工作空间
     */
    @ApiModelProperty(value = "工作空间")
    private String workspace;
    /**
     * 图层名
     */
    @ApiModelProperty(value = "图层名")
    private String lyr;
    /**
     * 地图样式
     */
    @ApiModelProperty(value = "地图样式")
    private String style;
    /**
     * 地图范围
     */
    @ApiModelProperty(value = "地图范围")
    private String bbox;
    /**
     * 地图服务地址
     */
    @ApiModelProperty(value = "地图服务地址")
    private String address;
    /**
     * 拼接地图url
     */
    @ApiModelProperty(value = "拼接地图url")
    private String url;

}
