package com.cuit.basin.base.biz.vo;

import com.cuit.basin.base.biz.entity.HydroHistoryCase;
import com.cuit.basin.base.biz.entity.HydroStationData;
import com.cuit.basin.framework.common.ret.PageVo;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 水文历史个例详情
 *
 * @author Xiao Yinrui
 * @link <a href="https://github.com/PancakeCN">Github主页</a>
 * @date 2022/12/4 0:38
 */
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Data
@ApiModel(value = "HistoricalCasesDetailView", description = "历史个例详情返回类")
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class HistoricalCasesDetailView {

    @ApiModelProperty(value = "水文事件")
    private HydroHistoryCase historyCase;

    @ApiModelProperty(value = "站点监测信息")
    private PageVo<HydroStationData> stationData;
}
