package com.cuit.basin.base.biz.vo;

import com.cuit.basin.base.biz.entity.HydroHistoryCase;
import com.cuit.basin.framework.common.ret.PageVo;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 历史个例前台展示类
 *
 * @author Xiao Yinrui
 * @link <a href="https://github.com/PancakeCN">Github主页</a>
 * @date 2022/12/4 0:17
 */
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Data
@ApiModel(value = "HistoricalCasesView", description = "历史个例返回类")
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class HistoricalCasesView {

    @ApiModelProperty(value = "历史个例")
    private PageVo<HydroHistoryCase> historyCases;
}
