package com.cuit.basin.base.biz.vo;

/**
 * 水情分析-数据返回类
 */

import com.cuit.basin.base.biz.entity.HydroDayCharacteristicValue;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 同比环比分析数据返回类
 */
@ApiModel(value = "HydroAnalysisView", description = "同比环比分析数据返回类")
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Data
public class HydroAnalysisView {
    /**
     * 当前的数据列表
     */
    @ApiModelProperty(value = "当前的数据列表")
    private List<HydroDayCharacteristicValue> hydroDayCharacteristicValueList1;
    /**
     * 对比的数据列表
     */
    @ApiModelProperty(value = "对比的数据列表")
    private List<HydroDayCharacteristicValue> hydroDayCharacteristicValueList2;
}