package com.cuit.basin.base.biz.vo;

import com.cuit.basin.base.biz.entity.HydPiBulletinP;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 公报查询返回类
 */
@ApiModel(value = "HydroBulletinView", description = "公报查询返回类")
@NoArgsConstructor
@AllArgsConstructor
@Data
@Builder
/**
 * 为空属性、字段不返回
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class HydroBulletinView {
    /**
     * 当前页数索引（当前页码）
     */
    @ApiModelProperty(value = "当前页数（缺省为1）", name = "current", required = false, example = "1")
    private long current;
    /**
     * 当前页数限定数据条数
     */
    @ApiModelProperty(value = "每一页数据条数（-1时不分页）", name = "size", required = false, example = "10")
    private long size;
    /**
     * 总条数
     */
    @ApiModelProperty(value = "总页数", name = "total", required = false, example = "10")
    private long total;
    /**
     * 查询公报列表
     */
    @ApiModelProperty(value = "查询公报列表")
    private List<HydPiBulletinP> hydPiBulletinPList;
}
