package com.cuit.basin.base.biz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "HydrologicalForecastModelView", description = "径流组成信息")
public class HydroCompositionView {
    /**
     * 水文站号
     */
    @ApiModelProperty(value = "水文站号")
    private String stcd;
    /**
     * 冰川径流来水量
     */
    @ApiModelProperty(value = "冰川径流来水量")
    private Double gi;
    /**
     * 冰川径流占比
     */
    @ApiModelProperty(value = "冰川径流占比")
    private Double gr;
    /**
     * 融雪径流来水量
     */
    @ApiModelProperty(value = "融雪径流来水量")
    private Double si;
    /**
     * 融雪径流占比
     */
    @ApiModelProperty(value = "融雪径流占比")
    private Double sr;
    /**
     * 降水径流来水量
     */
    @ApiModelProperty(value = "降水径流来水量")
    private Double ri;
    /**
     * 降水径流占比
     */
    @ApiModelProperty(value = "降水径流占比")
    private Double rr;
}
