package com.cuit.basin.base.biz.vo;

import com.cuit.basin.base.biz.pojo.HydroStationDataInfo;
import com.cuit.basin.base.biz.pojo.HydroStationForeDataInfo;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;


@Data
@ApiModel(value = "HydroForeAccuCompareView", description = "精度评估预测与实测对比")
/**
 * 为空属性、字段不返回
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class HydroForeAccuCompareView {
    /**
     * 实测数据列表
     */
    @ApiModelProperty(value = "实测数据列表")
    private List<HydroStationDataInfo> rtDataList;
    /**
     * 预测数据列表
     */
    @ApiModelProperty(value = "预测数据列表")
    private List<HydroStationForeDataInfo> foreDataList;
}
