package com.cuit.basin.base.biz.vo;

import com.cuit.basin.base.biz.pojo.ModelForeReferData;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;


@Data
@ApiModel(value = "HydroForeCurrReferView", description = "预报订正参考信息")
/**
 * 为空属性、字段不返回
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class HydroForeCurrReferView {
    /**
     * 历史同期预报精度
     */
    @ApiModelProperty(value = "历史同期预报精度")
    private Double hisForeAccuracy;
    /**
     * 模型订正参考数据列表
     */
    @ApiModelProperty(value = "模型订正参考数据列表")
    private List<ModelForeReferData> modelForeReferDataList;
}
