package com.cuit.basin.base.biz.vo;

import com.cuit.basin.base.biz.entity.HydFiStdataF;
import com.cuit.basin.base.biz.entity.HydroStationHistory;
import com.cuit.basin.base.biz.entity.HydroStationInfo;
import com.cuit.basin.base.biz.entity.SectionData;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.util.List;


@Data
@ApiModel(value = "HydroForeSectionDetailView", description = "水文预测断面详情")
/**
 * 为空属性、字段不返回
 */
@Builder
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class HydroForeSectionDetailView {

    /**
     * 水文站点统计信息
     */
    @ApiModelProperty(value = "水文站点统计信息")
    private HydroStationHistory hydroStationHistory;


    /**
     * 水文站点基础信息
     */
    @ApiModelProperty(value = "水文站点基础信息")
    private HydroStationInfo stationInfo;

    /**
     * 断面数据列表
     */
    @ApiModelProperty(value = "断面数据列表")
    private List<SectionData> sectionDataList;

    /**
     * 水文站点预测数据列表
     */
    @ApiModelProperty(value = "水文站点预测数据列表")
    private List<HydFiStdataF> hydroStationForeDataInfoList;
}
