package com.cuit.basin.base.biz.vo; /***********************************************************************
 * Module:  HydroHistoryView.java
 * Author:  PYJ
 * Purpose: Defines the Class HydroHistoryView
 ***********************************************************************/

import com.cuit.basin.base.biz.entity.HydroStationData;
import com.cuit.basin.base.biz.entity.HydroStationHistory;
import com.cuit.basin.base.biz.entity.HydroStationInfo;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.util.List;

/**
 * 历史水位流量
 */
@Builder
@Data
@ApiModel(value = "历史水位流量", description = "")
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class HydroHistoryView {
    /**
     * 水文站点统计信息
     */
    @ApiModelProperty(value = "水文站点统计信息")
    private HydroStationHistory hydroStationHistory;
    /**
     * 水文站点基础信息
     */
    @ApiModelProperty(value = "水文站点基础信息")
    private HydroStationInfo stationInfo;
    /**
     * 数据列表
     */
    @ApiModelProperty(value = "数据列表", name = "data")
    private List<HydroStationData> data;
}