package com.cuit.basin.base.biz.vo;

import com.cuit.basin.base.biz.pojo.HydroStationForeDataInfo;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;


@NoArgsConstructor
@AllArgsConstructor
@Data
@Builder
@ApiModel(value = "HydroStationForeView", description = "水文预测图层数据返回类")
/**
 * 为空属性、字段不返回
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class HydroStationForeView {
    @ApiModelProperty(value = "水文站点预测图层数据列表")
    private List<HydroStationForeDataInfo> hydroStationForeDataInfoList;
}
