package com.cuit.basin.base.biz.vo;

import com.cuit.basin.base.biz.entity.HydroEvent;
import com.cuit.basin.base.biz.entity.HydroStationInfo;
import com.cuit.basin.framework.common.ret.PageVo;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 水文事件前台展示类
 *
 * @author Xiao Yinrui
 */
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Data
@ApiModel(value = "HydrologicalEventView", description = "水文事件返回类")
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class HydrologicalEventView {

    @ApiModelProperty(value = "水文事件")
    private PageVo<HydroEvent> events;

    @ApiModelProperty(value = "站点信息")
    private List<HydroStationInfo> stationInfoList;
}
