package com.cuit.basin.base.biz.vo;

import com.cuit.basin.base.biz.entity.ModelParam;
import com.cuit.basin.base.biz.pojo.ModelCalibration;
import com.cuit.basin.framework.common.ret.PageVo;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.util.List;

/**
 * 模型参数校准前台展示类
 *
 * @author Xiao Yinrui
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Builder
@Data
@ApiModel(value = "模型参数校准前台展示类", description = "")
public class ModelParamView {
    /**
     * 参数列表
     */
    @ApiModelProperty("参数列表")
    private List<ModelParam> paramList;
    /**
     * 参数校准历史记录
     */
    @ApiModelProperty("参数校准历史记录")
    private PageVo<ModelCalibration> calibrationList;
}
