package com.cuit.basin.base.biz.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@ApiModel(value = "SnowDatasetView", description = "积雪数据集")
/**
 * 为空属性、字段不返回
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SnowDatasetView {
    /**
     * 数据集id
     */
    @TableId(value = "SET_ID", type = IdType.AUTO)
    @ApiModelProperty("数据集id")
    private Integer setId;

    /**
     * 时间
     */
    @TableField(value = "DATACD")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty("时间")
    private LocalDateTime dataCD;

    /**
     * 集名称
     */
    @TableField(value = "NM")
    @ApiModelProperty("集名称")
    private String nm;

    /**
     * 积雪总面积
     */
    @TableField(value = "AREA")
    @ApiModelProperty("积雪总面积")
    private Double area;

    /**
     * 地图服务id
     */
    @ApiModelProperty(value = "地图服务id")
    private Long geoid;
    /**
     * 工作空间
     */
    @ApiModelProperty(value = "工作空间")
    private String workspace;
    /**
     * 图层名
     */
    @ApiModelProperty(value = "图层名")
    private String lyr;
    /**
     * 地图样式
     */
    @ApiModelProperty(value = "地图样式")
    private String style;
    /**
     * 地图范围
     */
    @ApiModelProperty(value = "地图范围")
    private String bbox;
    /**
     * 地图服务地址
     */
    @ApiModelProperty(value = "地图服务地址")
    private String address;
    /**
     * 拼接地图url
     */
    @ApiModelProperty(value = "拼接地图url")
    private String url;
}
