package com.cuit.basin.framework.common.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @BelongsProject: sbasinsys
 * @BelongsPackage: com.cuit.sriver.sriversys.base.constant
 * @Author: HouPJ
 * @Date: 2022/12/22 9:25
 * @Description: 操作类型枚举
 */
@Getter
@AllArgsConstructor
public enum OperationEnum {

    /**
     * 新增
     */
    ADD(0),
    /**
     * 删除
     */
    DELETE(1),
    /**
     * 修改
     */
    MODIFY(2),
    /**
     * 查询
     */
    QUERY(3),
    /**
     * 审核
     */
    CHECK(4),
    /**
     * 登录
     */
    LOGIN(5),
    /**
     * 定时任务
     */
    TASKS(6),
    /**
     * 模型调用
     */
    MODEL_OPERATE(7);

    /**
     * 类型
     */
    private final Integer type;

}
