package com.cuit.basin.framework.common.exception;

import lombok.Data;

/**
 * Excel格式异常类
 *
 * @author Xiao Yinrui
 * @date 2022-6-12 16:12
 */
@Data
public class ExcelFormatException extends RuntimeException {

    /**
     * code：300  --  缓存查询成功
     * code：500  --  缓存查询失败
     */
    private Integer code = 500;
    private String msg = "Excel格式错误!";

    public ExcelFormatException() {
        super("参数异常");
    }

    public ExcelFormatException(String msg) {
        super(msg);
        this.msg = msg;
    }

    public ExcelFormatException(Integer code) {
        super("参数异常!");
        this.code = code;
    }

    public ExcelFormatException(Integer code, String msg) {
        super(msg);
        this.code = code;
        this.msg = msg;
    }

}
