package com.cuit.basin.framework.common.utils.other;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.JsonSerializer;
import com.fasterxml.jackson.databind.SerializerProvider;

import java.io.IOException;
import java.text.DecimalFormat;

/**
 * 小数保留2位 序列化器
 *
 * @author Xiao Yinrui
 */
public class Double2Serializer extends JsonSerializer<Double> {

    private final DecimalFormat df = new DecimalFormat("0.00");

    /**
     * 小数保留2位返回给前端序列化器
     *
     * @param data               传入数据
     * @param jsonGenerator      json处理器
     * @param serializerProvider 序列化
     * @throws IOException IOException
     */
    @Override
    public void serialize(Double data, JsonGenerator jsonGenerator, SerializerProvider serializerProvider)
            throws IOException {
        if (data != null) {
            if (data == 0) {
                jsonGenerator.writeNumber(0);
            } else {
                jsonGenerator.writeNumber(df.format(data));
            }
        }
    }
}
