package com.cuit.basin.framework.common.utils.other;

import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.data.redis.core.ValueOperations;
import org.springframework.stereotype.Component;


import javax.annotation.Resource;
import java.util.concurrent.TimeUnit;

/**
 * Redis的工具--存储提取数据
 */
public class RedisUtil {

    @Resource
    private RedisTemplate<String, Object> template;

    /**
     * Redis中存储数据
     *
     * @param key
     * @param obj
     * @return
     */
    public Boolean set(String key, Object obj) {
        ValueOperations<String, Object> ops = template.opsForValue();
        ops.set(key, obj);
        return true;
    }

    /**
     * 从redis中提取数据
     *
     * @param key
     * @return
     */
    public Object get(String key) {
        ValueOperations<String, Object> ops = template.opsForValue();
        return ops.get(key);
    }

    /**
     * 从redis中删除数据
     *
     * @param key
     * @return
     */
    public Object remove(String key) {
//        ValueOperations<String, Object> ops = template.opsForValue();
//
//        return ops.getAndDelete(key);
        return template.delete(key);

    }

    /**
     * 设置存活时间 秒位单位
     *
     * @param key
     * @param obj
     * @param sec
     * @return
     */
    public boolean expire(String key, Object obj, long sec) {
        ValueOperations<String, Object> ops = template.opsForValue();
        ops.set(key, obj, sec, TimeUnit.SECONDS);
        return true;
    }
}
