//package com.cuit.basin.framework.common.utils.word;
//
//import com.spire.doc.Document;
//import com.spire.doc.fields.DocPicture;
//import lombok.extern.slf4j.Slf4j;
//import sun.misc.BASE64Encoder;
//
//import javax.servlet.http.HttpServletRequest;
//import java.io.*;
//import java.net.HttpURLConnection;
//import java.net.URL;
//import java.util.Base64;
//import java.util.UUID;
//import java.util.regex.Matcher;
//import java.util.regex.Pattern;
//
//
//@Slf4j
//public class Base64Util {
//
//    /**
//     * 图片URL转Base64编码
//     *
//     * @param imgUrl 图片URL
//     * @return Base64编码
//     */
//    public static String imageUrlToBase64(String imgUrl) {
//        URL url = null;
//        InputStream is = null;
//        ByteArrayOutputStream outStream = null;
//        HttpURLConnection httpUrl = null;
//
//        try {
//            url = new URL(imgUrl);
//            httpUrl = (HttpURLConnection) url.openConnection();
//            httpUrl.connect();
//            httpUrl.getInputStream();
//
//            is = httpUrl.getInputStream();
//            outStream = new ByteArrayOutputStream();
//
//            //创建一个Buffer字符串
//            byte[] buffer = new byte[1024];
//            //每次读取的字符串长度，如果为-1，代表全部读取完毕
//            int len = 0;
//            //使用输入流从buffer里把数据读取出来
//            while ((len = is.read(buffer)) != -1) {
//                //用输出流往buffer里写入数据，中间参数代表从哪个位置开始读，len代表读取的长度
//                outStream.write(buffer, 0, len);
//            }
//
//            // 对字节数组Base64编码
//            return encode(outStream.toByteArray());
//        } catch (Exception e) {
//            e.printStackTrace();
//        } finally {
//            try {
//                if (is != null) {
//                    is.close();
//                }
//                if (outStream != null) {
//                    outStream.close();
//                }
//                if (httpUrl != null) {
//                    httpUrl.disconnect();
//                }
//            } catch (Exception e) {
//                e.printStackTrace();
//            }
//        }
//
//        return null;
//    }
//
//
//
//    /**
//     * 图片转字符串
//     *
//     * @param image 图片Buffer
//     * @return Base64编码
//     */
//    public static String encode(byte[] image) {
//        BASE64Encoder decoder = new BASE64Encoder();
//        return replaceEnter(decoder.encode(image));
//    }
//
//    /**
//     * 字符替换
//     *
//     * @param str 字符串
//     * @return 替换后的字符串
//     */
//    public static String replaceEnter(String str) {
//        String reg = "[\n-\r]";
//        Pattern p = Pattern.compile(reg);
//        Matcher m = p.matcher(str);
//        return m.replaceAll("");
//    }
//
//
//    /**
//     * @param file base64编码字符串
//     * @param path 图片路径-具体到文件
//     * @return
//     * @Description: 将base64编码字符串转换为图片
//     * @Author:
//     * @CreateTime:
//     */
//    public static String generateImage(String file, String path, HttpServletRequest request) {
//        // 解密
//        try {
//            // 项目绝对路径
//            String savePath = request.getSession().getServletContext().getRealPath("upload");
//            // 图片分类路径+图片名+图片后缀
//            String imgClassPath = path.concat(UUID.randomUUID().toString()).concat(".jpg");
//            // 解密
//            Base64.Decoder decoder = Base64.getDecoder();
//            // 去掉base64前缀 data:image/jpeg;base64,
//            file = file.substring(file.indexOf(",", 1) + 1, file.length());
//            byte[] b = decoder.decode(file);
//            // 处理数据
//            for (int i = 0; i < b.length; ++i) {
//                if (b[i] < 0) {
//                    b[i] += 256;
//                }
//            }
//            // 保存图片
//            OutputStream out = new FileOutputStream(savePath.concat(imgClassPath));
//            out.write(b);
//            out.flush();
//            out.close();
//            // 返回图片的相对路径 = 图片分类路径+图片名+图片后缀
//            return imgClassPath;
//        } catch (IOException e) {
//            return null;
//        }
//    }
//
//    /**
//     * 工具类
//     * inputStream 转 File
//     */
//    public static File inputStreamToFile(InputStream ins, String name) throws Exception {
//        File file = new File(System.getProperty("java.io.tmpdir") + File.separator + name);
//        if (file.exists()) {
//            return file;
//        }
//        OutputStream os = new FileOutputStream(file);
//        int bytesRead;
//        int len = 8192;
//        byte[] buffer = new byte[len];
//        while ((bytesRead = ins.read(buffer, 0, len)) != -1) {
//            os.write(buffer, 0, bytesRead);
//        }
//        os.close();
//        ins.close();
//        return file;
//    }
//
//    public static void main(String[] args) throws Exception {
//        //创建 Document 类的对象
//        Document doc = new Document("D:\\SBasinSys\\word\\modeWord.docx");
//        DocPicture picture = new DocPicture(doc);
//
//        //从磁盘加载图片
//        picture.loadImage("http://localhost:8086/file/png/qwerty.png");
//
//    }
//
//
//}
