package com.cuit.basin.framework.common.utils.word;

import com.itextpdf.text.Document;
import com.itextpdf.text.DocumentException;
import com.itextpdf.text.pdf.PdfWriter;
import com.itextpdf.tool.xml.XMLWorkerFontProvider;
import com.itextpdf.tool.xml.XMLWorkerHelper;

import java.io.*;
import java.nio.charset.Charset;


public class PdfUtil {

    /**
     * 通过html生成文件
     * @param htmlContent  html格式内容
     * @param file  输出文件file
     */
    public static void createdPdfByItextHtml(String htmlContent,File file){
        InputStream inputStream = null;
        FileOutputStream outputStream = null;
        PdfWriter writer = null;
        try {
            // 1. 获取生成pdf的html内容
            inputStream= new ByteArrayInputStream(htmlContent.getBytes("utf-8"));
            outputStream = new FileOutputStream(file);
            Document document = new Document();
            writer = PdfWriter.getInstance(document, outputStream);
            document.open();
            // 2. 添加字体
//            XMLWorkerFontProvider fontImp = new XMLWorkerFontProvider(XMLWorkerFontProvider.DONTLOOKFORFONTS);
//            fontImp.register(getFontPath());
            // 3. 设置编码
            XMLWorkerHelper.getInstance().parseXHtml(writer, document, inputStream, Charset.forName("UTF-8"),new CustomXMLWorkerFontProvider());
            // 4. 关闭,(不关闭则会生成无效pdf)
            document.close();
        } catch (Exception ex) {
            ex.printStackTrace();
        }finally {
            try {
                if(writer!=null){
                    writer.close();
                }
                if (outputStream != null) {
                    outputStream.close();
                }
                if (inputStream != null) {
                    inputStream.close();
                }
            }catch(IOException ex){
                ex.printStackTrace();
            }
        }
    }


    private static final String CONTENT = "<p class=\"Normal\" style=\"text-align:center;background-color:#FFAFAF;line-height:0.95;margin-top:13.95pt;margin-left:0.3pt;text-indent:-0.3pt;border-bottom-color:#000000;border-bottom-style:solid;border-bottom-width:0.67px;\"><span style=\"letter-spacing:6.1pt;color:#000000;font-size:43.0pt;font-family:楷体;mso-fareast-font-family:楷体;mso-bidi-font-family:楷体;lang:EN-US;mso-fareast-language:ZH-CN;font-weight:bold;\">水情公报</span><a id=\"_GoBack\" /></p><p class=\"Normal\" style=\"text-align:center;line-height:0.95;margin-top:13.95pt;border-bottom-color:#000000;border-bottom-style:solid;border-bottom-width:0.67px;\"><span style=\"letter-spacing:0.3pt;color:#000000;font-size:10.0pt;font-family:宋体;mso-fareast-font-family:宋体;mso-bidi-font-family:宋体;lang:EN-US;mso-fareast-language:ZH-CN;font-weight:bold;\">2020年09月04日17时-2022年12月17日00时</span></p><p class=\"Normal\" style=\"font-size: 10.5pt;\"><span style=\"color:#000000;font-size:10.5pt;font-family:Arial;mso-fareast-font-family:宋体;mso-bidi-font-family:Arial;lang:EN-US;mso-fareast-language:ZH-CN;\">&#xa0;</span></p><p class=\"secondTitleStyle\" style=\"margin-top:10.0pt;margin-bottom:10.0pt;\"><span style=\"color:#000000;font-size:10.0pt;font-family:宋体;mso-fareast-font-family:宋体;mso-bidi-font-family:宋体;font-weight:bold;\">一、雨情</span></p><p class=\"paraStyle\" style=\"line-height:0.83;text-indent:25.0pt;\"><span style=\"color:#000000;font-size:9.5pt;font-family:宋体;mso-fareast-font-family:宋体;mso-bidi-font-family:宋体;\">2020年09月04日17时至2022年12月17日00时,子流域1流域内。特征值统计：978056（）10分钟平均降雨量为0.37毫米,10分钟最大降雨量为1.9毫米,10分钟最小降雨量为0.0毫米,1小时平均降雨量为0.0毫米,1小时最大降雨量为0.0毫米,1小时最小降雨量为0.0毫米。超警情况：978056（）10分钟平均降雨量超过阈值0.37毫米,10分钟最大降雨量超过阈值1.9毫米,10分钟最小降雨量超过阈值0.0毫米,1小时平均降雨量超过阈值0.0毫米,1小时最大降雨量超过阈值0.0毫米,1小时最小降雨量超过阈值0.0毫米。</span></p><p style=\"text-align: center; \"><img src= \"http://localhost:8086/file/png/qwerty.png\" alt=\"2020年09月04日17时-2022年12月17日00时西藏年降水量专题图专题图></p><p class=\"secondTitleStyle\" style=\"margin-top:10.0pt;margin-bottom:10.0pt;\"><span style=\"color:#000000;font-size:10.0pt;font-family:宋体;mso-fareast-font-family:宋体;mso-bidi-font-family:宋体;font-weight:bold;\">二、水情</span></p><p class=\"paraStyle\" style=\"line-height:0.83;text-indent:25.0pt;\"><span style=\"color:#000000;font-size:9.5pt;font-family:宋体;mso-fareast-font-family:宋体;mso-bidi-font-family:宋体;\">2020年09月04日17时至2022年12月17日00时,子流域1流域内。特征值统计：S1001（测试站1），小时平均水位为52.1米，小时平均流量为17.57立方米/秒，小时最大水位为52.5米，小时最大流量为19.25立方米/秒，小时最小水位为51.7米。S1002（测试站2），小时平均水位为47.0米，小时平均流量为18.96立方米/秒，小时最大水位为49.7米，小时最大流量为20.3立方米/秒，小时最小水位为44.3米。超警情况：S1001（测试站1）10分钟平均降雨量超过警戒值32.5米,10分钟最大降雨量超过警戒值-7.5立方米/秒,10分钟最小降雨量超过警戒值42.5米,1小时平均降雨量超过警戒值-7.5立方米/秒,1小时最大降雨量超过警戒值32.5米。S1002（测试站2）10分钟平均降雨量超过警戒值33.7米,10分钟最大降雨量超过警戒值-58.3立方米/秒,10分钟最小降雨量超过警戒值41.7米,1小时平均降雨量超过警戒值-58.3立方米/秒,1小时最大降雨量超过警戒值33.7米。</span></p><p class=\"secondTitleStyle\" style=\"margin-top:10.0pt;margin-bottom:10.0pt;\"><span style=\"color:#000000;font-size:10.0pt;font-family:宋体;mso-fareast-font-family:宋体;mso-bidi-font-family:宋体;font-weight:bold;\">三、模型预报</span></p><p class=\"paraStyle\" style=\"line-height:0.83;text-indent:25.0pt;\"><span style=\"color:#000000;font-size:9.5pt;font-family:宋体;mso-fareast-font-family:宋体;mso-bidi-font-family:宋体;\">2020年09月04日17时至2022年12月17日00时,子流域1流域内。特征值统计：S1001（测试站1），GBHM模型，预测小时平均流量为2.93立方米/秒，预测小时最大水位为18.0米，预测小时最大流量为15.0立方米/秒，预测小时最小水位为3.0米，预测小时最小流量为8.0立方米/秒。S1001（测试站1），M2模型，预测小时平均流量为0.47立方米/秒，预测小时最大水位为12.0米，预测小时最大流量为6.0立方米/秒，预测小时最小水位为11.0米，预测小时最小流量为1.0立方米/秒。S1001（测试站1），M3模型，预测小时平均流量为2.01立方米/秒，预测小时最大水位为18.0米，预测小时最大流量为15.0立方米/秒，预测小时最小水位为2.0米，预测小时最小流量为1.1立方米/秒。S1001（测试站1），Mannual模型，预测小时平均流量为2.07立方米/秒，预测小时最大水位为17.0米，预测小时最大流量为13.0立方米/秒，预测小时最小水位为2.0米，预测小时最小流量为1.0立方米/秒。超警情况：S1001（测试站1），GBHM模型10分钟平均降雨量超过警戒值-42.0立方米/秒,10分钟最大降雨量超过警戒值8.0米,10分钟最小降雨量超过警戒值-42.0立方米/秒,1小时平均降雨量超过警戒值-2.0米,1小时最大降雨量超过警戒值-42.0立方米/秒。S1001（测试站1），M2模型10分钟平均降雨量超过警戒值-48.0立方米/秒,10分钟最大降雨量超过警戒值2.0米,10分钟最小降雨量超过警戒值-48.0立方米/秒,1小时平均降雨量超过警戒值-8.0米,1小时最大降雨量超过警戒值-48.0立方米/秒。S1001（测试站1），M3模型10分钟平均降雨量超过警戒值-42.0立方米/秒,10分钟最大降雨量超过警戒值8.0米,10分钟最小降雨量超过警戒值-42.0立方米/秒,1小时平均降雨量超过警戒值-2.0米,1小时最大降雨量超过警戒值-42.0立方米/秒。S1001（测试站1），Mannual模型10分钟平均降雨量超过警戒值-43.0立方米/秒,10分钟最大降雨量超过警戒值7.0米,10分钟最小降雨量超过警戒值-43.0立方米/秒,1小时平均降雨量超过警戒值-3.0米,1小时最大降雨量超过警戒值-43.0立方米/秒。</span></p><p class=\"paraStyle\" style=\"text-align:right;margin-top:10.0pt;margin-bottom:10.0pt;\"><span style=\"color:#000000;font-size:9.5pt;font-family:宋体;mso-fareast-font-family:宋体;mso-bidi-font-family:宋体;\">发布时间:2022年12月26日</span></p>";
    /**
     * 拼接CONTENT 使成为完整的html,\"font-family: SimSun;\"
     */
    private static final String COMPLETE_CONTENT = "<html><head></head><body style=\"font-family: SimSun;\">" + CONTENT + "</body></html>";

    public static void main(String[] args) throws Exception {

        String content = content2Html();
        html2Pdf(content);
    }

    /**
     * html转换成pdf文件
     *
     * @param htmlContent
     * @throws Exception
     */
    protected static void html2Pdf(String htmlContent) throws Exception {
        File dir = new File("D:/SBasinSys/out/pdf");
        if (!dir.exists()) {
            dir.mkdir();
        }
        File pdfFile = new File(dir + "/测试" + "-" + System.currentTimeMillis() + ".pdf");
        //1 打开文件流
        Document document = new Document();
        FileOutputStream fos = new FileOutputStream(pdfFile);
        InputStream is = new ByteArrayInputStream(htmlContent.getBytes(Charset.forName("UTF-8")));
        InputStream cssIs = new ByteArrayInputStream(getCssFile());
        PdfWriter writer = null;
        try {
            writer = PdfWriter.getInstance(document, fos);
            //3. 设置字体
            XMLWorkerFontProvider fontProvider1 = new XMLWorkerFontProvider(XMLWorkerFontProvider.DONTLOOKFORFONTS);
            fontProvider1.register("src/main/resources/fonts/simsun.ttc");

            //3 打开文档
            document.open();
            //4 html转为pdf
            XMLWorkerHelper.getInstance().parseXHtml(writer, document, is, cssIs, Charset.forName("UTF-8"), fontProvider1);

        } catch (DocumentException | IOException e) {
            throw new RuntimeException("转pdf失败罗~");
        } finally {
            if (null != writer) {
                writer.flush();
            }
            //5 关闭文档
            document.close();
            fos.close();
            cssIs.close();
            is.close();
            writer.close();
        }
    }

    /**
     * 获取html
     *
     * @return
     */
    protected static String content2Html() {
        String content = COMPLETE_CONTENT;
        content = content.replace("<br>", "<br/>");
        return content;
    }

    /**
     * 获取样式文件
     *
     * @return
     * @throws Exception
     */
    protected static byte[] getCssFile() throws Exception {
        FileInputStream fileInputStream = new FileInputStream("src/main/resources/css/editor.css");
        ByteArrayOutputStream outStream = new ByteArrayOutputStream();
        byte[] buffer = new byte[1204];
        int len = 0;
        while ((len = fileInputStream.read(buffer)) != -1) {
            outStream.write(buffer, 0, len);
        }
        fileInputStream.close();
        return outStream.toByteArray();
    }

}
