package com.cuit.basin.framework.kafka.config;

import com.cuit.basin.framework.kafka.core.api.KafkaProducerApi;
import com.cuit.basin.framework.kafka.core.api.KafkaProducerServerApiImpl;
import com.cuit.basin.framework.kafka.core.util.KafkaProducerUtil;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @BelongsProject: basin-cloud
 * @BelongsPackage: com.cuit.basin.framework.kafka.config
 * @Author: HouPJ
 * @Date: 2022/12/19 21:57
 * @Description: 生产者配置
 */

@Configuration(proxyBeanMethods = false)
public class KafkaProducerConfig {

    @Bean
    public KafkaProducerUtil kafkaProducerUtil() {
        return new KafkaProducerUtil();
    }

    @Bean
    public KafkaProducerApi kafkaProducerApi() {
        return  new KafkaProducerServerApiImpl();
    }

}
