package com.cuit.basin.framework.kafka.core.api;


/**
 * @BelongsProject: kafka-module
 * @BelongsPackage: com.cuit.kafka.service
 * @Author: HouPJ
 * @Date: 2022/11/12 21:17
 * @Description: TODO
 */

public interface KafkaProducerApi {

    /**
     * 向指定topic发送消息
     * @param topicName   主题名
     * @param data        消息(json格式)
     */
    void sendMessage(String topicName, String data);

    /**
     * 向指定topic、指定key发送消息
     * @param topicName   主题名
     * @param key         消息key
     * @param data        消息(json格式)
     */
    void sendMessage(String topicName, String key, String data);

    /**
     * 向指定topic、指定分区、指定key发送消息
     * @param topicName   主题名
     * @param partition   分区
     * @param key         消息key
     * @param data        消息(json格式)
     */
    void sendMessage(String topicName, Integer partition, String key, Object data);

    /**
     * producer 异步方式发送数据(带回调)
     *
     * @param topic   topic名称
     * @param message producer发送的数据
     */
    void sendMessageWithCallBack(String topic, String message);




}
