package com.cuit.basin.framework.log.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @BelongsProject: sbasinsys
 * @BelongsPackage: com.cuit.sriver.sriversys.base.annotation
 * @Author: HouPJ
 * @Date: 2022/11/12 17:20
 * @Description: 日志记录AOP
 */
@Target({ElementType.METHOD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface AopLog {
    //模块id
    String module() default "";

    //操作名
    String operation() default "";

    //系统类型 0-web端  1-小程序
    int sysType() default 0;

    //操作类型 操作类型  0-增 1-删 2-改 3-查 4-审核 5-登录 6-数据导入 7-数据导出 8-数据下载
    int opType() default 5;
}
