package com.cuit.basin.framework.log.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @BelongsProject: sbasinsys
 * @BelongsPackage: com.cuit.sriver.sriversys.server.log.entity
 * @Author: HouPJ
 * @Date: 2022/11/12 19:37
 * @Description: TODO
 */
@Getter
@Setter
@Builder
@TableName("tb_sys_log")
@ApiModel(value = "TbSysLog对象", description = "")
public class TbSysLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("访问时间")
    @TableField("visit_time")
    private LocalDateTime visitTime;

    @ApiModelProperty("访问账户")
    @TableField("user_name")
    private String userName;

    @ApiModelProperty("访问ip")
    private String ip;

    @ApiModelProperty("执行时长")
    @TableField("execution_time")
    private String executionTime;

    @ApiModelProperty("执行方法")
    private String method;

    @ApiModelProperty("模块类型  模块字典（t_dic_module）")
    private String module;

    @ApiModelProperty("操作名称")
    private String opration;

    @ApiModelProperty("系统类型 0-web端  1-小程序")
    @TableField("sys_type")
    private Integer sysType;

    @ApiModelProperty("操作类型  0-增 1-删 2-改 3-查 4-审核")
    @TableField("op_type")
    private Integer opType;

    @ApiModelProperty("有效标识 0-无效 1-有效")
    @TableField("is_valid")
    private Integer isValid;

}

