package com.cuit.basin.framework.log.server;

import cn.hutool.core.bean.BeanUtil;
import com.cuit.basin.base.api.log.OperationLogApi;
import com.cuit.basin.base.api.log.dto.OperationLogCreateReqDTO;
import com.cuit.basin.framework.log.dto.SysLogDto;
import lombok.AllArgsConstructor;
import lombok.RequiredArgsConstructor;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @BelongsProject: basin-cloud
 * @BelongsPackage: com.cuit.basin.framework.log.server
 * @Author: HouPJ
 * @Date: 2022/12/28 13:40
 * @Description: TODO
 */
@Component
@AllArgsConstructor
public class OperationFrameworkServiceImpl implements OperationFrameworkService {

    private final OperationLogApi operateLogApi;

    @Async
    @Override
    public void createOperateLog(SysLogDto tbSysLog) {
        OperationLogCreateReqDTO operateLog =  BeanUtil.copyProperties(tbSysLog,OperationLogCreateReqDTO.class);
        // feign 调用写操作日志服务
        operateLogApi.createOperateLog(operateLog);
    }
}
