package com.cuit.basin.framework.mybatis.core.injector;

import com.baomidou.mybatisplus.core.injector.AbstractMethod;
import com.baomidou.mybatisplus.core.injector.DefaultSqlInjector;
import com.baomidou.mybatisplus.core.metadata.TableInfo;
import com.cuit.basin.framework.mybatis.core.method.InsertBatchMethod;
import com.cuit.basin.framework.mybatis.core.method.UpdateBatchMethod;


import java.util.List;

/**
 * mybatis-plus 支持批量插入和批量更新
 *
 * @author Xiao Yinrui
 * @link <a href="https://github.com/PancakeCN">Github主页</a>
 * @date 2022/10/31 10:34
 */
public class BatchSqlInjector extends DefaultSqlInjector {

    @Override
    public List<AbstractMethod> getMethodList(Class<?> mapperClass, TableInfo tableInfo) {
        List<AbstractMethod> methodList = super.getMethodList(mapperClass, tableInfo);
        methodList.add(new InsertBatchMethod());
        methodList.add(new UpdateBatchMethod());
        return methodList;
    }
}
