package com.cuit.basin.base.redismq.core;


import com.cuit.basin.base.redismq.core.pubsub.AbstractChannelMessage;
import com.cuit.basin.framework.common.utils.other.JsonUtils;
import lombok.AllArgsConstructor;
import lombok.Getter;
import org.springframework.data.redis.core.RedisTemplate;

/**
 * @BelongsProject: steward
 * @BelongsPackage: com.yhxc.server.framework.redismq
 * @Author: HouPJ
 * @Date: 2022/12/21 10:31
 * @Description: redis消息模板类
 */
@AllArgsConstructor
public class RedisMQTemplate {

    @Getter
    private final RedisTemplate<String, ?> redisTemplate;

    /**
     * 发送 Redis 消息，基于 Redis pub/sub 实现
     *
     * @param message 消息
     */
    public <T extends AbstractChannelMessage> void send(T message) {
        try {
            // 发送消息
            redisTemplate.convertAndSend(message.getChannel(), JsonUtils.toJsonString(message));
        } finally {

        }
    }


}
