package com.cuit.basin.base.redismq.core.pubsub;

import com.cuit.basin.base.redismq.core.message.AbstractRedisMessage;
import com.fasterxml.jackson.annotation.JsonIgnore;

/**
 * @BelongsProject: steward
 * @BelongsPackage: com.yhxc.server.framework.redismq.core.pubsub
 * @Author: HouPJ
 * @Date: 2022/12/21 10:36
 * @Description: subpub模式消息基类
 */
public abstract class AbstractChannelMessage extends AbstractRedisMessage {

    /**
     * 获得 Redis Channel
     * 避免序列化。原因是，Redis 发布 Channel 消息的时候，已经会指定。
     *
     * @return Channel可以理解为为消息的主题
     */
    @JsonIgnore
    public abstract String getChannel();

}
