package com.cuit.basin.base.websocket.server;


import com.cuit.basin.base.websocket.core.PgsWebSocket;
import com.cuit.basin.base.websocket.util.WebSocketUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.io.IOException;

/**
 * @BelongsProject: sriversys
 * @BelongsPackage: com.cuit.sriver.sriversys.server.websocket.server
 * @Author: HouPJ
 * @Date: 2022/12/17 14:38
 * @Description: TODO
 */
@Component
@Slf4j
public class WebSocketServerImpl implements WebSocketServer{

    @Override
    public void sendGroupInfo(String message) {
        log.info("当前{}人在线", WebSocketUtil.getOnlineCount());
        for (PgsWebSocket item : WebSocketUtil.getWebSocketSet()) {
            try {
                item.sendMessage(message);
                log.info("消息发送成功！");
            } catch (IOException e) {
                continue;
            }
        }
    }

    @Override
    public int getConcurrentClientCount() {
        return WebSocketUtil.getOnlineCount();
    }
}
