package com.cuit.sriver.sriversys.dao;

import com.cuit.sriver.sriversys.entity.HydFiFittedD;
import com.cuit.sriver.sriversys.pojo.FastCorrectData;
import com.cuit.sriver.sriversys.pojo.HydFiFittedDInfo;
import org.apache.ibatis.annotations.Mapper;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author ASUS
 * @description 针对表【hyd_fi_fitted_d(站点模型拟合数据)】的数据库操作Mapper
 * @createDate 2022-12-06 19:17:39
 * @Entity com.cuit.sriver.sriversys.entity.HydFiFittedD
 */
@Mapper
public interface HydFiFittedDMapper extends BatchBaseMapper<HydFiFittedD> {

    /**
     * 获取统计数据
     *
     * @param stationNo
     * @return
     */
    List<FastCorrectData> queryfastCorrectData(String stationNo);

    List<HydFiFittedDInfo> selectHydFiFittedDInfoList(Integer id);

//    /**
//     * 批量插入
//     *
//     * @param list 带插入的数据
//     * @return int
//     */
//    int insertBatch(@Param("list") List<HydFiFittedD> list);

    /**
     * 按时间和精度评估id查询拟合数据
     *
     * @param dataTime   起报时间
     * @param foreaccuId 精度评估id
     * @param timePeriod 历史周期
     * @return List<HydFiFittedD>
     */
    List<HydFiFittedD> selectModuleFittedList(LocalDateTime dataTime, Integer foreaccuId, Integer timePeriod);

//    /**
//     * 根据精度评估ID批量更新
//     *
//     * @param list 待更新的数据
//     * @return
//     */
//    int updateBatch(@Param("list") List<HydFiFittedD> list);
}




