package com.cuit.sriver.sriversys.dao;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.cuit.sriver.sriversys.entity.HydPiBulletinP;
import com.cuit.sriver.sriversys.pojo.HydPiBulletinPInfo;
import org.apache.ibatis.annotations.Mapper;

import java.time.LocalDateTime;

/**
* @author zwx
* @description 针对表【hyd_pi_bulletin_p(水情服务公报)】的数据库操作Mapper
* @createDate 2022-12-10 14:54:49
* @Entity com.cuit.sriver.sriversys.entity.HydPiBulletinP
*/
@Mapper
public interface HydPiBulletinPMapper extends BatchBaseMapper<HydPiBulletinP> {

    /**
     * 条件分页查询公报列表
     *
     * @param page 分页参数
     * @param bsId 流域id
     * @param typeId 类型id
     * @param auditsTutus 状态id
     * @param stTime 开始时间
     * @param endTime 结束时间
     * @param keyWords 关键字
     * @return
     */
    Page<HydPiBulletinPInfo> getGazetteListByParams(Page<HydPiBulletinPInfo> page, Integer bsId, Integer typeId, Integer auditsTutus, LocalDateTime stTime, LocalDateTime endTime, String keyWords);
}




