package com.cuit.sriver.sriversys.dao;

import com.cuit.sriver.sriversys.entity.HydroStationData;
import com.cuit.sriver.sriversys.pojo.HydroStationDataInfo;
import com.cuit.sriver.sriversys.pojo.RealDataInfo;
import com.cuit.sriver.sriversys.pojo.WaterGazetteData;
import com.github.jeffreyning.mybatisplus.base.MppBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 水文站点数据Mapper
 *
 * @author xiaoyinrui
 */

@Mapper
public interface HydroStationDataMapper extends MppBaseMapper<HydroStationData> {
    List<HydroStationDataInfo> queryLatestHydroStationData();

    List<HydroStationDataInfo> queryLatestHydroStationDataOrderByZC();

    List<HydroStationDataInfo> queryLatestHydroStationDataOrderByQC();

    /**
     * 查询实况数据
     *
     * @param stationNo  站号
     * @param timePeriod 模型id
     * @param dataTime   起报时间
     * @return List<RealDataInfo>
     */
    List<RealDataInfo> selectRealDataInfoList(String stationNo, LocalDateTime dataTime, Integer timePeriod);

    /**
     * 查询公报所需数据
     *
     * @param stcds  站号
     * @param stTime    公报开始时间
     * @param endTime   公报结束时间
     * @param situation 是否超限
     * @return
     */
    List<WaterGazetteData> selectByGazetteParam(String stcds, LocalDateTime stTime, LocalDateTime endTime, String situation);
}
