package com.cuit.sriver.sriversys.datadeal.domain;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.github.jeffreyning.mybatisplus.anno.MppMultiId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 水文源数据表
 * @TableName bd_table_b2
 */
@TableName(value ="bd_table_b2")
@Data
public class BdTableB2 implements Serializable {
    /**
     * 北斗卡号
     */
    @MppMultiId
    private String bdnum;

    /**
     * 观测时间
     */
    @MppMultiId
    @ApiModelProperty("观测时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime odate;

    /**
     * 包头
     */
    private String bt;

    /**
     * 经度
     */
    private Double longitude;

    /**
     * 纬度
     */
    private Double latitude;

    /**
     * 海拔高度
     */
    private Double altitude;

    /**
     * 水位
     */
    private Double waterl;

    /**
     * 水温
     */
    private Double watert;

    /**
     * 水深
     */
    private Double waterd;

    /**
     * 流速
     */
    private Double waters;

    /**
     * 流量
     */
    private Double waterf;

    /**
     * 浪高
     */
    private Double waterh;

    /**
     * 水位质控值
     */
    private Integer qWaterl;

    /**
     * 水温质控值
     */
    private Integer qWatert;

    /**
     * 水深质控值
     */
    private Integer qWaterd;

    /**
     * 流速质控值
     */
    private Integer qWaters;

    /**
     * 流量质控值
     */
    private Integer qWaterf;

    /**
     * 浪高质控值
     */
    private Integer qWaterh;

    /**
     * 站点编号，关联暂时还是用bdNum 保持不变
     */
    private String stationNum;

    /**
     * 数据添加时间
     */
    private Date createTime;

    /**
     * 数据分类 0 正常 1 修改  2  补录
     */
    private String dataFlag;

    /**
     * 状态 0 正常  1 错报
     */
    private String dataStatus;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}