package com.cuit.sriver.sriversys.entity; /***********************************************************************
 * Module:  GeoserverData.java
 * Author:  PYJ
 * Purpose: Defines the Class GeoserverData
 ***********************************************************************/

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 地图服务数据类
 */
@ApiModel(value = "地图服务数据类", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("geo_bi_server_b")
public class GeoserverData implements Serializable {
    /**
     * 地图服务id
     */
    @ApiModelProperty(value = "地图服务id")
    private Long geoid;
    /**
     * 工作空间
     */
    @ApiModelProperty(value = "工作空间")
    private String workspace;
    /**
     * 图层名
     */
    @ApiModelProperty(value = "图层名")
    private String lyr;
    /**
     * 地图样式
     */
    @ApiModelProperty(value = "地图样式")
    private String style;
    /**
     * 地图范围
     */
    @ApiModelProperty(value = "地图范围")
    private String bbox;
    /**
     * 地图服务地址
     */
    @ApiModelProperty(value = "地图服务地址")
    private String address;
    /**
     * 拼接地图url
     */
    @ApiModelProperty(value = "拼接地图url")
    private String url;

}