package com.cuit.sriver.sriversys.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 站点模型预测和订正表
 * </p>
 *
 * @author llw
 * @since 2022-11-17
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("hyd_fi_stdata_f")
@ApiModel(value = "HydFiStdataF对象", description = "站点模型预测和订正表")
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class HydFiStdataF implements Serializable {

    //  private static final long serialVersionUID = 1L;

    @ApiModelProperty("站号")
    private String stcd;

    @ApiModelProperty("模型类型id")
    private Integer mid;

    @ApiModelProperty("起报时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime dt;

    @ApiModelProperty("预报时效")
    private Integer validtm;

    @ApiModelProperty("预报时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime foretm;

    @ApiModelProperty("预报水位")
    private BigDecimal fz;

    @ApiModelProperty("预报流量")
    private BigDecimal fq;

    @ApiModelProperty("预报水位变化")
    private BigDecimal fzc;

    @ApiModelProperty("预报流量变化")
    private BigDecimal fqc;

    @ApiModelProperty("预报水位数据状态")
    private Integer fzs;

    @ApiModelProperty("预报流量数据状态")
    private Integer fqs;

    @ApiModelProperty("预报水位数据变化状态标志")
    private Integer fzcs;

    @ApiModelProperty("预报流量数据变化状态标志")
    private Integer fqcs;

    @ApiModelProperty("预报超警戒水位")
    private BigDecimal fbywrz;

    @ApiModelProperty("预报超保证水位")
    private BigDecimal fbygrz;

    @ApiModelProperty("预报超警戒流量")
    private BigDecimal fbywrq;

    @ApiModelProperty("预报超保证流量")
    private BigDecimal fbygrq;

    @ApiModelProperty("创建人")
    @TableField("CREATED_BY")
    private String createdBy;

    @ApiModelProperty("创建时间")
    @TableField("CREATED_TIME")
    private LocalDateTime createdTime;

    @ApiModelProperty("更新人")
    @TableField("UPDATED_BY")
    private String updatedBy;

    @ApiModelProperty("更新时间")
    @TableField("UPDATED_TIME")
    private LocalDateTime updatedTime;


}
