package com.cuit.sriver.sriversys.entity; /***********************************************************************
 * Module:  HydroCompositon.java
 * Author:  PYJ
 * Purpose: Defines the Class HydroCompositon
 ***********************************************************************/

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.time.LocalDateTime;

/**
 * 径流组成数据类
 */
@ApiModel(value = "径流组成数据类", description = "")
@TableName("hyd_fi_compo_f")
@Getter
@Setter
@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class HydroComposition {
    /**
     * 水文站号
     */
    @ApiModelProperty(value = "水文站号")
    private String stcd;
    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间")
    private LocalDateTime dt;
    /**
     * 冰川径流来水量
     */
    @ApiModelProperty(value = "冰川径流来水量")
    private Double gi;
    /**
     * 冰川径流占比
     */
    @ApiModelProperty(value = "冰川径流占比")
    private Double gr;
    /**
     * 融雪径流来水量
     */
    @ApiModelProperty(value = "融雪径流来水量")
    private Double si;
    /**
     * 融雪径流占比
     */
    @ApiModelProperty(value = "融雪径流占比")
    private Double sr;
    /**
     * 降水径流来水量
     */
    @ApiModelProperty(value = "降水径流来水量")
    private Double ri;
    /**
     * 降水径流占比
     */
    @ApiModelProperty(value = "降水径流占比")
    private Double rr;
    /**
     * 模型类型
     */
    @ApiModelProperty(value = "模型类型")
    private int mid;
    /**
     * 预报时效
     */
    @ApiModelProperty(value = "预报时效")
    private int validtm;

}