package com.cuit.sriver.sriversys.entity; /***********************************************************************
 * Module:  HydroDayCharacteristicValue.java
 * Author:  PYJ
 * Purpose: Defines the Class HydroDayCharacteristicValue
 ***********************************************************************/

import com.baomidou.mybatisplus.annotation.TableName;
import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.github.jeffreyning.mybatisplus.anno.MppMultiId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 水文天特征值
 */
@ApiModel(value = "水文天特征值", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName("hyd_si_daycv_s")
public class HydroDayCharacteristicValue {

    /**
     * 站号
     */
    @ApiModelProperty(value = "站号")
    @MppMultiId
    private String stcd;
    /**
     * 年
     */
    @ApiModelProperty(value = "年")
    @MppMultiId
    private int yr;
    /**
     * 月
     */
    @ApiModelProperty(value = "月")
    @MppMultiId
    private int mnth;
    /**
     * 天
     */
    @ApiModelProperty(value = "日")
    @MppMultiId
    private int day;
    /**
     * 日期
     */
    @ApiModelProperty(value = "日期")
    @JsonFormat(pattern = Constant.PATTERN_DATE, timezone = Constant.TIMEZONE)
    private LocalDate dt;
    /**
     * 最高水位
     */
    @ApiModelProperty(value = "最高水位")
    private Double htz;
    /**
     * 最高水位出现时间
     */
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    @ApiModelProperty(value = "最高水位出现时间")
    private LocalDateTime htztm;
    /**
     * 平均水位
     */
    @ApiModelProperty(value = "平均水位")
    private Double avz;
    /**
     * 最低水位
     */
    @ApiModelProperty(value = "最低水位")
    private Double ltz;
    /**
     * 最低水位出现时间
     */
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    @ApiModelProperty(value = "最低水位出现时间")
    private LocalDateTime ltztm;
    /**
     * 最大流量
     */
    @ApiModelProperty(value = "最大流量")
    private Double mxq;
    /**
     * 最大流量出现时间
     */
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    @ApiModelProperty(value = "最大流量出现时间")
    private LocalDateTime mxqtm;
    /**
     * 平均流量
     */
    @ApiModelProperty(value = "平均流量")
    private Double avq;
    /**
     * 最小流量
     */
    @ApiModelProperty(value = "最小流量")
    private Double mnq;
    /**
     * 最小流量出现时间
     */
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    @ApiModelProperty(value = "最小流量出现时间")
    private LocalDateTime mnqtm;
//标注
}

