package com.cuit.sriver.sriversys.entity; /***********************************************************************
 * Module:  HydroMonthCharacterFlowValue.java
 * Author:  PYJ
 * Purpose: Defines the Class HydroMonthCharacterFlowValue
 ***********************************************************************/


import com.baomidou.mybatisplus.annotation.TableName;
import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.github.jeffreyning.mybatisplus.anno.MppMultiId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 水文月特征流量值
 *
 * @author pyj
 */
@ApiModel(value = "水文月特征流量值", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName("hyd_si_mnthcvq_s")
public class HydroMonthCharacterFlowValue {
    /**
     * 站号
     */
    @ApiModelProperty(value = "站号")
    @MppMultiId
    private String stcd;
    /**
     * 年
     */
    @ApiModelProperty(value = "年")
    @MppMultiId
    private int yr;
    /**
     * 月
     */
    @ApiModelProperty(value = "月")
    @MppMultiId
    private int mnth;
    /**
     * 最大流量出现时间
     */
    @ApiModelProperty(value = "最大流量出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime mxqtm;
    /**
     * 最大流量
     */
    @ApiModelProperty(value = "最大流量")
    private Double mxq;
    /**
     * 平均流量
     */
    @ApiModelProperty(value = "平均流量")
    private Double avq;
    /**
     * 最小流量出现时间
     */
    @ApiModelProperty(value = "最小流量出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime mnqtm;
    /**
     * 最小流量
     */
    @ApiModelProperty(value = "最小流量")
    private Double mnq;
    /**
     * 上旬最大流量出现时间
     */
    @ApiModelProperty(value = "上旬最大流量出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime mxqetm;
    /**
     * 上旬最大流量
     */
    @ApiModelProperty(value = "上旬最大流量")
    private Double mxqe;
    /**
     * 中旬最大流量出现时间
     */
    @ApiModelProperty(value = "中旬最大流量出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime mxqmtm;
    /**
     * 中旬最大流量
     */
    @ApiModelProperty(value = "中旬最大流量")
    private Double mxqm;
    /**
     * 下旬最大流量出现时间
     */
    @ApiModelProperty(value = "下旬最大流量出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime mxqltm;
    /**
     * 下旬最大流量
     */
    @ApiModelProperty(value = "下旬最大流量")
    private Double mxql;
    /**
     * 上旬最小流量出现时间
     */
    @ApiModelProperty(value = "上旬最小流量出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime mnqetm;
    /**
     * 上旬最小流量
     */
    @ApiModelProperty(value = "上旬最小流量")
    private Double mnqe;
    /**
     * 中旬最小流量出现时间
     */
    @ApiModelProperty(value = "中旬最小流量出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime mnqmtm;
    /**
     * 中旬最小流量
     */
    @ApiModelProperty(value = "中旬最小流量")
    private Double mnqm;
    /**
     * 下旬最小流量出现时间
     */
    @ApiModelProperty(value = "下旬最小流量出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime mnqltm;
    /**
     * 下旬最小流量
     */
    @ApiModelProperty(value = "下旬最小流量")
    private Double mnql;
    /**
     * 上旬平均流量
     */
    @ApiModelProperty(value = "上旬平均流量")
    private Double avqe;
    /**
     * 中旬平均流量
     */
    @ApiModelProperty(value = "中旬平均流量")
    private Double avqm;
    /**
     * 下旬平均流量
     */
    @ApiModelProperty(value = "下旬平均流量")
    private Double avql;
}