package com.cuit.sriver.sriversys.entity; /***********************************************************************
 * Module:  HydroMonthCharacterLevelHistoryValue.java
 * Author:  PYJ
 * Purpose: Defines the Class HydroMonthCharacterLevelHistoryValue
 ***********************************************************************/

import com.baomidou.mybatisplus.annotation.TableName;
import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.github.jeffreyning.mybatisplus.anno.MppMultiId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;

import java.time.LocalDateTime;

/**
 * 水文月特征值水位历史值
 *
 * @author pyj
 */
@ApiModel(value = "水文月特征值水位历史值", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("hyd_si_mnthcvzh_s")
public class HydroMonthCharacterLevelHistoryValue {
    /**
     * 站号
     */
    @ApiModelProperty(value = "站号")
    @MppMultiId
    private String stcd;
    /**
     * 月
     */
    @ApiModelProperty(value = "月")
    @MppMultiId
    private int mnth;
    /**
     * 历史最高水位出现时间
     */
    @ApiModelProperty(value = "历史最高水位出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime hhtztm;
    /**
     * 历史最高水位值
     */
    @ApiModelProperty(value = "历史最高水位值")
    private Double hhtz;
    /**
     * 历史平均水位
     */
    @ApiModelProperty(value = "历史平均水位")
    private Double havz;
    /**
     * 历史最低水位出现时间
     */
    @ApiModelProperty(value = "历史最低水位出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime hltztm;
    /**
     * 历史最低水位
     */
    @ApiModelProperty(value = "历史最低水位")
    private Double hltz;
    /**
     * 历史上旬最高水位出现时间
     */
    @ApiModelProperty(value = "历史上旬最高水位出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime hhtzetm;
    /**
     * 历史上旬最高水位
     */
    @ApiModelProperty(value = "历史上旬最高水位")
    private Double hhtze;
    /**
     * 历史中旬最高水位出现时间
     */
    @ApiModelProperty(value = "历史中旬最高水位出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime hhtzmtm;
    /**
     * 历史中旬最高水位
     */
    @ApiModelProperty(value = "历史中旬最高水位")
    private Double hhtzm;
    /**
     * 历史下旬最高水位出现时间
     */
    @ApiModelProperty(value = "历史下旬最高水位出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime hhtzltm;
    /**
     * 历史下旬最高水位
     */
    @ApiModelProperty(value = "历史下旬最高水位")
    private Double hhtzl;
    /**
     * 历史上旬最低水位出现时间
     */
    @Autowired
    @ApiModelProperty(value = "历史上旬最低水位出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime hltzetm;
    /**
     * 历史上旬最低水位
     */
    @ApiModelProperty(value = "历史上旬最低水位")
    private Double hltze;
    /**
     * 历史中旬最低水位出现时间
     */
    @ApiModelProperty(value = "历史中旬最低水位出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime hltzmtm;
    /**
     * 历史中旬最低水位
     */
    @ApiModelProperty(value = "历史中旬最低水位")
    private Double hltzm;
    /**
     * 历史下旬最低水位出现时间
     */
    @ApiModelProperty(value = "历史下旬最低水位出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime hltzltm;
    /**
     * 历史下旬最低水位
     */
    @ApiModelProperty(value = "历史下旬最低水位")
    private Double hltzl;
    /**
     * 历史上旬平均水位
     */
    @ApiModelProperty(value = "历史上旬平均水位")
    private Double havze;
    /**
     * 历史中旬平均水位
     */
    @ApiModelProperty(value = "历史中旬平均水位")
    private Double havzm;
    /**
     * 历史下旬平均水位
     */
    @ApiModelProperty(value = "历史下旬平均水位")
    private Double havzl;
}