package com.cuit.sriver.sriversys.entity; /***********************************************************************
 * Module:  HydroMonthCharacterLevelValue.java
 * Author:  PYJ
 * Purpose: Defines the Class HydroMonthCharacterLevelValue
 ***********************************************************************/

import com.baomidou.mybatisplus.annotation.TableName;
import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.github.jeffreyning.mybatisplus.anno.MppMultiId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 水文月水位特征值
 *
 * @author pyj
 */
@ApiModel(value = "水文月水位特征值", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName("hyd_si_mnthcvz_s")
public class HydroMonthCharacterLevelValue {
    /**
     * 站号
     */
    @ApiModelProperty(value = "站号")
    @MppMultiId
    private String stcd;
    /**
     * 年
     */
    @ApiModelProperty(value = "年")
    @MppMultiId
    private int yr;
    /**
     * 月
     */
    @ApiModelProperty(value = "月")
    @MppMultiId
    private int mnth;
    /**
     * 最高水位出现时间
     */
    @ApiModelProperty(value = "最高水位出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime htztm;
    /**
     * 最高水位
     */
    @ApiModelProperty(value = "最高水位")
    private Double htz;
    /**
     * 平均水位
     */
    @ApiModelProperty(value = "平均水位")
    private Double avz;
    /**
     * 最低水位出现时间
     */
    @ApiModelProperty(value = "最低水位出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime ltztm;
    /**
     * 最低水位
     */
    @ApiModelProperty(value = "最低水位")
    private Double ltz;
    /**
     * 上旬最高水位出现时间
     */
    @ApiModelProperty(value = "上旬最高水位出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime htzetm;
    /**
     * 上旬最高水位
     */
    @ApiModelProperty(value = "上旬最高水位")
    private Double htze;
    /**
     * 中旬最高水位出现时间
     */
    @ApiModelProperty(value = "中旬最高水位出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime htzmtm;
    /**
     * 中旬最高水位
     */
    @ApiModelProperty(value = "中旬最高水位")
    private Double htzm;
    /**
     * 下旬最高水位出现时间
     */
    @ApiModelProperty(value = "下旬最高水位出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime htzltm;
    /**
     * 下旬最高水位
     */
    @ApiModelProperty(value = "下旬最高水位")
    private Double htzl;
    /**
     * 上旬最低水位出现时间
     */
    @ApiModelProperty(value = "上旬最低水位出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime ltzetm;
    /**
     * 上旬最低水位
     */
    @ApiModelProperty(value = "上旬最低水位")
    private Double ltze;
    /**
     * 中旬最低水位出现时间
     */
    @ApiModelProperty(value = "中旬最低水位出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime ltzmtm;
    /**
     * 中旬最低水位
     */
    @ApiModelProperty(value = "中旬最低水位")
    private Double ltzm;
    /**
     * 下旬最低水位出现时间
     */
    @ApiModelProperty(value = "下旬最低水位出现时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime ltzltm;
    /**
     * 下旬最低水位
     */
    @ApiModelProperty(value = "下旬最低水位")

    private Double ltzl;
    /**
     * 上旬平均水位
     */
    @ApiModelProperty(value = "上旬平均水位")
    private Double avze;
    /**
     * 中旬平均水位
     */
    @ApiModelProperty(value = "中旬平均水位")
    private Double avzm;
    /**
     * 下旬平均水位
     */
    @ApiModelProperty(value = "下旬平均水位")
    private Double avzl;
//标注
}