package com.cuit.sriver.sriversys.entity; /***********************************************************************
 * Module:  HydroStationInfo.java
 * Author:  PYJ
 * Purpose: Defines the Class HydroStationInfo
 ***********************************************************************/

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 水文站点信息
 *
 * @author pyj
 */
@ApiModel(value = "水文站点信息", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("hyd_bi_stinfo_b")
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class HydroStationInfo {
    /**
     * 站号
     */
    @ApiModelProperty(value = "站号")
    @TableId
    @JSONField(jsonDirect = true)
    private String stcd;
    /**
     * 站名
     */
    @ApiModelProperty(value = "站名")
    @JSONField(jsonDirect = true)
    private String stnm;
    /**
     * 流域ID
     */
    @ApiModelProperty(value = "流域ID")
    private Integer bsid;
    /**
     * 站点信息
     */
    @ApiModelProperty(value = "站点信息")
    @JSONField(jsonDirect = true)
    private String info;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private Double lgtd;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private Double lttd;
    /**
     * 高程
     */
    @ApiModelProperty(value = "站点高程")
    private Double grel;
    /**
     * 高程
     */
    @ApiModelProperty(value = "左堤高程")
    private Double ldkel;
    /**
     * 高程
     */
    @ApiModelProperty(value = "右堤高程")
    private Double rdkel;
    /**
     * 警戒水位
     */
    @ApiModelProperty(value = "警戒水位")
    private Double wrz;
    /**
     * 警戒流量
     */
    @ApiModelProperty(value = "警戒流量")
    private Double wrq;
    /**
     * 保证水位
     */
    @ApiModelProperty(value = "保证水位")
    private Double grz;
    /**
     * 保证流量
     */
    @ApiModelProperty(value = "保证流量")
    private Double grq;
    /**
     * 水文变化超限阈值
     */
    @ApiModelProperty(value = "水文变化超限阈值")
    private Double zct;
    /**
     * 流量变化超限阈值
     */
    @ApiModelProperty(value = "流量变化超限阈值")
    private Double qct;
}