package com.cuit.sriver.sriversys.entity; /***********************************************************************
 * Module:  MessageInfo.java
 * Author:  PYJ
 * Purpose: Defines the Class MessageInfo
 ***********************************************************************/

import com.baomidou.mybatisplus.annotation.TableName;
import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 消息
 */
@ApiModel(value = "消息", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("hyd_ri_message_r")
public class MessageInfo {
    /**
     * 发布时间
     */
    @ApiModelProperty(value = "发布时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime lymdh;
    /**
     * 消息类型
     */
    @ApiModelProperty(value = "消息类型")
    private int type;
    /**
     * 消息内容
     */
    @ApiModelProperty(value = "消息内容")
    private String content;
    /**
     * 已读状态
     */
    @ApiModelProperty(value = "已读状态")
    private Boolean rdstatus;
}