package com.cuit.sriver.sriversys.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.github.jeffreyning.mybatisplus.anno.MppMultiId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
/**
 * 气象站点实时监测数据
 * @TableName mete_ri_stdata_r
 */
@TableName(value ="mete_ri_stdata_r")
@Data
public class MeteStationData implements Serializable {
    /**
     * 站号
     */
    @TableField(value = "STCD")
    @ApiModelProperty(value = "站号")
    @MppMultiId
    private String stcd;

    /**
     * 数据时间
     */
    @TableField(value = "DT")
    @ApiModelProperty(value = "数据时间")
    @MppMultiId
    private LocalDateTime dt;

    /**
     * 两米风向
     */
    @TableField(value = "WD_2M")
    @ApiModelProperty(value = "两米风向")
    private Double wd2m;

    /**
     * 两米风速
     */
    @TableField(value = "WS_2M")
    @ApiModelProperty(value = "两米风速")
    private Double ws2m;

    /**
     * 10米风向
     */
    @TableField(value = "WD_10M")
    @ApiModelProperty(value = "10米风向")
    private Double wd10m;

    /**
     * 10米风速
     */
    @TableField(value = "WS_10M")
    @ApiModelProperty(value = "10米风速")
    private Double ws10m;

    /**
     * 最大风速风向
     */
    @TableField(value = "WD_MAX")
    @ApiModelProperty(value = "最大风速风向")
    private Double wdMax;

    /**
     * 最大风速
     */
    @TableField(value = "WS_MAX")
    @ApiModelProperty(value = "最大风速")
    private Double wsMax;

    /**
     * 最大风速出现的时间
     */
    @TableField(value = "WS_MAX_TM")
    @ApiModelProperty(value = "最大风速出现的时间")
    private LocalDateTime wsMaxTm;

    /**
     * 瞬时风向
     */
    @TableField(value = "WD_INSTANT")
    @ApiModelProperty(value = "瞬时风向")
    private Double wdInstant;

    /**
     * 瞬时风速
     */
    @TableField(value = "WS_INSTANT")
    @ApiModelProperty(value = "瞬时风速")
    private Double wsInstant;

    /**
     * 极大风向
     */
    @TableField(value = "WD_HUGE")
    @ApiModelProperty(value = "极大风向")
    private Double wdHuge;

    /**
     * 极大风速
     */
    @TableField(value = "WS_HUGE")
    @ApiModelProperty(value = "极大风速")
    private Double wsHuge;

    /**
     * 极大风速出现的时间
     */
    @TableField(value = "WS_HUGE_TM")
    @ApiModelProperty(value = "极大风速出现的时间")
    private LocalDateTime wsHugeTm;

    /**
     * 分钟降水量
     */
    @TableField(value = "PRE_10MIN")
    @ApiModelProperty(value = "分钟降水量")
    private Double pre10min;

    /**
     * 小时降水量
     */
    @TableField(value = "PRE_1H")
    @ApiModelProperty(value = "小时降水量")
    private Double pre1h;

    /**
     * 分钟降水预警状态（0：正常，1：预警）
     */
    @TableField(value = "PRE_WRSTU_10MIN")
    @ApiModelProperty(value = "分钟降水预警状态（0：正常，1：预警）")
    private Double preWrstu10min;

    /**
     * 小时降水预警状态（0：正常，1：预警）
     */
    @TableField(value = "PRE_WRSTU_1H")
    @ApiModelProperty(value = "小时降水预警状态（0：正常，1：预警）")
    private Double preWrstu1h;

    /**
     * 气温
     */
    @TableField(value = "TEM")
    @ApiModelProperty(value = "气温")
    private Double tem;

    /**
     * 气温预警状态（0：正常，1：预警）
     */
    @TableField(value = "TEM_WRSTU")
    @ApiModelProperty(value = "气温预警状态（0：正常，1：预警）")
    private Integer temWrstu;

    /**
     * 最高气温
     */
    @TableField(value = "TEM_MAX")
    @ApiModelProperty(value = "最高气温")
    private Double temMax;

    /**
     * 最高气温出现的时间
     */
    @TableField(value = "TEM_MAX_TM")
    @ApiModelProperty(value = "最高气温出现的时间")
    private LocalDateTime temMaxTm;

    /**
     * 最低气温
     */
    @TableField(value = "TEM_MIN")
    @ApiModelProperty(value = "最低气温")
    private Double temMin;

    /**
     * 最低气温出现的时间
     */
    @TableField(value = "TEM_MIN_TM")
    @ApiModelProperty(value = "最低气温出现的时间")
    private LocalDateTime temMinTm;

    /**
     * 相对湿度
     */
    @TableField(value = "RH")
    @ApiModelProperty(value = "相对湿度")
    private Double rh;

    /**
     * 最小相对湿度
     */
    @TableField(value = "RH_MIN")
    @ApiModelProperty(value = "最小相对湿度")
    private Double rhMin;

    /**
     * 最小相对湿度出现时间
     */
    @TableField(value = "RH_MIN_TM")
    @ApiModelProperty(value = "最小相对湿度出现时间")
    private LocalDateTime rhMinTm;

    /**
     * 水汽压
     */
    @TableField(value = "WAP")
    @ApiModelProperty(value = "水汽压")
    private Double wap;

    /**
     * 露点温度
     */
    @TableField(value = "DEW")
    @ApiModelProperty(value = "露点温度")
    private Double dew;

    /**
     * 本站气压
     */
    @TableField(value = "P")
    @ApiModelProperty(value = "本站气压")
    private Double p;

    /**
     * 最高本站气压
     */
    @TableField(value = "P_MAX")
    @ApiModelProperty(value = "最高本站气压")
    private Double pMax;

    /**
     * 最高本站气压出现时间
     */
    @TableField(value = "P_MAX_TM")
    @ApiModelProperty(value = "最高本站气压出现时间")
    private LocalDateTime pMaxTm;

    /**
     * 最低本站气压
     */
    @TableField(value = "P_MIN")
    @ApiModelProperty(value = "最低本站气压")
    private Double pMin;

    /**
     * 最低本站气压出现时间
     */
    @TableField(value = "P_MIN_TM")
    @ApiModelProperty(value = "最低本站气压出现时间")
    private LocalDateTime pMinTm;

    /**
     * 分钟雪深
     */
    @TableField(value = "SNOW_1MIN")
    @ApiModelProperty(value = "分钟雪深")
    private Double snow1min;

    /**
     * 分钟能见度
     */
    @TableField(value = "VIS_1MIN")
    @ApiModelProperty(value = "分钟能见度")
    private Double vis1min;

    /**
     * 10分钟平均能见度
     */
    @TableField(value = "VIS_10MIN")
    @ApiModelProperty(value = "10分钟平均能见度")
    private Double vis10min;

    /**
     * 小时内最小能见度
     */
    @TableField(value = "VIS_1H_MIN")
    @ApiModelProperty(value = "小时内最小能见度")
    private Double vis1hMin;

    /**
     * 小时内最小能见度出现时间
     */
    @TableField(value = "VIS_1H_MIN_TM")
    @ApiModelProperty(value = "小时内最小能见度出现时间")
    private LocalDateTime vis1hMinTm;

    /**
     * 天气现象1
     */
    @TableField(value = "WP_1MIN")
    @ApiModelProperty(value = "天气现象1")
    private String wp1min;

    /**
     * 天气现象2
     */
    @TableField(value = "WP_2MIN")
    @ApiModelProperty(value = "天气现象2")
    private String wp2min;
}