package com.cuit.sriver.sriversys.entity; /***********************************************************************
 * Module:  MeteStationForcastingData.java
 * Author:  PYJ
 * Purpose: Defines the Class MeteStationForcastingData
 ***********************************************************************/

import com.baomidou.mybatisplus.annotation.TableName;
import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 气象站点预报数据
 */
@ApiModel(value = "气象站点预报数据", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("mete_fi_stfore_f")
public class MeteStationForcastingData {
    /**
     * 站号
     */
    @ApiModelProperty(value = "站号")
    private String stcd;
    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime dt;
    /**
     * 预报时效
     */
    @ApiModelProperty(value = "预报时效")
    private Integer validtm;
    /**
     * 预报时间
     */
    @ApiModelProperty(value = "预报时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime foretm;
    /**
     * 气压
     */
    @ApiModelProperty(value = "气压")
    private Double prs;
    /**
     * 气温
     */
    @ApiModelProperty(value = "气温")
    private Double tem;
    /**
     * 湿度
     */
    @ApiModelProperty(value = "湿度")
    private Double rhu;
    /**
     * 降水
     */
    @ApiModelProperty(value = "降水")
    private Double p;
    /**
     * 风向
     */
    @ApiModelProperty(value = "风向")
    private Double wind;
    /**
     * 风速
     */
    @ApiModelProperty(value = "风速")
    private Double wins;
    /**
     * 地温
     */
    @ApiModelProperty(value = "地温")
    private Double gst;
    /**
     * 能见度
     */
    @ApiModelProperty(value = "能见度")
    private Double vis;
    /**
     * 雪深
     */
    @ApiModelProperty(value = "雪深")
    private Double sd;

}