package com.cuit.sriver.sriversys.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @TableName tb_sys_datauser
 */
@TableName(value = "tb_sys_datauser")
@Data
public class TbSysDatauser implements Serializable {
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
    /**
     * 用户id
     */
    @TableId(type = IdType.AUTO)
    private Integer id;
    /**
     * 登录名
     */
    private String loginname;
    /**
     * 姓名
     */
    private String name;
    /**
     * 部门或单位
     */
    private Integer dptId;
    /**
     * 所任职务
     */
    private Integer positionId;
    /**
     * 权限等级
     */
    private Integer permissionId;
    /**
     * 电话号码
     */
    private String tel;
    /**
     * 密码
     */
    private String password;
    /**
     * 标志 0-正常 1-禁用
     */
    private Integer flag;
    /**
     * 最后一次修改密码时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime passchangdate;
    /**
     * 常用地址IP
     */
    private String lastip;
    /**
     * 最后一次登录时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime lastlogindate;
    /**
     * 密码输入错误次数
     */
    private Integer logerrnum;
    /**
     * 是否启用（0未启用1启用）
     */
    private Integer enabled;
    /**
     * 是否删除（0未删除1删除）
     */
    @TableLogic(value = "0", delval = "1")
    private Integer isvalid;
}