package com.cuit.sriver.sriversys.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 专题图
 * @TableName thematic_map
 */
@TableName(value ="thematic_map")
@Data
public class ThematicMap implements Serializable {
    /**
     * 专题图id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "专题图id")
    private Integer mapId;

    /**
     * 专题图名称
     */
    @ApiModelProperty(value = "专题图名称")
    private String mapName;

    /**
     * 类型
     */
    @ApiModelProperty(value = "类型")
    private String type;

    /**
     * 数据开始时间
     */
    @ApiModelProperty(value = "数据开始时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime stData;

    /**
     * 数据结束时间
     */
    @ApiModelProperty(value = "数据结束时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime endData;

    /**
     * url
     */
    @ApiModelProperty(value = "专题图url")
    private String mapUrl;
    /**
     * 流域id
     */
    @ApiModelProperty(value = "流域id")
    private Integer bsid;

}