package com.cuit.sriver.sriversys.entity; /***********************************************************************
 * Module:  WatershedData.java
 * Author:  PYJ
 * Purpose: Defines the Class WatershedData
 ***********************************************************************/

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 流域数据
 */
@ApiModel(value = "流域数据", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("hyd_bi_bsdata_b")
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class WatershedData {
    /**
     * 流域ID
     */
    @ApiModelProperty(value = "流域ID")
    private Integer bsid;
    /**
     * 流域名称
     */
    @ApiModelProperty(value = "流域名称")
    @JSONField(jsonDirect = true)
    private String bsnm;
    /**
     * 地图服务ID
     */
    @ApiModelProperty(value = "地图服务ID")
    private Long geoid;
    /**
     * 中心经度
     */
    @ApiModelProperty(value = "中心经度")
    private Double lgtd;
    /**
     * 中心纬度
     */
    @ApiModelProperty(value = "中心纬度")
    private Double lttd;

}