package com.cuit.sriver.sriversys.entity; /***********************************************************************
 * Module:  WatershedMeteForecast.java
 * Author:  PYJ
 * Purpose: Defines the Class WatershedMeteForecast
 ***********************************************************************/

import com.baomidou.mybatisplus.annotation.TableName;
import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 流域气象预报
 */
@ApiModel(value = "流域气象预报", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("mete_fi_bsfore_f")
public class WatershedMeteForecast {
    /**
     * 流域ID
     */
    @ApiModelProperty(value = "流域ID")
    private Integer bsid;
    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime dt;
    /**
     * 预报时效
     */
    @ApiModelProperty(value = "预报时效")
    private Integer validtm;
    /**
     * 预报时间
     */
    @ApiModelProperty(value = "预报时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime foretm;
    /**
     * 最大降水量
     */
    @ApiModelProperty(value = "最大降水量")
    private Double mxp;
    /**
     * 最小降水量
     */
    @ApiModelProperty(value = "最小降水量")
    private Double mnp;
    /**
     * 平均降水量
     */
    @ApiModelProperty(value = "平均降水量")
    private Double avp;

}