package com.cuit.sriver.sriversys.entity.log;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * @BelongsProject: steward
 * @BelongsPackage: com.yhxc.server.framework.log.core.entity
 * @Author: HouPJ
 * @Date: 2022/12/20 11:09
 * @Description: TODO
 */
@Data
@EqualsAndHashCode
public class ApiErrorLog {

    /**
     * 链路编号
     */
    private String traceId;
    /**
     * 账号编号
     */
    private Long userId;
    /**
     * 模块类型{@link com.cuit.sriver.sriversys.base.constant.ModuleEnum}
     */
    private Integer module;
    /**
     * 应用名
     */
    private String applicationName;

    /**
     * 请求方法名
     */
    private String requestMethod;
    /**
     * 访问地址
     */
    private String requestUrl;
    /**
     * 请求参数
     */
    private String requestParams;
    /**
     * 用户 IP
     */
    private String userIp;
    /**
     * 浏览器 UA
     */
    private String userAgent;

    /**
     * 异常时间
     */
    private LocalDateTime exceptionTime;
    /**
     * 异常名
     */
    private String exceptionName;
    /**
     * 异常发生的类全名
     */
    private String exceptionClassName;
    /**
     * 异常发生的类文件
     */
    private String exceptionFileName;
    /**
     * 异常发生的方法名
     */
    private String exceptionMethodName;
    /**
     * 异常发生的方法所在行
     */
    private Integer exceptionLineNumber;
    /**
     * 异常的栈轨迹异常的栈轨迹
     */
    private String exceptionStackTrace;
    /**
     * 异常导致的根消息
     */
    private String exceptionRootCauseMessage;
    /**
     * 异常导致的消息
     */
    private String exceptionMessage;

    @Override
    public String toString() {
        return "ApiErrorLog{" +
                "traceId='" + traceId + '\'' +
                ", userId=" + userId +
                ", module=" + module +
                ", applicationName='" + applicationName + '\'' +
                ", requestMethod='" + requestMethod + '\'' +
                ", requestUrl='" + requestUrl + '\'' +
                ", requestParams='" + requestParams + '\'' +
                ", userIp='" + userIp + '\'' +
                ", userAgent='" + userAgent + '\'' +
                ", exceptionTime=" + exceptionTime +
                ", exceptionName='" + exceptionName + '\'' +
                ", exceptionClassName='" + exceptionClassName + '\'' +
                ", exceptionFileName='" + exceptionFileName + '\'' +
                ", exceptionMethodName='" + exceptionMethodName + '\'' +
                ", exceptionLineNumber=" + exceptionLineNumber +
                ", exceptionStackTrace='" + exceptionStackTrace + '\'' +
                ", exceptionRootCauseMessage='" + exceptionRootCauseMessage + '\'' +
                ", exceptionMessage='" + exceptionMessage + '\'' +
                '}';
    }
}
