package com.cuit.sriver.sriversys.pojo;

import com.cuit.basin.framework.common.utils.other.Double2Serializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * 报汛特征值-特征值历史对比类
 */
@Data
@Builder
@ApiModel(value = "报汛特征值-特征值历史对比类", description = "")
public class CharacterCompareValue {
    /**
     * 当月-水位特征值
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty(value = "当月-水位特征值")
    private Double cz;
    /**
     * 历史-水位特征值
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty(value = "历史-水位特征值")
    private Double hz;
    /**
     * 距平-水位特征值
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty(value = "距平-水位特征值")
    private Double az;
    /**
     * 当月-流量特征值
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty(value = "当月-流量特征值")
    private Double cq;
    /**
     * 历史-流量特征值
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty(value = "历史-流量特征值")
    private Double hq;
    /**
     * 距平-流量特征值
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty(value = "距平-流量特征值")
    private Double aq;
}
