package com.cuit.sriver.sriversys.pojo;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@ApiModel(value = "GazetteEigenvalue", description = "站点特征值类")
/**
 * 为空属性、字段不返回
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class GazetteEigenvalue {
    /**
     * 站号
     */
    @ApiModelProperty(value = "站号")
    @TableId
    @JSONField(jsonDirect = true)
    private String stcd;

    /**
     * 站名
     */
    @ApiModelProperty(value = "站名")
    @JSONField(jsonDirect = true)
    private String stnm;

    @ApiModelProperty("模型名称")
    private String mname;

    private Double maxq, minq, avgq, maxz, minz, avgz;
}
