package com.cuit.sriver.sriversys.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@Builder
public class HydFiFittedDInfo {
    /**
     * 拟合数据id
     */
    @TableId(value = "fitted_id", type = IdType.AUTO)
    @ApiModelProperty("拟合数据id")
    private Integer fittedId;

    /**
     * 精度评估id
     */
    @TableField(value = "foreaccu_id")
    @ApiModelProperty("精度评估id")
    private Integer foreaccuId;

    /**
     * 模型id
     */
    @TableField(value = "MID")
    @ApiModelProperty("模型id")
    private Integer mid;

    /**
     * 数据时间
     */
    @TableField(value = "DT")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty("数据时间")
    private LocalDateTime dt;

    /**
     * 水位
     */
    @TableField(value = "Z")
    @ApiModelProperty("水位")
    private BigDecimal z;

    /**
     * 流量
     */
    @TableField(value = "Q")
    @ApiModelProperty("流量")
    private BigDecimal q;

}
