package com.cuit.sriver.sriversys.pojo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * 报汛特征值-月特征值
 *
 * @author Xiao Yinrui
 */
@Data
@Builder
@ApiModel(value = "月特征值", description = "")
public class HydroMonthCharacterValue {
    /**
     * 站号
     */
    @ApiModelProperty(value = "站号")
    private String stcd;
    /**
     * 年
     */
    @ApiModelProperty(value = "年")
    private int yr;
    /**
     * 月
     */
    @ApiModelProperty(value = "月")
    private int mnth;
    /**
     * 上旬特征值
     */
    @ApiModelProperty(value = "上旬特征值")
    private CharacterValue early;
    /**
     * 中旬特征值
     */
    @ApiModelProperty(value = "中旬特征值")
    private CharacterValue middle;
    /**
     * 下旬特征值
     */
    @ApiModelProperty(value = "下旬特征值")
    private CharacterValue late;
    /**
     * 当月特征值
     */
    @ApiModelProperty(value = "当月特征值")
    private CharacterValue current;
}
