package com.cuit.sriver.sriversys.pojo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * 报汛特征值-月历史特征值对比
 *
 * @author Xiao Yinrui
 */
@Builder
@Data
@ApiModel(value = "月历史特征值对比", description = "")
public class HydroMonthCharacterValueCompare {
    /**
     * 站号
     */
    @ApiModelProperty(value = "站号")
    private String stcd;
    /**
     * 年
     */
    @ApiModelProperty(value = "年")
    private int yr;
    /**
     * 月
     */
    @ApiModelProperty(value = "月")
    private int mnth;
    /**
     * 上旬历史对比值
     */
    @ApiModelProperty(value = "上旬历史对比值")
    private CharacterCompareValue early;
    /**
     * 中旬历史对比值
     */
    @ApiModelProperty(value = "中旬历史对比值")
    private CharacterCompareValue middle;
    /**
     * 下旬历史对比值
     */
    @ApiModelProperty(value = "下旬历史对比值")
    private CharacterCompareValue late;
    /**
     * 当月历史对比值
     */
    @ApiModelProperty(value = "当月历史对比值")
    private CharacterCompareValue current;
}
