package com.cuit.sriver.sriversys.pojo;

import com.cuit.basin.framework.common.utils.other.Double2Serializer;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 水文站点数据-对比曲线
 */
@Builder
@ApiModel(value = "水文站点数据-对比曲线", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class HydroStationDataValue {
    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间")
    private String dt;
    /**
     * 时间字段
     */
    @ApiModelProperty(value = "时间字段")
    private Integer time;
    /**
     * 水位
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty(value = "水位")
    private Double z;
    /**
     * 流量
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty(value = "流量")
    private Double q;
    /**
     * 最高水位
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty(value = "最高水位")
    private Double htz;
    /**
     * 最大流量
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty(value = "最大流量")
    private Double mxq;
    /**
     * 平均水位
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty(value = "平均水位")
    private Double avz;
    /**
     * 平均流量
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty(value = "平均流量")
    private Double avq;
    /**
     * 最低水位
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty(value = "最低水位")
    private Double ltz;
    /**
     * 最小流量
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty(value = "最小流量")
    private Double mnq;
}