package com.cuit.sriver.sriversys.pojo; /***********************************************************************
 * Module:  HydroStarionData.java
 * Author:  PYJ
 * Purpose: Defines the Class HydroStarionData
 ***********************************************************************/

import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * 水文站点数据-预测
 */
@ApiModel(value = "水文站点数据-预测", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class HydroStationForeDataInfo {
    /**
     * 站号
     */
    @ApiModelProperty(value = "站号")
    private String stcd;
    /**
     * 模型类型
     */
    @ApiModelProperty(value = "模型类型")
    private Integer mid;
    /**
     * 起报时间
     */
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    @ApiModelProperty(value = "起报时间")
    private LocalDateTime dt;
    /**
     * 预报时效
     */
    @ApiModelProperty(value = "预报时效")
    private Integer validtm;
    /**
     * 预报时间
     */
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    @ApiModelProperty(name = "预报时间")
    private Date foretm;
    /**
     * 站名
     */
    @ApiModelProperty(value = "站名")
    private String stnm;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private Double lgtd;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private Double lttd;
    /**
     * 预报水位
     */
    @ApiModelProperty(value = "预报水位")
    private Double fz;
    /**
     * 预报流量
     */
    @ApiModelProperty(value = "预报流量")
    private Double fq;
    /**
     * 预报水位变化
     */
    @ApiModelProperty(value = "预报水位变化")
    private Double fzc;
    /**
     * 预报流量变化
     */
    @ApiModelProperty(value = "预报流量变化")
    private Double fqc;
    /**
     * 预报水位数据状态
     */
    @ApiModelProperty(value = "预报水位数据状态")
    private Integer fzs;
    /**
     * 预报流量数据状态
     */
    @ApiModelProperty(value = "预报流量数据状态")
    private Integer fqs;
    /**
     * 预报水位数据变化状态标志
     */
    @ApiModelProperty(value = "预报水位数据变化状态标志")
    private Integer fzcs;
    /**
     * 预报流量数据变化状态标志
     */
    @ApiModelProperty(value = "预报流量数据变化状态标志")
    private Integer fqcs;
    /**
     * 预报超警戒水位
     */
    @ApiModelProperty(value = "预报超警戒水位")
    private Double fbywrz;
    /**
     * 预报超保证水位
     */
    @ApiModelProperty(value = "预报超保证水位")
    private Double fbygrz;
    /**
     * 预报超警戒流量
     */
    @ApiModelProperty(value = "预报超警戒流量")
    private Double fbywrq;
    /**
     * 预报超保证流量
     */
    @ApiModelProperty(value = "预报超保证流量")
    private Double fbygrq;
}