package com.cuit.sriver.sriversys.pojo;

import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@ApiModel(value = "ModeGazetteData", description = "模型预报对应数据类")
/**
 * 为空属性、字段不返回
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ModeGazetteData {

    @ApiModelProperty("站号")
    private String stcd;

    @ApiModelProperty("站名")
    private String stnm;

    @ApiModelProperty("模型名称")
    private String mname;

    @ApiModelProperty("起报时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime dt;

    @ApiModelProperty("预报时间")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime foretm;

    @ApiModelProperty("预报水位")
    private BigDecimal fz;

    @ApiModelProperty("预报流量")
    private BigDecimal fq;


    @ApiModelProperty("预报水位数据变化状态标志")
    private Integer fzcs;

    @ApiModelProperty("预报流量数据变化状态标志")
    private Integer fqcs;

    @ApiModelProperty("预报超警戒水位")
    private BigDecimal fbywrz;

    @ApiModelProperty("预报超警戒流量")
    private BigDecimal fbywrq;




}
