package com.cuit.sriver.sriversys.pojo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.cuit.sriver.sriversys.entity.HydFiFittedD;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.util.List;

@Data
@ApiModel(value = "ModuleFittedDataInfo", description = "模型拟合数据")
/**
 * 为空属性、字段不返回
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ModuleFittedDataInfo {
    /**
     * 起报时间
     */
    @TableField(value = "dataTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty("起报时间")
    private LocalDateTime dataTime;

    /**
     * 站号
     */
    @TableField(value = "STCD")
    @ApiModelProperty("站号")
    private String stcd;

    /**
     * 模型名称
     */
    @TableField(value = "MID")
    @ApiModelProperty("模型id")
    private Integer mid;

    /**
     * 纳什系数
     */
    @TableField(value = "NSE")
    @ApiModelProperty("纳什系数")
    private Double nse;

    /**
     * 方差
     */
    @TableField(value = "R2")
    @ApiModelProperty("方差")
    private Double r2;

    /**
     * 准确度
     */
    @TableField(value = "FACTOR")
    @ApiModelProperty("准确度")
    private Double factor;

    /**
     * 模型拟合数据
     */
    @ApiModelProperty("模型拟合数据List")
    private List<HydFiFittedD> hydFiFittedDList;

}
