package com.cuit.sriver.sriversys.pojo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.github.jeffreyning.mybatisplus.anno.MppMultiId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@ApiModel(value = "RainGazetteData", description = "雨情对应数据类")
/**
 * 为空属性、字段不返回
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class RainGazetteData {
    /**
     * 站号
     */
    @TableField(value = "STCD")
    @ApiModelProperty(value = "站号")
    @MppMultiId
    private String stcd;
    /**
     * 站名
     */
    @TableField(value = "STNM")
    @ApiModelProperty(value = "站名")
    @MppMultiId
    private String stnm;
    /**
     * 流域名称
     */
    @TableField(value = "BSNM")
    @ApiModelProperty(value = "流域名称")
    private String bsnm;

    /**
     * 数据时间
     */
    @TableField(value = "DT")
    @ApiModelProperty(value = "数据时间")
    @MppMultiId
    private LocalDateTime dt;


    /**
     * 分钟降水量
     */
    @TableField(value = "PRE_10MIN")
    @ApiModelProperty(value = "分钟降水量")
    private Double pre10min;

    /**
     * 小时降水量
     */
    @TableField(value = "PRE_1H")
    @ApiModelProperty(value = "小时降水量")
    private Double pre1h;

    /**
     * 分钟降水预警状态（0：正常，1：预警）
     */
    @TableField(value = "PRE_WRSTU_10MIN")
    @ApiModelProperty(value = "分钟降水预警状态（0：正常，1：预警）")
    private Double preWrstu10min;

    /**
     * 小时降水预警状态（0：正常，1：预警）
     */
    @TableField(value = "PRE_WRSTU_1H")
    @ApiModelProperty(value = "小时降水预警状态（0：正常，1：预警）")
    private Double preWrstu1h;

}
