package com.cuit.sriver.sriversys.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author: llw
 * @date: 2022/12/4 11:06
 * @description: tb_sys_log
 */
@AllArgsConstructor
@NoArgsConstructor
@Getter
@Setter
@ApiModel(value = "SysLogPojo", description = "日志管理")
public class SysLogPojo {
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private String id;

    /**
     * 访问时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date visitTime;

    /**
     * 访问账户
     */
    private String userName;

    /**
     * 访问ip
     */
    private String ip;

    /**
     * 执行时长
     */
    private String executionTime;


    /**
     * 模块类型  模块字典（t_dic_module）
     */
    private String module;

    /**
     * 操作名称
     */
    private String opration;

    /**
     * 操作类型  0-增 1-删 2-改 3-查 4-审核
     */
    private String opType;

}
