package com.cuit.sriver.sriversys.pojo; /***********************************************************************
 * Module:  CharacteristicValueOrderView.java
 * Author:  PYJ
 * Purpose: Defines the Class CharacteristicValueOrderView
 ***********************************************************************/

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 流域信息
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "流域信息", description = "")
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class WatershedInfo {
    /**
     * 流域ID
     */
    @ApiModelProperty(value = "流域ID")
    private Integer bsid;
    /**
     * 流域名称
     */
    @ApiModelProperty(value = "流域名称")
    private String bsnm;
    /**
     * 中心经度
     */
    @ApiModelProperty(value = "中心经度")
    private Double lgtd;
    /**
     * 中心纬度
     */
    @ApiModelProperty(value = "中心纬度")
    private Double lttd;
    /**
     * 图层名
     */
    @ApiModelProperty(value = "图层名")
    private String lyr;
    /**
     * 地图样式
     */
    @ApiModelProperty(value = "地图样式")
    private String style;
    /**
     * 地图范围
     */
    @ApiModelProperty(value = "地图范围")
    private String bbox;
    /**
     * 地图服务地址
     */
    @ApiModelProperty(value = "地图服务地址")
    private String address;
    /**
     * 拼接地图url
     */
    @ApiModelProperty(value = "拼接地图url")
    private String url;
    /**
     * 排序值：面雨量
     */
    @ApiModelProperty(value = "排序值")
    private Double ordervalue;
}