package com.cuit.basin.model;

import com.github.jeffreyning.mybatisplus.conf.EnableMPP;
import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

@Slf4j
@EnableMPP
@MapperScan(basePackages = "com.cuit.basin.model.dao")
@SpringBootApplication(scanBasePackages = {"com.cuit.basin"})
@EnableDiscoveryClient
@EnableFeignClients(basePackages = "com.cuit.basin")
public class SbasinModelApplication {
    public static void main(String[] args) {
        SpringApplication.run(SbasinModelApplication.class, args);
        log.info("服务启动成功。");
    }
}
