package com.cuit.basin.model.job;


import com.cuit.basin.framework.common.constant.ModleTaskEnum;
import com.cuit.basin.model.enums.ModelTypeEnums;
import com.cuit.basin.model.pojo.InitTaskParams;
import com.cuit.basin.model.service.ModelOperationTaskService;
import lombok.extern.slf4j.Slf4j;
import org.jetbrains.annotations.NotNull;
import org.quartz.JobExecutionContext;
import org.springframework.scheduling.quartz.QuartzJobBean;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

@Service
@Slf4j
@Transactional
public class GBHMJob extends QuartzJobBean {

    @Resource
    private ModelOperationTaskService operationTaskService;

    /**
     * 模型Job
     *
     * @param jobExecutionContext job上下文
     */
    @Override
    protected void executeInternal(@NotNull JobExecutionContext jobExecutionContext) {
        // 初始化模型运行任务
        initModelTask();
    }

    private void initModelTask() {
        InitTaskParams initTaskParams = InitTaskParams.builder().build();
        initTaskParams.setMid(ModelTypeEnums.MODEL_GBHM.getType());
        initTaskParams.setMnmcn(ModelTypeEnums.MODEL_GBHM.getModelName());
        initTaskParams.setRm(ModleTaskEnum.TASK_METHOD_REGULAR_SCHEDULING.getTypeName());
        // 发送模型初始化消息.
        operationTaskService.initModelTask(initTaskParams);
    }
}