package com.cuit.basin.model.job.factories;


import com.cuit.basin.model.job.handler.ApiModelProcess;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;

/**
 * @BelongsProject: sbasinModel
 * @BelongsPackage: com.cuit.sriver.model.job.factories
 * @Author: HouPJ
 * @Date: 2022/12/27 10:35
 * @Description: TODO
 */
@Component
public class ModelProcessFactory {

    @Resource
    private Map<String, ApiModelProcess> strategyMap = new HashMap<>();

    /**
     * 根据模型处理process @Component 内 type字段获取对应模型处理 process 实现类
     * @param modelName 模型名称
     * @return 处理器
     */
    public ApiModelProcess createModelProcess(String modelName) {
        return strategyMap.get(modelName);
    }

}
