package com.cuit.basin.model.job.params;

import com.cuit.basin.model.entity.HydroStationData;
import com.cuit.basin.model.entity.MeteStationData;
import com.cuit.basin.model.entity.ModelParam;
import lombok.Builder;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * GBHM模型基础数据
 *
 * @author xiaoyinrui
 */
@Builder
@Data
public class GBHMBasedata {
    /**
     * 参数列表
     */
    private List<ModelParam> params;
    /**
     * 起报时间
     */
    private LocalDateTime dataTime;
    /**
     * 开始时间
     */
    private LocalDateTime stTime;
    /**
     * 结束时间
     */
    private LocalDateTime endTime;
    /**
     * 气象站点
     */
    private List<String> stcdMeteList;
    /**
     * 水文站点
     */
    private List<String> stcdHydroList;
    /**
     * 气象数据
     */
    private List<MeteStationData> meteStationDataList;
    /**
     * 水文数据
     */
    private List<HydroStationData> hydroStationDataList;
}
