package com.cuit.basin.model.mq.handler;

import com.cuit.basin.model.handler.GlobalExceptionHandler;
import lombok.extern.slf4j.Slf4j;
import org.springframework.kafka.listener.KafkaListenerErrorHandler;
import org.springframework.kafka.listener.ListenerExecutionFailedException;
import org.springframework.messaging.Message;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @BelongsProject: sbasinModel
 * @BelongsPackage: com.cuit.sriver.model.server.kafka.handler
 * @Author: HouPJ
 * @Date: 2022/12/27 13:01
 * @Description: TODO
 */
@Slf4j
@Component("consumerAwareErrorHandler")

public class MyConsumerErrorHandler implements KafkaListenerErrorHandler {

    @Resource
    private GlobalExceptionHandler exceptionHandler;

    @Override
    public Object handleError(Message<?> message, ListenerExecutionFailedException exception) {
        log.info("[consumerAwareErrorHandler]: message{},receive{} : " + message,exception.getMessage());
        exceptionHandler.createExceptionLog(exception);
        return null;
    }


}
