package com.cuit.basin.model.pojo;

import com.cuit.basin.framework.common.constant.ModleTaskEnum;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @BelongsProject: sbasinModel
 * @BelongsPackage: com.cuit.sriver.model.pojo
 * @Author: HouPJ
 * @Date: 2022/12/23 16:16
 * @Description: TODO
 */
@Builder
@Data
@ApiModel(value = "模型任务运行成功参数", description = "")
public class SuccessTaskParams {

    /**
     * 模型日志id
     */
    @ApiModelProperty(value = "模型日志id")
    private String id;

    /**
     * 结束标识 0-未结束 1-结束 2-异常停止
     * {@link ModleTaskEnum}
     */
    @ApiModelProperty(value = "结束标识 0-未结束 1-结束 2-异常停止")
    private Integer isFinish;

    /**
     * 运行进度
     */
    @ApiModelProperty(value = "运行进度")
    private Double process;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "结束时间")
    private LocalDateTime et;


}
