package com.cuit.basin.model.service;

import cn.hutool.json.JSONUtil;
import com.cuit.basin.framework.common.exception.ErrorMessage;
import com.cuit.basin.framework.kafka.core.api.KafkaProducerApi;
import com.cuit.basin.framework.kafka.core.common.KafkaTopic;
import com.cuit.basin.model.pojo.InitTaskParams;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @BelongsProject: sbasinModel
 * @BelongsPackage: com.cuit.sriver.model.service
 * @Author: HouPJ
 * @Date: 2022/12/27 9:55
 * @Description: TODO
 */
@Service
@Slf4j
public class ModelOperationTaskServiceImpl implements ModelOperationTaskService{

    @Resource
    private KafkaProducerApi kafkaProducerServer;

    @Override
    public void initModelTask(InitTaskParams initTaskParams) {
        try {
            kafkaProducerServer.sendMessage(KafkaTopic.TOPIC_MODEL_INIT, JSONUtil.toJsonStr(initTaskParams));
        }catch (Exception e) {
            throw new ErrorMessage("[model-exception]:模型定时启动失败！");
        }

    }
}
