//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by Fernflower decompiler)
//

package com.cuit.basin.framework.common.utils.other;




import cn.hutool.core.util.ObjectUtil;
import java.io.*;
import java.nio.channels.FileChannel;
import java.util.*;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class FileUtil {
    public FileUtil() {
    }

    public static void moveFile(File srcFile, File targetFile) throws IOException {
        if (!srcFile.exists()) {
            throw new IOException(srcFile + "不存在");
        } else if (srcFile.isDirectory()) {
            throw new IOException(srcFile + "是文件夹");
        } else {
            copyFile(srcFile, targetFile);
            deleteFile(srcFile);
        }
    }

    public static void moveDirectory(File srcFile, File targetFile, FileFilter filter) throws IOException {
        if (!srcFile.exists()) {
            throw new IOException(srcFile + "不存在");
        } else if (!srcFile.isDirectory()) {
            throw new IOException(srcFile + "不是文件夹");
        } else {
            copyDirectory(srcFile, targetFile, filter);
            deleteFile(srcFile, filter);
        }
    }

    public static void moveDirectory(File srcFile, File targetFile) throws IOException {
        if (!srcFile.exists()) {
            throw new IOException(srcFile + "不存在");
        } else if (!srcFile.isDirectory()) {
            throw new IOException(srcFile + "不是文件夹");
        } else {
            copyDirectory(srcFile, targetFile);
            deleteFile(srcFile);
        }
    }

    public static void deleteFile(File file) {
        if (file.isFile()) {
            file.delete();
        } else {
            File[] files = file.listFiles();
            File[] var2 = files;
            int var3 = files.length;

            for (int var4 = 0; var4 < var3; ++var4) {
                File f = var2[var4];
                deleteFile(f);
            }

            file.delete();
        }

    }

    public static void deleteFile(String filepathname) {
        File file = new File(filepathname);
        if (file.exists()) {
            if (file.isFile()) {
                file.delete();
            } else {
                File[] files = file.listFiles();
                File[] var3 = files;
                int var4 = files.length;

                for (int var5 = 0; var5 < var4; ++var5) {
                    File f = var3[var5];
                    deleteFile(f);
                }

                file.delete();
            }
        }

    }

    public static void deleteFile(File file, FileFilter filter) {
        if (file.isFile()) {
            file.delete();
        } else {
            File[] files = file.listFiles(filter);
            File[] var3 = files;
            int var4 = files.length;

            for (int var5 = 0; var5 < var4; ++var5) {
                File f = var3[var5];
                deleteFile(f, filter);
            }

            if (file.list().length == 0) {
                file.delete();
            }
        }

    }

    public static void copyDirectory(File srcFile, File targetFile) throws IOException {
        if (!srcFile.exists()) {
            throw new IOException(srcFile + "不存在");
        } else if (!srcFile.isDirectory()) {
            throw new IOException(srcFile + "不是文件夹");
        } else {
            if (!targetFile.exists()) {
                targetFile.mkdirs();
            }

            File[] files = srcFile.listFiles();
            File[] var3 = files;
            int var4 = files.length;

            for (int var5 = 0; var5 < var4; ++var5) {
                File file = var3[var5];
                File destFile = new File(targetFile, file.getName());
                copyDirectory(file, destFile);
            }

        }
    }

    public static void copyDirectory(File srcFile, File targetFile, FileFilter filter) throws IOException {
        if (!srcFile.exists()) {
            throw new IOException(srcFile + "不存在");
        } else if (!srcFile.isDirectory()) {
            throw new IOException(srcFile + "不是文件夹");
        } else {
            if (!targetFile.exists()) {
                targetFile.mkdirs();
            }

            File[] files = srcFile.listFiles(filter);
            File[] var4 = files;
            int var5 = files.length;

            for (int var6 = 0; var6 < var5; ++var6) {
                File file = var4[var6];
                File destFile = new File(targetFile, file.getName());
                if (file.isFile()) {
                    copyFile(file, destFile);
                } else {
                    copyDirectory(file, destFile, filter);
                }
            }

        }
    }

    public static void copyFile(File srcFile, File targetFile) throws IOException {
        if (!srcFile.exists()) {
            throw new IOException(srcFile + "不存在");
        } else if (srcFile.isDirectory()) {
            throw new IOException(srcFile + "是文件夹");
        } else {
            FileInputStream fi = null;
            FileOutputStream fo = null;
            FileChannel in = null;
            FileChannel out = null;

            try {
                fi = new FileInputStream(srcFile);
                in = fi.getChannel();
                fo = new FileOutputStream(targetFile);
                out = fo.getChannel();
                in.transferTo(0L, in.size(), out);
            } catch (Exception var23) {
                throw new IOException(var23);
            } finally {
                if (in != null) {
                    try {
                        in.close();
                    } catch (IOException var22) {
                        var22.printStackTrace();
                    }
                }

                if (out != null) {
                    try {
                        out.close();
                    } catch (IOException var21) {
                        var21.printStackTrace();
                    }
                }

                if (fi != null) {
                    try {
                        fi.close();
                    } catch (IOException var20) {
                        var20.printStackTrace();
                    }
                }

                if (fo != null) {
                    try {
                        fo.close();
                    } catch (IOException var19) {
                        var19.printStackTrace();
                    }
                }

            }

        }
    }

    public static File[] getAllFiles(File srcFile, String pattern) {
        List<File> fileList = new ArrayList();
        getFiles(srcFile, pattern, fileList);
        return (File[]) fileList.toArray(new File[0]);
    }

    private static void getFiles(File srcFile, final String namePattern, List<File> fileList) {
        if (srcFile.isFile()) {
            fileList.add(srcFile);
        } else {
            File[] files = srcFile.listFiles(new FileFilter() {
                public boolean accept(File pathname) {
                    if (namePattern != null && namePattern.trim().length() != 0) {
                        Pattern pattern = Pattern.compile(namePattern.toLowerCase());
                        Matcher matcher = pattern.matcher(pathname.getName().toLowerCase());
                        return matcher.find();
                    } else {
                        return true;
                    }
                }
            });
            File[] var4 = files;
            int var5 = files.length;

            for (int var6 = 0; var6 < var5; ++var6) {
                File file = var4[var6];
                getFiles(file, namePattern, fileList);
            }
        }

    }

    public static boolean mkDir(String path) {
        File file = new File(path);
        return !file.exists() && !file.isDirectory() ? file.mkdirs() : true;
    }

    public static String getFileExtension(File f) {
        if (f != null) {
            String filename = f.getName();
            int i = filename.lastIndexOf(46);
            if (i > 0 && i < filename.length() - 1) {
                return filename.substring(i + 1).toLowerCase();
            }
        }

        return null;
    }

    public static String getFileNameWithoutExt(File f) {
        if (f != null) {
            String filename = f.getName();
            int i = filename.lastIndexOf(46);
            if (i > 0 && i < filename.length() - 1) {
                return filename.substring(0, i);
            }
        }

        return null;
    }

    public static String getFileNameWithFullPath(String filePath) {
        int i = filePath.lastIndexOf(47);
        int j = filePath.lastIndexOf("\\");
        int k;
        if (i >= j) {
            k = i;
        } else {
            k = j;
        }

        int n = filePath.lastIndexOf(46);
        return n > 0 ? filePath.substring(k + 1, n) : filePath.substring(k + 1);
    }

    public static String getPath(String filePathName) {
        File file = new File(filePathName);
        return file.getParent();
    }

    public static String getConTextPath() {
        String fileUrl = Thread.currentThread().getContextClassLoader().getResource("").getPath();
        if ("usr".equals(fileUrl.substring(1, 4))) {
            fileUrl = fileUrl.substring(0, fileUrl.length() - 16);
        } else {
            fileUrl = fileUrl.substring(1, fileUrl.length() - 16);
        }

        return fileUrl;
    }

    public static String readFile(String Path) {
        BufferedReader reader = null;
        String laststr = "";

        try {
            FileInputStream fileInputStream = new FileInputStream(Path);
            InputStreamReader inputStreamReader = new InputStreamReader(fileInputStream, "UTF-8");
            reader = new BufferedReader(inputStreamReader);

            for (String tempString = null; (tempString = reader.readLine()) != null; laststr = laststr + tempString) {
            }

            reader.close();
        } catch (IOException var14) {
            var14.printStackTrace();
        } finally {
            if (reader != null) {
                try {
                    reader.close();
                } catch (IOException var13) {
                    var13.printStackTrace();
                }
            }

        }

        return laststr;
    }

    public static boolean existsDirectory(String strDir) {
        File file = new File(strDir);
        return file.exists() && file.isDirectory();
    }

    public static boolean existsFile(String strDir) {
        File file = new File(strDir);
        return file.exists();
    }

    public static boolean forceDirectory(String strDir) {
        File file = new File(strDir);
        file.mkdirs();
        return existsDirectory(strDir);
    }

    public static int getFileSize(String fileName) {
        File file = new File(fileName);
        FileInputStream fis = null;
        int size = 0;

        try {
            fis = new FileInputStream(file);
            size = fis.available();
        } catch (Exception var5) {
            var5.printStackTrace();
        }

        return size;
    }

    public static HashMap<String, Object> getFilesName(String folderPath, String queryStr) {
        HashMap<String, Object> map = new HashMap();
        List<String> fileNameList = new ArrayList();
        List<String> folderNameList = new ArrayList();
        File f = new File(folderPath);
        if (!f.exists()) {
            map.put("retType", "1");
        } else {
            boolean flag = f.isDirectory();
            if (!flag) {
                map.put("retType", "2");
                map.put("fileName", f.getName());
            } else {
                map.put("retType", "3");
                File[] fa = f.listFiles();
                queryStr = queryStr == null ? "" : queryStr;

                for (int i = 0; i < fa.length; ++i) {
                    File fs = fa[i];
                    if (fs.getName().indexOf(queryStr) != -1) {
                        if (fs.isDirectory()) {
                            folderNameList.add(fs.getName());
                        } else {
                            fileNameList.add(fs.getName());
                        }
                    }
                }

                map.put("fileNameList", fileNameList);
                map.put("folderNameList", folderNameList);
            }
        }

        return map;
    }

    public static List<String> readFileContent(String filePath) {
        BufferedReader reader = null;
        ArrayList listContent = new ArrayList();

        try {
            reader = new BufferedReader(new FileReader(filePath));
            String tempString = null;

            for (int var4 = 1; (tempString = reader.readLine()) != null; ++var4) {
                listContent.add(tempString);
            }

            reader.close();
        } catch (IOException var13) {
            var13.printStackTrace();
        } finally {
            if (reader != null) {
                try {
                    reader.close();
                } catch (IOException var12) {
                }
            }

        }

        return listContent;
    }

    public static String readLineContent(String filePath, int lineNumber) {
        BufferedReader reader = null;
        String lineContent = "";

        try {
            reader = new BufferedReader(new FileReader(filePath));

            for (int line = 0; line <= lineNumber; ++line) {
                lineContent = reader.readLine();
            }

            reader.close();
        } catch (IOException var13) {
            var13.printStackTrace();
        } finally {
            if (reader != null) {
                try {
                    reader.close();
                } catch (IOException var12) {
                }
            }

        }

        return lineContent;
    }

    public static List<String> readLinesContent(String filePath, int beginLineNumber, int endLineNumber) {
        ArrayList listContent = new ArrayList();

        try {
            int count = 0;
            BufferedReader reader = new BufferedReader(new FileReader(filePath));

            for (String content = reader.readLine(); content != null; ++count) {
                if (count >= beginLineNumber && count <= endLineNumber) {
                    listContent.add(content);
                }

                content = reader.readLine();
            }
        } catch (Exception var7) {
        }

        return listContent;
    }

    public static List<String> readFileContent_list(List<String> listFilePath) {
        List<String> listContent = new ArrayList();
        Iterator var2 = listFilePath.iterator();

        while (var2.hasNext()) {
            String filePath = (String) var2.next();
            File file = new File(filePath);
            BufferedReader reader = null;

            try {
                reader = new BufferedReader(new FileReader(file));
                String tempString = null;

                for (int var7 = 1; (tempString = reader.readLine()) != null; ++var7) {
                    listContent.add(tempString);
                }

                reader.close();
            } catch (IOException var16) {
                var16.printStackTrace();
            } finally {
                if (reader != null) {
                    try {
                        reader.close();
                    } catch (IOException var15) {
                    }
                }

            }
        }

        return listContent;
    }

    public static String fileLinesWrite(String filePath, String content, boolean flag) {
        String filedo = "write";
        FileWriter fw = null;

        try {
            File file = new File(filePath);
            if (!file.getParentFile().exists()) {
                file.getParentFile().mkdirs();
            }

            if (!file.exists()) {
                file.createNewFile();
                fw = new FileWriter(file);
                filedo = "create";
            } else {
                fw = new FileWriter(file, flag);
            }
        } catch (IOException var8) {
            var8.printStackTrace();
        }

        PrintWriter pw = new PrintWriter(fw);
        pw.println(content);
        pw.flush();

        try {
            fw.flush();
            pw.close();
            fw.close();
        } catch (IOException var7) {
            var7.printStackTrace();
        }

        return filedo;
    }

    public static void writeIntoOut(InputStream ins, OutputStream out) {
        byte[] bb = new byte[10240];

        try {
            for (int cnt = ins.read(bb); cnt > 0; cnt = ins.read(bb)) {
                out.write(bb, 0, cnt);
            }
        } catch (IOException var12) {
            var12.printStackTrace();
        } finally {
            try {
                out.flush();
                ins.close();
                out.close();
            } catch (IOException var11) {
                var11.printStackTrace();
            }

        }

    }

    private static boolean hasSame(List<? extends Object> list) {
        if (null == list) {
            return false;
        } else {
            return 1 == (new HashSet(list)).size();
        }
    }

    private static boolean hasSame2(List<? extends Object> list) {
        if (null == list) {
            return false;
        } else {
            return list.size() == (new HashSet(list)).size();
        }
    }

    public static void deleteEveryThing(String file_path) {
        try {
            File file = new File(file_path);
            if (!file.exists()) {
                return;
            }

            if (file.isFile()) {
                file.delete();
            } else {
                File[] files = file.listFiles();

                for (int i = 0; i < files.length; ++i) {
                    String root = files[i].getAbsolutePath();
                    deleteEveryThing(root);
                }

                file.delete();
            }
        } catch (Exception var5) {
            System.out.println("删除文件失败");
        }

    }

    public static boolean mkDir2(String dir_path) {
        File myFolderPath = new File(dir_path);

        try {
            if (!myFolderPath.exists()) {
                myFolderPath.mkdir();
            }

            return true;
        } catch (Exception var3) {
            return false;
        }
    }

    public static boolean isFileExist(String fileName) {
        return (new File(fileName)).isFile();
    }

    public static void deleteDir(File dir) throws IOException {
        if (dir.isFile()) {
            throw new IOException("IOException -> BadInputException: not a directory.");
        } else {
            File[] files = dir.listFiles();
            if (files != null) {
                for (int i = 0; i < files.length; ++i) {
                    File file = files[i];
                    if (file.isFile()) {
                        file.delete();
                    } else {
                        deleteDir(file);
                    }
                }
            }

            dir.delete();
        }
    }

    public static boolean writeDataHubData(List<String> dataList, String filePath, String fileName) {
        long start = System.currentTimeMillis();
        boolean flag = false;
        BufferedWriter out = null;

        try {
            if (dataList != null && !dataList.isEmpty() && ObjectUtil.isNotEmpty(fileName)) {
                File pathFile = new File(filePath);
                if (!pathFile.exists()) {
                    pathFile.mkdirs();
                }

                String relFilePath = filePath + fileName;
                File file = new File(relFilePath);
                if (!file.exists()) {
                    file.createNewFile();
                }

                out = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(file), "GBK"));
                Iterator var10 = dataList.iterator();

                while (var10.hasNext()) {
                    String info = (String) var10.next();
                    out.write(info);
                    out.newLine();
                }

                flag = true;
            }
        } catch (IOException var20) {
            var20.printStackTrace();
        } finally {
            if (out != null) {
                try {
                    out.flush();
                    out.close();
                } catch (IOException var19) {
                    var19.printStackTrace();
                }
            }

            return flag;
        }
    }

    public static boolean isExist(String pathname) {
        File file = new File(pathname);
        return file.exists();
    }

    public static void main(String[] args) {
        mkDir(getPath("d:/temp/pic/t3/t4/t5.docx"));
    }
}
